<?php
function clientPluginBrandingResponseProcessors(&$responseProcessor){
	$responseProcessor['clientPluginBranding']['change'] = 'clientPluginBranding';
}

function clientPluginBrandingTaskTitleTemplate(&$template){
	$template['clientPluginBranding']['change']['']	= "Brand client plugin in <#sitesCount#> site<#sitesCountPlural#>";
}

function clientPluginBrandingPostAddSite($siteID, $historyID){
	$clientPluginBrandingVariables = getOption('clientPluginBrandingVariables');
	$parentHisID = getParentHistoryID($historyID);
	$detaileAction = DB::getFields("?:history_additional_data","detailedAction", "historyID = ".$parentHisID);
	$parentActionID = DB::getField('?:history', 'actionID', 'historyID = '.$parentHisID);
	if(empty($clientPluginBrandingVariables) || $detaileAction[0] == 'staging'){
		return false;
	}
	
	$clientPluginBrandingVariables = @unserialize($clientPluginBrandingVariables);
	
	$_POST = array('action' => 'clientPluginBranding', 'args' => array('params' => array('pluginName' => $clientPluginBrandingVariables['pluginName'], 'description' => $clientPluginBrandingVariables['description'], 'authourName' => $clientPluginBrandingVariables['authourName'], 'authourURL' => $clientPluginBrandingVariables['authourURL'], 'hide' => $clientPluginBrandingVariables['hide'], 'hideFWPCPB' => $clientPluginBrandingVariables['hideFWPCPB'], 'doChangesCPB' => $clientPluginBrandingVariables['doChangesCPB'], 'CPBSwitch' => $clientPluginBrandingVariables['CPBSwitch'], 'hideUpdatesCPB' => $clientPluginBrandingVariables['hideUpdatesCPB'], 'parentActionID' => $parentActionID), 'siteIDs' => array($siteID)));
	panelRequestManager::handler($_POST);
}

function clientPluginBrandingpostReaddSite($siteID, $historyID){
    clientPluginBrandingPostAddSite($siteID, $historyID);
}

function clientPluginBrandingAddonHeadJS(&$headJS){
	$headJS[] = 'var clientPluginBrandingSettings = '.jsonEncoder(@unserialize(getOption('clientPluginBrandingVariables'))).';';
}

function clientPluginBrandingGet(){
	$clientPluginBrandingVariables = @unserialize(getOption('clientPluginBrandingVariables'));
		
	if(empty($clientPluginBrandingVariables)){
		return false;
	}
	else{
		return $clientPluginBrandingVariables;
	}
}

function clientPluginBrandingHeadHTMLFiles(&$headFiles){
	$addonDetails['version'] = getAddonVersion('clientPluginBranding');
	$addonDetails['files'] = array(
		array('css' => array('href' => 'addons/clientPluginBranding/css/clientPluginBranding.css')),
		array('js' => array('href' => 'addons/clientPluginBranding/js/functions.js')),
		array('js' => array('href' => 'addons/clientPluginBranding/js/init.js')),
	);
	$headFiles['clientPluginBranding'] = $addonDetails;
}