<?php
class manageClientsClientPluginBranding{
	
	public static function clientPluginBrandingProcessor($siteIDs, $params){
		$type = "clientPluginBranding";
		$action = "change";
		$requestAction = "client_brand";
		if(!isset($params['hideUpdatesCPB'])) $params['hideUpdatesCPB'] = 0;
		if(!isset($params['hideFWPCPB'])) $params['hideFWPCPB'] = 0;
		updateOption("clientPluginBrandingVariables", serialize($params));
		$requestParams = array('brand' => array('name' => $params['pluginName'], 'desc' => $params['description'], 'author' => $params['authourName'], 'author_url' => $params['authourURL'], 'hide' => $params['hide'], 'hideFWPCPB' => $params['hideFWPCPB'], 'doChangesCPB' => $params['doChangesCPB'], hideUpdatesCPB => $params['hideUpdatesCPB']));
		
		
		if(!empty($siteIDs)){
			$sites = getSitesData($siteIDs);
		}
		else{
			$sites = getSitesData();
		}
		
		$historyAdditionalData = array();
		$historyAdditionalData[] = array('uniqueName' => 'clientPluginBranding', 'detailedAction' => 'get');
		$events=1; 
		

		if(is_array($sites))
		  foreach($sites as $siteID => $siteData){
			  
			  $PRP = array();
			  $PRP['requestAction'] 	= $requestAction;
			  $PRP['requestParams'] 	= $requestParams;
			  $PRP['siteData'] 		= $siteData;
			  $PRP['type'] 			= $type;
			  $PRP['action'] 			= $action;
			  $PRP['events'] 			= $events;
			  $PRP['historyAdditionalData'] 	= $historyAdditionalData;
			  if (isset($params['parentActionID'])) {
				$PRP['actionID'] = $params['parentActionID'];
			  }
			  
			  prepareRequestAndAddHistory($PRP);
		}	
	}
	
	public static function clientPluginBrandingResponseProcessor($historyID, $responseData){
		responseDirectErrorHandler($historyID, $responseData);
		
		if(empty($responseData['success'])){
			return false;
		}
		
		if(!empty($responseData['success'])){
			$where = array(
			      		'query' =>  "historyID = ':historyID'",
			      		'params' => array(
			      		   ':historyID'=>$historyID
           				)
        			);
			DB::update("?:history_additional_data", "status='success'", $where);
			
			
		}
	}
}

manageClients::addClass('manageClientsClientPluginBranding');
?>