<?php

/*
slug: codeSnippets
version: 1.1.0
*/

class addonCodeSnippets{
	
	private static $version = '1.1.0';
	
	public static function version(){
		return self::version;	
	}
	
	public static function init(){
		require_once(APP_ROOT."/addons/codeSnippets/controllers/func.php");	
		require_once(APP_ROOT."/addons/codeSnippets/controllers/manageClientsCodeSnippets.php");
		panelRequestManager::addFunctions('codeSnippetsAdd', 'codeSnippetsGet', 'codeSnippetsGetAll', 'codeSnippetsDelete','codeSnippetsGetAllHTML','codeSnippetsResult', 'codeSnippetsUpdate');
		regHooks('responseProcessors', 'taskTitleTemplate', 'addonMenus', 'headHTMLFiles');
	}	
	
	public static function install(){
		$Q1 = DB::doQuery("CREATE TABLE IF NOT EXISTS `?:code_snippets` (
							`cmdID` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
							`cmdName` varchar(50) NOT NULL ,
							`cmd` TEXT NOT NULL ,
							PRIMARY KEY (  `cmdID` ),
							UNIQUE KEY `cmdName` (`cmdName`)
							)".DB::getSQLTableEnv().";");
		if($Q1){
			return true;	
		}
		return false;
	}
	public static function update(){
		if(version_compare(getOldAddonVersion('codeSnippets'), '1.0.9beta1', '<')){
			$deleteFiles = array('/addons/codeSnippets/initHTMLHead.php' => array('type' => 'f') );
			fileSystemRemoveFiles($deleteFiles);
		}
	}
}

?>