installCloneAddonFlag=1;

function installCloneProcess(data){
	if(data!=undefined)
	{
		$("#totalBtnAction").removeClass('disabled');
		isAddonPlanLimitExceeded = data.data.checkIsAddonPlanLimitExceeded;
		addonPlanSiteLimit = data.data.getAddonPlanSiteLimit;	
		addonSuitePlanActivity = data.data.getAddonSuitePlanActivity;		
		if(data.data.isAddonPlanLimitExceededAttempt) addonSuiteMiniLimitExceeded('');
		return false;
	}
	var checkForm = validateForm("clonePanel");
	if(checkForm!=false)
	{
		var tempArray={};
		tempArray['action']='installCloneCommonNewSite';
		tempArray['args']={};
		tempArray['args']['params']={};
		tempArray['args']['params']=checkForm;
		if(checkForm.sourceID!=undefined && checkForm.sourceID!='' && $('#installCloneWithoutFTP').hasClass('active'))
		{
			tempArray['args']['siteIDs']={};
			tempArray['args']['siteIDs'][0]=checkForm.sourceID;
			checkForm.sourceID={};
			tempArray['action']='installCloneNewExistingSite';
			tempArray['args']['params']['isExistingSite']=1;
		}
		
		if(checkForm.newSiteURL!=undefined){
			tempArray['args']['params']['newSiteURL_b64encoded'] = $.base64('btoa',checkForm.newSiteURL,true); 
			delete tempArray['args']['params']['newSiteURL'];
		}
		if(checkForm.hostName!=undefined){
			tempArray['args']['params']['hostName_b64encoded'] = $.base64('btoa',checkForm.hostName,true); 
			delete tempArray['args']['params']['hostName'];
		}

		if(checkForm.sourceSiteID!=undefined && checkForm.sourceSiteID!='')
			tempArray['args']['params']['sourceSiteID']=checkForm.sourceSiteID;
		if($('#hostPassive').hasClass("active"))
			var hostPassive = 1;
		else
			var hostPassive = '';
		if($('#hostSSL').hasClass("active"))
			var hostSSL = 1;
		else
			var hostSSL = '';
		if($('#use_ftp').hasClass("active"))
			var use_ftp = 1;
		else
			var use_ftp = '';
		if($('#use_sftp').hasClass("active"))
			var use_sftp = 1;
		else
			var use_sftp = '';
			
		tempArray['args']['params']['hostPassive']=hostPassive;
		tempArray['args']['params']['hostSSL']=hostSSL;
		tempArray['args']['params']['use_ftp']=use_ftp;
		tempArray['args']['params']['use_sftp']=use_sftp;

		tempArray['requiredData']={};
		tempArray['requiredData']['checkIsAddonPlanLimitExceeded']=1;
		tempArray['requiredData']['getAddonPlanSiteLimit']=1;
		tempArray['requiredData']['getAddonSuitePlanActivity']=1;	
		tempArray['requiredData']['isAddonPlanLimitExceededAttempt']=1;		
		doHistoryCall(ajaxCallPath,tempArray,"installCloneProcess");
		$("#totalBtnAction").addClass('disabled');
	}

}

function processProfileAction_IC(data){
	loadProfiles_IC();
}

function checkMultiCallBackupStatus(this_hisID, this_site_id, this_actionID, this_action){
	var tempArray = {};
	tempArray['requiredData']={};
	tempArray['requiredData']['getMultiCallBackupStatus']={};
	tempArray['requiredData']['getMultiCallBackupStatus']['this_hisID']=this_hisID;
	tempArray['requiredData']['getMultiCallBackupStatus']['this_site_id']=this_site_id;
	tempArray['requiredData']['getMultiCallBackupStatus']['this_actionID']=this_actionID;
	tempArray['requiredData']['getMultiCallBackupStatus']['this_action']=this_action;
	
	doCall(ajaxCallPath,tempArray,'processMultiCallBackupStatus','json',"none");
}

function processMultiCallBackupStatus(data){
	if(typeof data.data != 'undefined' && typeof data.data.getMultiCallBackupStatus != 'undefined'){
		if(data.data.getMultiCallBackupStatus.status == 'completed'){
			clearInterval(checkMultiCallBackupStatusInterval);
			
			$("#selectFromBackup #onDemandStatus").html('<span class="success_icon"></span>Done. Proceed with selecting the destination.').addClass('btn_backup_now_done').removeClass('btn_backup_now_loading');
			if(typeof data.data.getMultiCallBackupStatus.cloneSiteBackupsHTML != 'undefined' && data.data.getMultiCallBackupStatus.cloneSiteBackupsHTML != ''){
				$("#selectFromBackup .backup_empty_cont").hide();
				$("#selectFromBackup #prevBackups").html(data.data.getMultiCallBackupStatus.cloneSiteBackupsHTML);
				$("#selectFromBackup #prevBackups li:first a").click();
			}
		}
	}
	else{
		clearInterval(checkMultiCallBackupStatusInterval);
	}
}

function installCloneProcessFireQueue(){
	$.each(fireQueue, function(key, installCloneCompleted) {
		$.each(installCloneCompleted, function(functionName, functionValue) {
			if (functionName === 'getSites') {
				site=functionValue;
			} else if(functionName === 'getSitesList'){
				sitesList = functionValue;
			} else if(functionName === 'getGroupsSites'){
				groups = functionValue;
			}
		});
	});
	totalSites = getPropertyCount(site);
	totalGroups = getPropertyCount(group);
	resetSelectors();
	updateSitesStatusColor();
}