<?php

/*
slug: manageComments
version: 1.0.6.1
*/

class addonManageComments{
	
	private static $version = '1.0.6.1';

	public static function version(){
		return self::version;	
	}
	
	public static function init(){
		require_once(APP_ROOT."/addons/manageComments/controllers/func.php");	
		require_once(APP_ROOT."/addons/manageComments/controllers/manageClientsManageComments.php");
		panelRequestManager::addFunctions('manageCommentsGet', 'manageCommentsReplyGet', 'manageCommentsGetRecent');
		regHooks('addonMenus', 'responseProcessors', 'taskTitleTemplate', 'getStatsRequestParams', 'headHTMLFiles');
	}
	public static function update(){
		if(version_compare(getOldAddonVersion('manageComments'), '1.0.4beta1', '<')){
			$deleteFiles = array('/addons/manageComments/initHTMLHead.php' => array('type' => 'f') );
			fileSystemRemoveFiles($deleteFiles);
		}
	}
}

?>