$(function () {
	 
	 //hideTabsForUsers();
	  
	 processHideTabsForUsers();
	 loadManagerData();
	 
	 if(currentUserAccessLevel != 'admin')
	{			
		/*$("#settings_cont #appSettingsTab").html("");*/
		$("#cronTab").remove();
		
		$(".settingsButtons").each(function(key,val){
						
			if($(this).attr("item") == "appSettingsTab"){
				$("#appSettingsTab").remove();
				$(this).remove();
			}	
			if($(this).attr("item") == "uptimeTab"){
				$("#uptimeTab").remove();
				$(this).remove();
			}
			
			if($(this).attr("item") == "googleTab"){
				$("#googleTab").remove();
				$(this).remove();
			}
			
			if($(this).attr("item") == "brandingTab"){
				$("#brandingTab").remove();
				$(this).remove();
			}		
		});
	}
	 
	 
	$('.selectOnText').live('click',function(){
		$(this).focus();
		$(this).select();
		return false;
	});
	
	$('.notify_manager').live('click',function(){
		if(!$(this).hasClass('active'))
		{
			$(this).addClass('active');
		}
		else
		{
			$(this).removeClass('active');
		}
		
	});

	$('.selectPermissions_admin').live('click',function(){
		if(!$(this).hasClass('active')){
			$(this).addClass('active');
		} else{
			$(this).removeClass('active');
		}
		
	});
	
	$("#closeEditAdmin").live('click',function() { 
		loadAdmins();
	});
	
	$('.password_edit_admin').live('click',function(){
		$('.password_input_admin').removeAttr('readonly');
		$('.password_input_admin').focus();
	});
	
	$('.createProfile_admin').live('click',function(){
		
		var tempArray={},restrictArray={};
		var permissions_array = {};
		
		$("#duplicateTemplate").hide();
		
		if($("#newProfileName_admin").val() == ''){
			$("#duplicateTemplate").html('Enter template name');
			$("#duplicateTemplate").show();
			
			return false;
		}
				
		siteArray = getSelectedSites();
	
		if(Object.getOwnPropertyNames(siteArray).length === 0){
			
			$("#duplicateTemplate").html('You must select atleast one site to create template.');
			$("#duplicateTemplate").show();
			return false;
		}
		
		permissions_array['access'] = [];
		permissions_array['restrict'] = [];
		
		//	.closest('.selectPermissions_admin')
		
		$('.selectPermissions_admin').each(function(k,v){
			
			//$(this).prev('.selectPermissions_admin').each(function(k,v){
			if($(this).hasClass('active')){
				permissions_array['access'].push($(this).attr('per_var'));
			}
			else{
				permissions_array['restrict'].push($(this).attr('per_var'));
			}
		});
				
		/*$('.selectPermissions_admin.active').each(function(k,v){
			restrictArray[k] = $(this).attr('per_var');
		});*/
		
		tempArray['requiredData']={};
		tempArray['requiredData']['multiUserPrivilegeSaveTemplate']={};
		tempArray['requiredData']['multiUserPrivilegeSaveTemplate']['permissions']=permissions_array;
		tempArray['requiredData']['multiUserPrivilegeSaveTemplate']['privilegeTemplateName'] = $("#newProfileName_admin").val();
		tempArray['requiredData']['multiUserPrivilegeSaveTemplate']['siteIDs']=siteArray;
		
		tempArray['requiredData']['multiUserPrivilegeGetAllTemplates']=1;
		
		doCall(ajaxCallPath,tempArray,'process_group_admin','json');
		
	});
	
	$('.load_profile_admin').live('click',function(){
		var tempArray = {};
		tempArray['requiredData']={};
		tempArray['requiredData']['multiUserPrivilegeGetTemplate']={};
		tempArray['requiredData']['multiUserPrivilegeGetTemplate']['privilegeTemplateID']=$(this).attr('dropopt');
		doCall(ajaxCallPath,tempArray,'process_select_admin_group','json');
	});
	
	$('.del_profile_admin').live('click',function(){
		
		var tempArray = {};
		tempArray['requiredData']={};
		tempArray['requiredData']['multiUserPrivilegeDeleteTemplate']={};
		tempArray['requiredData']['multiUserPrivilegeDeleteTemplate']['privilegeTemplateID'] = $(this).attr('repoid');
		tempArray['requiredData']['multiUserPrivilegeGetAllTemplates']=1;
		doCall(ajaxCallPath,tempArray,'process_group_admin','json');
	});
	
	$('#accessLevel').live('change',function(){
		if($(this).val() == 'admin')
		{
			$('.siteSelectorForAdminToggle').hide();
			$('.profile_cont').hide();
			$('.base_allow_access').hide();
			$('.profileActionBtn_admin').hide();
			$('.notify_manager').html('Notify admin via mail');
			$('#addNewAdminBtn').html('Create Admin');
			$('#addNewAdminBtn').addClass('disabled');
		}
		else
		{
			$('.siteSelectorForAdminToggle').show();
			$('.profile_cont').show();
			$('.base_allow_access').show();
			$('.profileActionBtn_admin').show();
			$('.notify_manager').html('Notify manager via mail');
			$('#addNewAdminBtn').html('Create Manager');
		}
	});	 
	
	$("#manageAdmin").live('click',function() { 
		loadAdmins();
	});
	
	$(".formVal, .validateField").live('focus',function() { 
		$(this).removeClass('error');
		$(".multi_email_error").hide();
	});
	
	$("#addNewAdminBtn, .edit_user").live('click',function() {
            if (!$(this).hasClass('self') && !$('.notify_license').hasClass('active')) {
            	$('.notify_license').addClass('notify_license_alert');
            	return ;
            }

            if($(this).hasClass('edit_flag')){
                var adminContentDiv = "addNewAdminDiv_block"+$(this).attr('userID');
                
            } else {
                var adminContentDiv = "addNewAdminDiv";
            }
		var flagEmailError = 0;
		$("#"+adminContentDiv+" .formVal").each(function(k, v){
			if($(this).attr('id') == 'email' && $(this).val() != ''){
				if(!echeck($(this).val())){
					$(this).addClass('error');
					$(".multi_email_error").html('Invalid email. Kindly retry').show();
					flagEmailError = 1;
				}else{
					$(".multi_email_error").hide();
					}
			}
        });
		
		if(flagEmailError == 1){ return false;	}
		
		var params= validateForm(adminContentDiv);
		var permissions_array = {};
		var siteArray = getSelectedSites('#'+adminContentDiv);
		var pc = '';
		var callBack = 'reloadAdmin';
		
		var tempArray={};
		tempArray['requiredData']={};
		tempArray['requiredData']['multiUserAddUpdateAdmin']={};
				
		if($(this).hasClass('edit_flag')){
			expandThis(this,'detailed');
			//var editUserID = $(this).attr('userID');
			//tempArray['requiredData']['multiUserAddUpdateAdmin']['userID'] = $(this).attr('userID');
			params['userID'] = $(this).attr('userID');
			var pc = ".some_"+$(this).attr('userID');
			callBack = '';
		}
			
		permissions_array['access'] = [];
		permissions_array['restrict'] = [];
		
		params['accessLevel'] = $('.typeSelectorAccess.active', pc).attr('utype'); //$('#accessLevel').val();
		
		$('.selectPermissions_admin', pc).each(function(k,v){
			
			if($(this).hasClass('active')){
				permissions_array['access'].push($(this).attr('per_var'));
			}
			else{
				permissions_array['restrict'].push($(this).attr('per_var'));
			}
		});

		if ($('.notify_license').hasClass('active')) {
            permissions_array['notifyLicense'] = 1;
        } else{
            permissions_array['notifyLicense'] = 0;
        }

		if($('.notify_manager').hasClass('active')){
			params['notifyManager'] = '1';
		}
				
	    if(params == false)
			return false;
		
		tempArray['requiredData']['multiUserAddUpdateAdmin']['restrictions']={};
		tempArray['requiredData']['multiUserAddUpdateAdmin']=params;
		tempArray['requiredData']['multiUserAddUpdateAdmin']['permissions'] = permissions_array;
		tempArray['requiredData']['multiUserAddUpdateAdmin']['siteIDs']=siteArray;
		
		doCall(ajaxCallPath,tempArray, callBack);
		
		//doCall(ajaxCallPath,tempArray,'reloadAdmin');
		//$("#modalDiv").dialog("close").html('');
		
	});
	
	$(".editAdmin").live('click',function() {
		
		if($(this).hasClass('edit_flag') && $('.notify_license').hasClass('active')){
			expandThis(this,'detailed');
			return;
		}
		else{
			expandThis(this,'summary');
		}
		
		if ($(this).hasClass('edit_user') && !$('.notify_license').hasClass('active') ) {
        	$('.notify_license').addClass('notify_license_alert');
        	return ;
        }

		var tempArray={};
		tempArray['requiredData']={};
		tempArray['requiredData']['multiUserPrivilegeAddons']=1;
		tempArray['requiredData']['multiUserGetAdmin']={};
		tempArray['requiredData']['multiUserGetAdmin']['userID']=$(this).attr('userid');
		tempArray['requiredData']['multiUserPrivilegeGetAllTemplates']=1;
		if($(this).hasClass('self')){
                    doCall(ajaxCallPath,tempArray,'loadEditSelf');
                }
                else
                {
		doCall(ajaxCallPath,tempArray,'loadEditAdmin');
                }
	});
	
	$(".cc_admin_mask").live('click',function() { 
		var closest=$(this).closest(".row_summary");
		var tempArray={};
		tempArray['requiredData']={};
		tempArray['requiredData']['multiUserChangeAdminStatus']={};
		tempArray['requiredData']['multiUserChangeAdminStatus']['userID']=$(this).attr('userid');
		
		if($(".cc_admin_img",this).hasClass('on'))
			tempArray['requiredData']['multiUserChangeAdminStatus']['adminStatus']=0;
		else
			tempArray['requiredData']['multiUserChangeAdminStatus']['adminStatus']=1;
			
		doCall(ajaxCallPath,tempArray,'');
		$(".cc_admin_img",closest).toggleClass("on off");
		
		return false;
	});
	
	$("#addNewAdmin").live('click',function() { 
		var tempArray = {};
		tempArray['requiredData']={};
		tempArray['requiredData']['multiUserPrivilegeAddons']=1;
		doCall(ajaxCallPath,tempArray,'loadAddAdmin','json');
	});
	
	$(".removeAdmin").live('click',function() {

		var closestVar = $(this).closest('.ind_row_cont');
		$(".delConfHide",closestVar).hide();
		$(closestVar).addClass('del');
		
		/*var tempArray={};
		tempArray['requiredData']={};
		tempArray['requiredData']['multiUserDeleteAdmin']={};
		tempArray['requiredData']['multiUserDeleteAdmin']['userID']=$(this).attr('userid');
		doCall(ajaxCallPath,tempArray,'processDeleteAdmin');*/
		
	});
	
	$(".deleteAdmin").live('click',function () {
		
		var topVar=$(this).closest('.ind_row_cont');
		if($(this).hasClass('yes'))
		{
			var tempArray={};
			tempArray['requiredData']={};
			tempArray['requiredData']['multiUserDeleteAdmin'] = {};
			tempArray['requiredData']['multiUserDeleteAdmin']['userID']=$(this).attr('userid');
			$(topVar).remove();
			doCall(ajaxCallPath,tempArray,"");
			return false;
		}
		else
		{
			$(topVar).removeClass('del');
			$(".delConfHide",topVar).show();
			return false;
		}
		
	});
	
	$('.typeSelectorAccess').live('click', function(){
		if($(this).attr('utype') == 'admin'){
			//$('.mu_site_cont').hide();
			$('.siteSelectorForAdminToggle').hide();
			$('.profile_cont').hide();
			$('.base_allow_access').hide();
			$('.addons_allow_access').hide();
			$('.profileActionBtn_admin').hide();
			$('.block_title').hide();
			$('.notify_manager').html('Notify admin via mail');
			$('#addNewAdminBtn').html('Create Admin');
		}
		
		if($(this).attr('utype') == 'manager'){
			//$('.mu_site_cont').show();
			$('.siteSelectorForAdminToggle').show();
			$('.profile_cont').show();
			$('.base_allow_access').show();
			$('.addons_allow_access').show();
			$('.profileActionBtn_admin').show();
			$('.block_title').show();
			$('.notify_manager').html('Notify manager via mail');
			$('#addNewAdminBtn').html('Create Manager');
		}
	});
	
	$('.notify_license').live('click',function(){
		if(!$(this).hasClass('active')){
			$(this).addClass('active');
			$(this).removeClass('notify_license_alert');
		} else{
			$(this).removeClass('active');
		}
		
	});
});