<?php

/*
slug: staging
version: 2.0.0
*/

class addonStaging{
	
	private static $version = '2.0.0';
	
	public static function version(){
		return self::version;	
	}
	
	public static function init(){
		require_once(APP_ROOT."/addons/staging/controllers/func.php");	
		require_once(APP_ROOT."/addons/staging/controllers/manageClientsStaging.php");
		panelRequestManager::addFunctions('stagingCloneSiteBackupsHTML', 'stagingGetICTestConnectionResult', 'stagingGetMultiCallBackupStatus', 'saveStagingFtpDetails', 'stagingGetStagingFtpDetails', 'stagingGetMainStagingFtpDetails', 'stagingSaveMainStagingFtpDetails', 'saveSiteFtpDetails', 'getStagingStatus' , 'stagingProcessUpdateInStagingSwitchSettings', 'stagingSaveUpdateInStagingSwitch', 'stagingGetUpdateInStagingSwitchSettings', 'stagingGetStagingSiteID', 'stagingGetStagingBaseIDs', 'stagingBackupList');
		regHooks('addonMenus', 'responseProcessors', 'taskTitleTemplate', 'postAddStagingSite', 'postReaddStagingSite', 'headHTMLFiles', 'removeSite');
	}	
	
	public static function install(){
		updateOption('updateInStagingSwitchSettings', '1');
		return true;
	}
	
	public static function update(){
		return true;
	}
}
