<?php

/*
slug: WPVulns
version: 1.0.5
*/


class addonWPVulns{
	
	private static $version = '1.0.5';

	public static function version(){
		return self::version;
	}

	public static function init(){
		require_once(APP_ROOT."/addons/WPVulns/controllers/func.php");
		panelRequestManager::addFunctions('WPVulnsGetWPVulnsViewUpdatesContent', 'WPVulnsGetWPVulnsRowDetailedUpdates', 'getOnlyVulnsUpdateCounts');
		regHooks('updateCheck', 'runOffBrowserLoad', 'updateViews', 'headHTMLFiles', 'updateNotificationViews');
	}	

	public static function install(){
		$maxIndexLength = 191;
		$Q1 = DB::doQuery("CREATE TABLE IF NOT EXISTS `?:wpvulns_db` (
		  `ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
 		  `optionName` varchar(255) NOT NULL,
  		  `optionValue` longblob,
  		  PRIMARY KEY (`ID`),
  		  UNIQUE KEY `optionName` (`optionName`(".$maxIndexLength."))
		)".DB::getSQLTableEnv().";");

		if($Q1){
			return true;	
		}
		return false;
	}
	
	public static function update(){
	}
}