//vulns works
var isWpVulnsAlert = 1;
var affectedCount = 0;

function checkAndShowSecurityUpdatesCount(flag){
	var hiddenSecurityUpdateCount = affectedCount -securityUpdateCount; 
	if (!hiddenSecurityUpdateCount) {
		var html = '<div class="securityUpdateNotification vulns_warning" style="border-left: 2px solid #A92A2A; padding: 10px; background-color: #EFDEDE;">There are <span class="securityUpdateCount" style="color:#f2583e">'+affectedCount+ ' </span>vulnerability updates. <a id="showSecurityUpdates">Show Only Vulnerability updates.</a></div>';
	}else{
		var html = '<div class="securityUpdateNotification vulns_warning" style="border-left: 2px solid #A92A2A; padding: 10px; background-color: #EFDEDE;">There are <span class="securityUpdateCount" style="color:#f2583e">'+affectedCount+ ' ('+hiddenSecurityUpdateCount+' hidden) </span>vulnerability updates. <a id="showSecurityUpdates">Show Vulnerability updates.</a></div>';
	}
	$(".securityUpdateNotification").remove();
	if (securityUpdateCount >= 1) {
		$("#pageContent").prepend(html);
	}
	if (!flag){ 
		$(".update_view_dropdown").append('<option value="SecurityUpdates">Only Vulnerability Updates~1</option>');
		updateViewDropDown();
	}
}

function initSecurityUpdatesView(currentGroupID){
	currentUpdatePage = 'securityViewUpdateContent';
	var tempArray={};
	tempArray['requiredData']={};
	if (typeof currentGroupID != undefined && currentGroupID != null) {
		tempArray['requiredData']['WPVulnsGetWPVulnsViewUpdatesContent']={};
		tempArray['requiredData']['WPVulnsGetWPVulnsViewUpdatesContent']['groupID']=currentGroupID;
	}else{
		tempArray['requiredData']['WPVulnsGetWPVulnsViewUpdatesContent']=1;
	}
	doCall(ajaxCallPath,tempArray,"WPVulnsLoadWPVulnsViewUpdatesContent");
}

function updateSiteVulnsStatus(){
	if(typeof vulnerableSiteIDs != 'undefined' && vulnerableSiteIDs != null && typeof site != 'undefined' && site != null ){
		$.each(site,function(siteID,siteData){
			var obj = $('.ind_sites#s'+siteID+' a');
			var objPar = $('.ind_sites#s'+siteID);
			$(obj).find('span').remove(".vulns_site");
			$(objPar).removeClass('vulnsUpdate');
			if (vulnerableSiteIDs.length > 0) {
				$.each(vulnerableSiteIDs,function(vs, el) {
					if (siteID == el) {
						var obj = $('.ind_sites#s'+siteID+' a');
						var objPar = $('.ind_sites#s'+siteID);
						var hide = '';
						if ($.inArray(parseInt(siteID), WPVulnsHiddenCount) !== -1) {
							hide = 'WPHidden';
						}
						var element = $('<span class="vulns_site '+hide+'"/> ').attr({"siteid":siteID, 'name':site[siteID].name});
						$(obj).find('span').remove(".vulns_site");
						$(obj).find('span').after(element);
						$(objPar).removeClass('toUpdate');
						$(objPar).removeClass('disconnected');
						$(objPar).addClass('vulnsUpdate');
						
					}
				});
			} 
		});
		$(".vulns_site ").qtip({content: { text: 'This site has vulnerability updates click to view them' }, position: { my: 'top left', at: 'bottom middle' }, show: { event: 'mouseenter' }, hide: { event: 'mouseleave' }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark higher-zindex',  tip: {  corner: true, width: 10, height:10 } } });
		}
}

function WPVulnsSettingNotesUpdate(){
	$(".onlyVulnsChecked").hide();
	$(".vulnsAllChecked").hide();
	if ($("#notifyVulns").hasClass('active') && ($("#notifyTranslations").hasClass('active') ||$("#notifyThemes").hasClass('active') ||$("#notifyPlugins").hasClass('active') ||$("#notifyWordpress").hasClass('active'))) {
		$(".vulnsAllChecked").show();
	} else if($("#notifyVulns").hasClass('active') && (!$("#notifyTranslations").hasClass('active') && !$("#notifyThemes").hasClass('active') && !$("#notifyPlugins").hasClass('active') && !$("#notifyWordpress").hasClass('active'))){
		$(".onlyVulnsChecked").show();
	}
}

function WPVulnsLoadWPVulnsViewUpdatesContent(data){
	if (typeof data.data.WPVulnsGetWPVulnsViewUpdatesContent.data.groupID == 'undefined') {
		var group = groupGenerate(1,"bottom");
	}
	$('.searchSiteUpdate').addClass('WPVulnsSearch');
	$('.update-lable').show();
	$('.update_by_group').show();
	$('.update_overall').removeClass('update_group');
	$('.update_overall').removeClass('disabled');
	$('.searchSiteUpdate').show();
	$("#siteViewUpdateContent").html(data.data.WPVulnsGetWPVulnsViewUpdatesContent.HTML);
	if (typeof data.data.WPVulnsGetWPVulnsViewUpdatesContent.data != undefined && data.data.WPVulnsGetWPVulnsViewUpdatesContent.data !=null) {
		$('.searchSiteUpdate').val(data.data.WPVulnsGetWPVulnsViewUpdatesContent.data.searchKey);
	}
	$('.groupView').html(group);
	$('.update_overall').text('Update All Vulnerabilites');
	$('.update_overall').attr('view','WPVulns');
	if (typeof data.data.WPVulnsGetWPVulnsViewUpdatesContent.data.groupID == 'undefined') {
		$('.update_by_group .select_group_toolbar').select2({
				width:'177px'
		});
	}
	if(typeof isStaging!='undefined' && isStaging == 1){
		stagingReplaceUpdateButtonWithStagingButton();
	}
}

function WPVulnsLoadWPVulnsRowDetailedUpdates(data){
	var HTML = data.data.WPVulnsGetWPVulnsRowDetailedUpdates.HTML;
	var siteID = data.data.WPVulnsGetWPVulnsRowDetailedUpdates.siteID;
	$('.ind_row_cont[siteid='+siteID+']').find('.row_summary').hide();
	$('.ind_row_cont[siteid='+siteID+']').find('.appendRowDetaile').html(HTML);
	$('.ind_row_cont[siteid='+siteID+']').find('.row_detailed').show();
	if(typeof isStaging!='undefined' && isStaging == 1){
		stagingReplaceUpdateButtonWithStagingButton(siteID);
	}
}

function processGetOnlyVulnsUpdateCounts(data){
	mainData=data.data.getOnlyVulnsUpdateCounts;
	WPVulnsPluginsUpdateCount = mainData.WPVulnsPluginsCount;
	WPVulnsThemesUpdateCount = mainData.WPVulnsThemesCount;
	WPVulnsWPUpdateCount = mainData.WPVulnsCore;
	loadUpdateConfirmationPopup(tempConfirmObject, 'WPVulns');
}