<?php

/*
slug: brokenLinks
version: 1.0.8
*/


class addonBrokenLinks{
	
	private static $version = '1.0.8';

	public static function version(){
		return self::version;
	}

	public static function init(){
		require_once(APP_ROOT."/addons/brokenLinks/controllers/func.php");	
		require_once(APP_ROOT."/addons/brokenLinks/controllers/manageClientsBrokenLinks.php");	
		panelRequestManager::addFunctions('brokenLinksGetAllLinks','brokenLinksUpdateLink','brokenLinksUndismissLink','brokenLinksBulkActions');
		regHooks('addonMenus','responseProcessors','getStatsRequestParams', 'taskTitleTemplate', 'headHTMLFiles');
	}

	public static function update(){
		if(version_compare(getOldAddonVersion('brokenLinks'), '1.0.6beta1', '<')){
			$deleteFiles = array('/addons/brokenLinks/initHTMLHead.php' => array('type' => 'f') );
			fileSystemRemoveFiles($deleteFiles);
		}
	}

}