<?php

/*
slug: bulkPublish
version: 1.1.0
*/

class addonBulkPublish{
	
	private static $version = '1.1.0';

	public static function version(){
		return self::version;	
	}
	
	public static function init(){
		require_once(APP_ROOT."/addons/bulkPublish/controllers/func.php");	
		require_once(APP_ROOT."/addons/bulkPublish/controllers/manageClientsBulkPublish.php");
		panelRequestManager::addFunctions('bulkPublishGetLinks', 'bulkPublishGetPosts', 'bulkPublishGetPages');
		regHooks('addonMenus', 'responseProcessors', 'taskTitleTemplate', 'headHTMLFiles');
	}

	public static function update(){
		if(version_compare(getOldAddonVersion('bulkPublish'), '1.0.7beta1', '<')){
			$deleteFiles = array(
							'/addons/bulkPublish/css/wp.css' 			  => array('type' => 'f'),
							'/addons/bulkPublish/js/wp-langs-en.js' 	  => array('type' => 'f'),
							'/addons/bulkPublish/initHTMLHead.php' 		  => array('type' => 'f'),
							'/addons/bulkPublish/js/wp-tinymce-schema.js' => array('type' => 'f'),
							'/addons/bulkPublish/js/tiny_mce' 			  => array('type' => 'd'),
							'/addons/bulkPublish/js/zebra' 				  => array('type' => 'd'),
							);
			fileSystemRemoveFiles($deleteFiles);
		}
		return true;
	}
}
?>