<?php

/*
slug: clientPluginBranding
version: 1.1.8
*/

class addonClientPluginBranding{
	
	private static $version = '1.1.8';
	
	public static function version(){
		return self::version;	
	}
	
	public static function init(){
		require_once(APP_ROOT."/addons/clientPluginBranding/controllers/func.php");	
		require_once(APP_ROOT."/addons/clientPluginBranding/controllers/manageClientsClientPluginBranding.php");
		panelRequestManager::addFunctions('clientPluginBrandingGet');
		regHooks('responseProcessors', 'taskTitleTemplate', 'addonHeadJS', 'postAddSite', 'postReaddSite', 'headHTMLFiles');
	}
        
        public static function update(){
            $clientPluginBrandingVariables = getOption('clientPluginBrandingVariables');
            $changeFlg = false;
            if(!empty($clientPluginBrandingVariables)){
                $clientPluginBrandingVariables = @unserialize($clientPluginBrandingVariables);
                if(isset($clientPluginBrandingVariables['pluginName']) && !isset($clientPluginBrandingVariables['doChangesCPB'])) {
                    $clientPluginBrandingVariables['doChangesCPB'] = 1;
                    $changeFlg = true;
                }
                if(!isset($clientPluginBrandingVariables['hideUpdatesCPB'])) {
                    $clientPluginBrandingVariables['hideUpdatesCPB'] = 0;
                    $changeFlg = true;
                }
                if(!isset($clientPluginBrandingVariables['hideFWPCPB'])) {
                    $clientPluginBrandingVariables['hideFWPCPB'] = 0;
                    $changeFlg = true;
                }
                if($changeFlg) {
                    updateOption('clientPluginBrandingVariables', serialize($clientPluginBrandingVariables));
                }
            }
            if(version_compare(getOldAddonVersion('clientPluginBranding'), '1.1.7beta1', '<')){
                $deleteFiles = array('/addons/clientPluginBranding/initHTMLHead.php' => array('type' => 'f') );
                fileSystemRemoveFiles($deleteFiles);
            }
        }
}

?>