<?php
function clientReportingPhoenixManualReportViewHTML(){
	$manualSentReportDataNew = manualReportPhoenixViewGetData();
	$HTML = TPL::get('/addons/clientReporting/templates/manualReportNewView.tpl.php', array('manualSentReportDataNew' => $manualSentReportDataNew, 'ver' => 'phoenix'));
	return $HTML;
}
function clientReportingNewManualReportViewHTML(){
	$manualSentReportDataNew = manualReportNewViewGetData();
	$HTML = TPL::get('/addons/clientReporting/templates/manualReportNewView.tpl.php', array('manualSentReportDataNew' => $manualSentReportDataNew));
	return $HTML;
}
function clientReportingPhoenixScheduleReportViewHTML(){
	$scheduleReportDataNew = scheduleReportPhoenixViewGetData();
	$HTML = TPL::get('/addons/clientReporting/templates/scheduleReportNewView.tpl.php', array('scheduleReportDataNew' => $scheduleReportDataNew, 'ver' => 'phoenix'));
	return $HTML;
}
function clientReportingNewScheduleReportViewHTML(){
	$scheduleReportDataNew = scheduleReportNewViewGetData();
	$HTML = TPL::get('/addons/clientReporting/templates/scheduleReportNewView.tpl.php', array('scheduleReportDataNew' => $scheduleReportDataNew));
	return $HTML;
}
function manualReportNewViewGetData(){
	$where = array(
		'query' =>  "reportType = ':reportType' AND version = ':version' ORDER BY ID ASC",
		'params' => array(
		   ':reportType' => 'manual',
		   ':version'	 => 'new'
		)
    );	
	$getManualSentReportNew = DB::getArray("?:client_report_sent_pdf", "*", $where);
	if(!empty($getManualSentReportNew))
	foreach($getManualSentReportNew as $arrKey => $value){
		$paramData = unserialize(base64_decode($value['params']));
		$manualSentReportDataNew[$value['ID']] = array('sendPdfID' => $value['ID'], 'toMail' => unserialize($paramData['toEmail']), 'sitesCount' => $paramData['sitesCount'], 'sentTime' => $value['sentTime'], 'pdfURL' => APP_URL.'uploads/'.unserialize(base64_decode($value['pdfURL'])));
	}
	
	return $manualSentReportDataNew;
}
function manualReportPhoenixViewGetData(){
	$where = array(
		'query' =>  "reportType = ':reportType' AND version = ':version' ORDER BY ID ASC",
		'params' => array(
		   ':reportType' => 'manual',
		   ':version'	 => 'phoenix'
		)
    );	
	$getManualSentReportNew = DB::getArray("?:client_report_sent_pdf", "*", $where);
	if(!empty($getManualSentReportNew))
	foreach($getManualSentReportNew as $arrKey => $value){
		$paramData = unserialize(base64_decode($value['params']));
		$pdfURL = unserialize(base64_decode($value['pdfURL']));
		if (empty($pdfURL['custom'])) {
			$pdfURL = APP_URL.'uploads/'.$pdfURL;
		}else{
			$pdfURL = $pdfURL['custom'];
		}
		$manualSentReportDataNew[$value['ID']] = array('sendPdfID' => $value['ID'], 'toMail' => unserialize($paramData['toEmail']), 'sitesCount' => $paramData['sitesCount'], 'sentTime' => $value['sentTime'], 'pdfURL' => $pdfURL);
	}
	
	return $manualSentReportDataNew;
}
function scheduleReportPhoenixViewGetData(){
	$where = array(
		'query' =>  "version = ':version' ORDER BY clientReportScheduleID ASC",
		'params' => array(
		   ':version'	 => 'phoenix'
		)
    );		
	$getScheduleNew = DB::getArray("?:client_report_schedule", "*", $where);
	if(!empty($getScheduleNew)){
		foreach($getScheduleNew as $key => $value){
			$params = unserialize(base64_decode($value['params']));
			$siteIDCount = count($params['siteID']);

			$scheduleReportDataNew[$value['clientReportScheduleID']] = array('clientReportScheduleID' => $value['clientReportScheduleID'], 'profileName' => $params['profileName'], 'siteIDCount' => $siteIDCount, 'period' => $value['period'], 'paused' => $value['paused'], 'details' => $value['params']);
			
			$where = array(
				'query' =>  "reportType = ':reportType' AND version=':version' AND clientReportScheduleID = ':clientReportScheduleID' ORDER BY sentTime DESC",
				'params' => array(
				   ':reportType'	 => 'schedule',
				   ':version'	 => 'phoenix',
				   ':clientReportScheduleID'	 => $value['clientReportScheduleID']
				)
			);				
			$getScheduleSentReportNew = DB::getArray("?:client_report_sent_pdf", "*", $where);
			
			if(empty($getScheduleSentReportNew)){ continue; }
			foreach($getScheduleSentReportNew as $arrayKey => $sentReportData){
				$paramData = unserialize(base64_decode($sentReportData['params']));
				$pdfURL = unserialize(base64_decode($sentReportData['pdfURL']));
				if (empty($pdfURL['custom'])) {
					$pdfURL = APP_URL.'uploads/'.$pdfURL;
				}else{
					$pdfURL = $pdfURL['custom'];
				}
				$scheduleReportDataNew[$value['clientReportScheduleID']]['data'][$sentReportData['ID']] = array('sentPdfID' => $sentReportData['ID'], 'toMail' => unserialize($paramData['toEmail']), 'sentTime' => $sentReportData['sentTime'], 'pdfURL' =>  $pdfURL);
			}
		}		
		
		return $scheduleReportDataNew;
	}
}
function scheduleReportNewViewGetData(){
	$where = array(
		'query' =>  "version = ':version' ORDER BY clientReportScheduleID ASC",
		'params' => array(
		   ':version'	 => 'new'
		)
    );		
	$getScheduleNew = DB::getArray("?:client_report_schedule", "*", $where);
	if(!empty($getScheduleNew)){
		foreach($getScheduleNew as $key => $value){
			$params = unserialize(base64_decode($value['params']));
			$siteIDCount = count($params['siteID']);

			$scheduleReportDataNew[$value['clientReportScheduleID']] = array('clientReportScheduleID' => $value['clientReportScheduleID'], 'profileName' => $params['profileName'], 'siteIDCount' => $siteIDCount, 'period' => $value['period'], 'paused' => $value['paused'], 'details' => $value['params']);
			
			$where = array(
				'query' =>  "reportType = ':reportType' AND version=':version' AND clientReportScheduleID = ':clientReportScheduleID' ORDER BY sentTime DESC",
				'params' => array(
				   ':reportType'	 => 'schedule',
				   ':version'	 => 'new',
				   ':clientReportScheduleID'	 => $value['clientReportScheduleID']
				)
			);				
			$getScheduleSentReportNew = DB::getArray("?:client_report_sent_pdf", "*", $where);
			
			if(empty($getScheduleSentReportNew)){ continue; }
			foreach($getScheduleSentReportNew as $arrayKey => $sentReportData){
				$paramData = unserialize(base64_decode($sentReportData['params']));
				$scheduleReportDataNew[$value['clientReportScheduleID']]['data'][$sentReportData['ID']] = array('sentPdfID' => $sentReportData['ID'], 'toMail' => unserialize($paramData['toEmail']), 'sentTime' => $sentReportData['sentTime'], 'pdfURL' =>  APP_URL.'uploads/'.unserialize(base64_decode($sentReportData['pdfURL'])));
			}
		}		
		
		return $scheduleReportDataNew;
	}
}
function clientReportingSaveScheduleNew($params) {

	if(empty($params)){ 
		return false; 
	}
	
	if(in_array($params['reportType'],array('schedule','reschedule'))) {
		$params['clientNote'] 									= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['clientNote']));
		$params['email']['message'] 							= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['message']));
		$params['email']['fromName'] 							= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['fromName']));
		$params['email']['subject'] 							= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['subject']));
		$params['profileName'] 									= stripslashes(str_replace(array("\\r", "\\n"), array("\r",  "\n"), $params['profileName']));		
	}

	$params['headerFooterLogoContNew']['headerContent'] 		= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['headerFooterLogoContNew']['headerContent']));
	$params['headerFooterLogoContNew']['footerContent'] 		= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['headerFooterLogoContNew']['footerContent']));

	clientReportingNewHeaderFooterLogoSave($params['headerFooterLogoContNew']);
	
	if(in_array($params['reportType'],array('schedule','reschedule'))) {
		
		$nextSchedule = clientReportingNextSchedule($params['period'], $params['dates']);
		if(empty($params['clientReportScheduleID'])){
			doSetCharsetToUTF8();
			$addSchedule = DB::insert("?:client_report_schedule", array("profileName" => $params['profileName'], "period" => $params['period'], "schedule" => $params['dates'], "params" => base64_encode(serialize($params)), "nextSchedule" => $nextSchedule, "paused" => 0, "version"=> "new"));
		
			if($addSchedule){ return $params['reportType']; } else{ return false; }
		} else {
			$tempReportType = $params['reportType'];
			$params['reportType'] = 'schedule';			
			$where = array(
							'query' =>  "clientReportScheduleID = ':clientReportScheduleID' AND version=':version'",
							'params' => array(
							   ':clientReportScheduleID' => $params['clientReportScheduleID'],
							   ':version'				 => 'new'
							)
						);
			doSetCharsetToUTF8();
			$editSchedule = DB::update("?:client_report_schedule", array("profileName" => $params['profileName'], "period" => $params['period'], "schedule" => $params['dates'], "params" => base64_encode(serialize($params)), "nextSchedule" => $nextSchedule), $where);
		
			if($editSchedule){ return $tempReportType; } else{ return false; }
		}		
	} else if(in_array($params['reportType'],array('manual'))) {
		
	}
}

function clientReportingSaveSchedulePhoenix($params) {

	if(empty($params)){ 
		return false; 
	}
	
	if(in_array($params['reportType'],array('schedule','reschedule'))) {
		$params['clientNote'] 									= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['clientNote']));
		$params['email']['message'] 							= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['message']));
		$params['email']['fromName'] 							= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['fromName']));
		$params['email']['subject'] 							= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['subject']));
		$params['profileName'] 									= stripslashes(str_replace(array("\\r", "\\n"), array("\r",  "\n"), $params['profileName']));		
	}

	$params['headerFooterLogoContNew']['headerContent'] 		= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['headerFooterLogoContNew']['headerContent']));
	$params['headerFooterLogoContNew']['footerContent'] 		= stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['headerFooterLogoContNew']['footerContent']));

	clientReportingNewHeaderFooterLogoSave($params['headerFooterLogoContNew']);
	
	if(in_array($params['reportType'],array('schedule','reschedule'))) {
		
		$nextSchedule = clientReportingNextSchedule($params['period'], $params['dates']);
		if(empty($params['clientReportScheduleID'])){
			doSetCharsetToUTF8();
			$addSchedule = DB::insert("?:client_report_schedule", array("profileName" => $params['profileName'], "period" => $params['period'], "schedule" => $params['dates'], "params" => base64_encode(serialize($params)), "nextSchedule" => $nextSchedule, "paused" => 0, "version"=> "phoenix"));
		
			if($addSchedule){ return $params['reportType']; } else{ return false; }
		} else {
			$tempReportType = $params['reportType'];
			$params['reportType'] = 'schedule';			
			$where = array(
							'query' =>  "clientReportScheduleID = ':clientReportScheduleID' AND version=':version'",
							'params' => array(
							   ':clientReportScheduleID' => $params['clientReportScheduleID'],
							   ':version'				 => 'phoenix'
							)
						);
			doSetCharsetToUTF8();
			$editSchedule = DB::update("?:client_report_schedule", array("profileName" => $params['profileName'], "period" => $params['period'], "schedule" => $params['dates'], "params" => base64_encode(serialize($params)), "nextSchedule" => $nextSchedule), $where);
		
			if($editSchedule){ return $tempReportType; } else{ return false; }
		}		
	} else if(in_array($params['reportType'],array('manual'))) {
		
	}
}
function clientReportingNewHeaderFooterLogoSave($params){
	
	if(empty($params)){ 
		return false; 
	}
	doSetCharsetToUTF8();	
	updateOption("headerFooterLogoContNew", base64_encode(serialize($params)));
}
function clientReportingPhoenixGetLogo(){
	$headerFooterLogoContNew = getOption("headerFooterLogoContNew");
	$headerFooterLogoContNew = unserialize(base64_decode($headerFooterLogoContNew));
	return $headerFooterLogoContNew['logoName'];
}
function clientReportingNewGetLogo(){
	$headerFooterLogoContNew = getOption("headerFooterLogoContNew");
	$headerFooterLogoContNew = unserialize(base64_decode($headerFooterLogoContNew));
	return $headerFooterLogoContNew['logoName'];
}
function clientReportingNewGetHeaderFooterCont(){	
	$headerFooterCont = getOption("headerFooterLogoContNew");	
	$headerFooterData = unserialize(base64_decode($headerFooterCont));	
	$headerFooterData['headerContent']	= html_entity_decode($headerFooterData['headerContent'], ENT_COMPAT, 'UTF-8' );
	$headerFooterData['footerContent']	= html_entity_decode($headerFooterData['footerContent'], ENT_COMPAT, 'UTF-8' );
	$headerFooterCont = array('headerContent' => $headerFooterData['headerContent'], 'footerContent' => $headerFooterData['footerContent']);
	return $headerFooterCont;
}
function clientReportingPhoenixGetHeaderFooterCont(){	
	$headerFooterCont = getOption("headerFooterLogoContNew");	
	$headerFooterData = unserialize(base64_decode($headerFooterCont));	
	$headerFooterData['headerContent']	= html_entity_decode($headerFooterData['headerContent'], ENT_COMPAT, 'UTF-8' );
	$headerFooterData['footerContent']	= html_entity_decode($headerFooterData['footerContent'], ENT_COMPAT, 'UTF-8' );
	$headerFooterCont = array('headerContent' => $headerFooterData['headerContent'], 'footerContent' => $headerFooterData['footerContent']);
	return $headerFooterCont;
}
function clientReportingScheduleReportPauseNew($params){
	if(empty($params)){	return false; }
	else{
		$where = array(
			'query' =>  "clientReportScheduleID = ':clientReportScheduleID' and version=':version'",
			'params' => array(
			   ':clientReportScheduleID' => $params['clientReportScheduleID'],
			   ':version' => 'new'
			)
		);
		$paused = DB::update("?:client_report_schedule", array('paused' => $params['paused']), $where);
		if($paused){ return true; }
	}
}

function clientReportingScheduleReportPausePhoenix($params){
	if(empty($params)){	return false; }
	else{
		$where = array(
			'query' =>  "clientReportScheduleID = ':clientReportScheduleID' and version=':version'",
			'params' => array(
			   ':clientReportScheduleID' => $params['clientReportScheduleID'],
			   ':version' => 'phoenix'
			)
		);
		$paused = DB::update("?:client_report_schedule", array('paused' => $params['paused']), $where);
		if($paused){ return true; }
	}
}

function scheduleReportingNewGeneratePdf($params = '') {
	if (empty($params['tempID'])) {
		$paramsReport = unserialize(base64_decode($params['details']));
	}else{
		$where = array(
					'query' =>  "ID = ':ID'",
					'params' => array(
					   ':ID' => $params['tempID']
					)
				);		
		$savedRequest = DB::getField("?:temp_storage", "data", $where);
		$paramsReport = unserialize($savedRequest);
		$paramsReport = unserialize(base64_decode($paramsReport['details']));
	}
	$paramsReport['action'] = $params['action'];
	$isCron = false;
	if(!empty($params['actionID'])) {
		$paramsReport['actionID'] = $params['actionID'];
		$isCron = true;
	}
	$res = manualReportingNewPreGeneratePdf($paramsReport, $isCron, true);
	returnScheduledReportDates($paramsReport);
	$request = array(
		'siteID' => $res['result'],
		'headerContent' => $paramsReport['headerFooterLogoContNew']['headerContent'],
		'footerContent' => $paramsReport['headerFooterLogoContNew']['footerContent'],
		'logoName' => $paramsReport['headerFooterLogoContNew']['logoName'],
		'clientNote' => $paramsReport['clientNote'],
		'email' => array(
			'fromName' => $paramsReport['email']['fromName'],
			'toEmail' => $paramsReport['email']['toEmail'],
			'fromEmail' => $paramsReport['email']['fromEmail'],
			'message' => $paramsReport['email']['message'],
			'subject' => $paramsReport['email']['subject']
		),
		'dateRange' => $paramsReport['dates'],
		'generatePdfAndSendMail' => 1,
		'detailed' => $res['detailed'],
		'other_data' => $res['result']['other_data'],
		'reportType' => 'schedule',
		'clientReportScheduleID' => $params['clientReportScheduleID'],
		'originalActions' => $res['originalActions']
	);
	$detailed = array();
	if (!empty($res['detailed'])) {
		$detailed = unserialize(base64_decode($res['detailed']));
	}

	if(empty($detailed)) {
		$paramsReport['email']['message'] = "No operations were performed during ".$paramsReport['dates']." in your reporting schedule - <strong>".$paramsReport['profileName']."</strong>. So the report was not emailed to the client.";
		$paramsReport['email']['toEmail'] = $paramsReport['email']['fromEmail'];
		return sendMailPdfAttach($paramsReport['email'], $isCron);		
	}
	$return = clientReportingNewGeneratePdf($request, $isCron, true);
	if($return && $isCron === false){
		addNotification($type='N', $title='Client Report', $message='Run now completed.', $state='U', $callbackOnClose='', $callbackReference='');
	}	
	return($return);
}

function scheduleReportingPhoenixGenerateHTML($params = '') {
	if (empty($params['tempID'])) {
		$paramsReport = unserialize(base64_decode($params['details']));
	}else{
		$where = array(
					'query' =>  "ID = ':ID'",
					'params' => array(
					   ':ID' => $params['tempID']
					)
				);		
		$savedRequest = DB::getField("?:temp_storage", "data", $where);
		$paramsReport = unserialize($savedRequest);
		$paramsReport = unserialize(base64_decode($paramsReport['details']));
	}
	$paramsReport['action'] = $params['action'];
	$isCron = false;
	if(!empty($params['actionID'])) {
		$paramsReport['actionID'] = $params['actionID'];
		$isCron = true;
	}
	
	$res = manualReportingPhoenixPreGenerateHTML($paramsReport, $isCron, true);

	returnScheduledReportDates($paramsReport);
	$request = array(
		'siteID' => $res['result'],
		'headerContent' => $paramsReport['headerFooterLogoContNew']['headerContent'],
		'footerContent' => $paramsReport['headerFooterLogoContNew']['footerContent'],
		'logoName' => $paramsReport['headerFooterLogoContNew']['logoName'],
		'clientNote' => $paramsReport['clientNote'],
		'email' => array(
			'fromName' => $paramsReport['email']['fromName'],
			'toEmail' => $paramsReport['email']['toEmail'],
			'fromEmail' => $paramsReport['email']['fromEmail'],
			'message' => $paramsReport['email']['message'],
			'subject' => $paramsReport['email']['subject']
		),
		'dateRange' => $paramsReport['dates'],
		'generatePdfAndSendMail' => 1,
		'detailed' => $res['detailed'],
		'other_data' => $res['result']['other_data'],
		'reportType' => 'schedule',
		'clientReportScheduleID' => $params['clientReportScheduleID'],
		'originalActions' => $res['originalActions'],
		'template' => $paramsReport['template']
	);
	if (!empty($paramsReport['ftpDetails'])) {
		$request['ftpDetails'] = $paramsReport['ftpDetails'];
	}
	$detailed = array();
	if (!empty($res['detailed'])) {
		$detailed = unserialize(base64_decode($res['detailed']));
	}

	if(empty($detailed)) {
		$paramsReport['email']['message'] = "No operations were performed during ".$paramsReport['dates']." in your reporting schedule - <strong>".$paramsReport['profileName']."</strong>. So the report was not emailed to the client.";
		$paramsReport['email']['toEmail'] = $paramsReport['email']['fromEmail'];
		return sendMailPdfAttach($paramsReport['email'], $isCron);		
	}

	$return = clientReportingNewGenerateHTML($request, $isCron, true);
	if($return && $isCron === false){
		addNotification($type='N', $title='Client Report', $message='Run now completed.', $state='U', $callbackOnClose='', $callbackReference='');
	}	
	return($return);
}

function fetchReportDetailUsingID($params = '') {
	$settings = fetchReportDetailsUsingID($params);
	return($settings[0]);
}
function clientReportingNewGetSchedule($params){
	if(!empty($params['clientReportScheduleID'])){
		$where = array(
		      		'query' =>  "clientReportScheduleID = ':clientReportScheduleID' and version = ':version'",
		      		'params' => array(
		      		   ':clientReportScheduleID' => $params['clientReportScheduleID'],
					   ':version' => 'new'
       				)
    			);
		$getManualSentReport = DB::getRow("?:client_report_schedule", "*", $where);
		$scheduleData = unserialize(base64_decode($getManualSentReport['params']));
		
		$scheduleData['headerFooterLogoCont']['headerContent']	= html_entity_decode($scheduleData['headerFooterLogoCont']['headerContent'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['headerFooterLogoCont']['footerContent']	= html_entity_decode($scheduleData['headerFooterLogoCont']['footerContent'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['clientNote']								= html_entity_decode($scheduleData['clientNote'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['email']['message']						= html_entity_decode($scheduleData['email']['message'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['email']['fromName']						= html_entity_decode($scheduleData['email']['fromName'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['email']['subject']						= html_entity_decode($scheduleData['email']['subject'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['profileName']							= html_entity_decode($scheduleData['profileName'], ENT_COMPAT, 'UTF-8' );
		
		$scheduleData['clientReportScheduleID'] = $getManualSentReport['clientReportScheduleID'];
		return $scheduleData;
	}
}

function clientReportingPhoenixGetSchedule($params){
	if(!empty($params['clientReportScheduleID'])){
		$where = array(
		      		'query' =>  "clientReportScheduleID = ':clientReportScheduleID' and version = ':version'",
		      		'params' => array(
		      		   ':clientReportScheduleID' => $params['clientReportScheduleID'],
					   ':version' => 'phoenix'
       				)
    			);
		$getManualSentReport = DB::getRow("?:client_report_schedule", "*", $where);
		$scheduleData = unserialize(base64_decode($getManualSentReport['params']));
		
		$scheduleData['headerFooterLogoCont']['headerContent']	= html_entity_decode($scheduleData['headerFooterLogoCont']['headerContent'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['headerFooterLogoCont']['footerContent']	= html_entity_decode($scheduleData['headerFooterLogoCont']['footerContent'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['clientNote']								= html_entity_decode($scheduleData['clientNote'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['email']['message']						= html_entity_decode($scheduleData['email']['message'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['email']['fromName']						= html_entity_decode($scheduleData['email']['fromName'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['email']['subject']						= html_entity_decode($scheduleData['email']['subject'], ENT_COMPAT, 'UTF-8' );
		$scheduleData['profileName']							= html_entity_decode($scheduleData['profileName'], ENT_COMPAT, 'UTF-8' );
		
		$scheduleData['clientReportScheduleID'] = $getManualSentReport['clientReportScheduleID'];
		$template = $scheduleData['template']['reportTemplate'];
		if($template == "simple"){
			$template = "Simple";
		}else if($template == "professional"){
			$template = "Professional";
		}else if($template == "designer"){
			$template = "Designer";
		}
		$scheduleData['templateHTML'] = clientReportingGetTemplateFields(array('template'=>$template), $scheduleData['template'] );
		return $scheduleData;
	}
}

function clientReportingScheduleReportDeleteNew($params){
	if(empty($params)){	return false; }
	$where = array(
			      		'query' =>  "clientReportScheduleID = ':clientReportScheduleID' and version=':version'",
			      		'params' => array(
			      		   ':clientReportScheduleID' => $params['clientReportScheduleID'],
						   ':version' => 'new'
           				)
        			);
	$getSentPdfURL = DB::getArray("?:client_report_sent_pdf", "pdfURL", $where);
	if(!empty($getSentPdfURL)){
		foreach($getSentPdfURL as $key => $URL){
			$pdfURL = unserialize(base64_decode($URL['pdfURL']));
			$pdfPath = parse_url($pdfURL);
			$fileNameArray = explode('/', $pdfPath['path']);
			$fileName = end($fileNameArray);
			@unlink(APP_ROOT.'/uploads/'.$fileName);
		}
	}
	$where = array(
		'query' =>  "clientReportScheduleID = ':clientReportScheduleID' and version=':version'",
		'params' => array(
		   ':clientReportScheduleID' => $params['clientReportScheduleID'],
		   ':version' => 'new'
		)	
	);
	DB::delete("?:client_report_sent_pdf", $where);
	$deleteScheduleAndPdf = DB::delete("?:client_report_schedule", $where);
	
	if($deleteScheduleAndPdf){ return true; } else{ return false; }
}

function clientReportingScheduleReportDeletePhoenix($params){
	if(empty($params)){	return false; }
	$where = array(
			      		'query' =>  "clientReportScheduleID = ':clientReportScheduleID' and version=':version'",
			      		'params' => array(
			      		   ':clientReportScheduleID' => $params['clientReportScheduleID'],
						   ':version' => 'phoenix'
           				)
        			);
	$getSentPdfURL = DB::getArray("?:client_report_sent_pdf", "pdfURL", $where);
	if(!empty($getSentPdfURL)){
		foreach($getSentPdfURL as $key => $URL){
			$pdfURL = unserialize(base64_decode($URL['pdfURL']));
			$pdfPath = parse_url($pdfURL);
			$fileNameArray = explode('/', $pdfPath['path']);
			$fileName = end($fileNameArray);
			@unlink(APP_ROOT.'/uploads/'.$fileName);
		}
	}
	$where = array(
		'query' =>  "clientReportScheduleID = ':clientReportScheduleID' and version=':version'",
		'params' => array(
		   ':clientReportScheduleID' => $params['clientReportScheduleID'],
		   ':version' => 'phoenix'
		)	
	);
	DB::delete("?:client_report_sent_pdf", $where);
	$deleteScheduleAndPdf = DB::delete("?:client_report_schedule", $where);
	
	if($deleteScheduleAndPdf){ return true; } else{ return false; }
}

function manualReportingNewPreGeneratePdf($params, $isCron = false, $isScheduled = false){
	$result_temp = array(
		'lang_variables'	=> array(
			'report_generated_for_the_period' => (L('report_generated_for_the_period')?L('report_generated_for_the_period'):'Report generated for the period'),
			'cr_new_notice' => (L('cr_new_notice')?L('cr_new_notice'):"These data will be included in the report. The actual PDF report will be more detailed and structured.<br />You can download and view it by clicking on the Download PDF button."),
			'other_data' => (L('other_data')?L('other_data'):"Other Data"),
			'updated'	=> (L('updated')?L('updated'):"Updated"),
			'backups'	=> (L('backups')?L('backups'):"Backups"),
			'ithemesec'	=> (L('ithemesec')?L('ithemesec'):"Ithemes security"),
			'wordfence'	=> (L('wordfence')?L('wordfence'):"Wordfence security"),
			'googleAnalytics'	=> (L('googleAnalytics')?L('googleAnalytics'):"Google analytics"),
			'WPManintenance'	=> (L('WPManintenance')?L('WPManintenance'):"Optimized by removing"),
			'googlePageSpeed'	=> (L('googlePageSpeed')?L('googlePageSpeed'):"Google Page Speed")
		)
	);	
	if(!empty($params['actionID'])) {
		$actionID = $params['actionID'];
	} else {
		$actionID = Reg::get('currentRequest.actionID');
	}
		
	$where = array(
	      		'query' =>  "type = ':type' AND paramID = ':paramID'",
	      		'params' => array(
	      		   ':type' => $params['action'],
	      		   ':paramID' => $actionID
   				)
			);	
	$linkData = DB::getFields("?:temp_storage", "data", $where);
	
	DB::delete("?:temp_storage", $where);
		
	/*if(empty($linkData)){
		addNotification($type='E', $title='Invalid Action IDs', "Invalid Action IDs.", $state='U', $callbackOnClose='', $callbackReference='');
		return array();
	}*/
	$refinedData = array();
	
	if(!empty($linkData)){
		foreach($linkData as $data){
			$refinedData = array_merge_recursive($refinedData, (array)unserialize($data));	
		}
		
		arrayMergeRecursiveNumericKeyHackFix($refinedData);
		
		foreach($refinedData as $siteID => $links){
			$where = array(
						'query' =>  "siteID = ':siteID'",
						'params' => array(
						   ':siteID' => $siteID
						)
					);
			$siteData = DB::getRow("?:sites","URL",$where);

			
			$refinedData['siteURLs'][] = $siteData['URL'];
			$refinedData['siteIDs'][] = $siteID;
		}
	}
	
	$query = "
		select 
			h.historyID,
			h.siteID, 
			hrd.request 
		from 
			?:history as h 
			left join ?:history_raw_details as hrd on hrd.historyID = h.historyID 
		where 
			h.actionID = '".$actionID."'
	";
	
	$historyIDResult = DB::getArray($query);
	
	$result = array();
	$result['result'] = array();
	$result['detailed'] = array();
	$result['originalActions'] = array();
	
	if(!empty($historyIDResult)) {
		foreach($historyIDResult as $key => $historyIDArray) {
			
			$params = unserialize(base64_decode($historyIDArray['request']));
			
			$result['result'][$historyIDArray['siteID']] = $result['detailed'][$historyIDArray['siteID']] = array();
			
			if(!empty($refinedData[$historyIDArray['siteID']]['detailed']) && is_array($refinedData[$historyIDArray['siteID']]['detailed']) && count($refinedData[$historyIDArray['siteID']]['detailed'])) {
				$result['detailed'][$historyIDArray['siteID']] = $refinedData[$historyIDArray['siteID']]['detailed'];
			}	
			
			$result['originalActions'] = $params['params']['originalActions'];
			
			foreach($params['params']['actions'] as $key_inner => $action) {
				if($refinedData[$historyIDArray['siteID']]['count'][$action]) {
					$actionMain = $action;
					if(strpos($action, '-updated')) {
						$actionMain = 'updated';
					}
					$result['result'][$historyIDArray['siteID']][$actionMain][L($action)]['success'] = $refinedData[$historyIDArray['siteID']]['count'][$action];
				}				
			}
			
			if($isScheduled == false) {
				$result['result'][$historyIDArray['siteID']]['other_data'] = array();
			}
			
			clientReportingNewRemainingActions($params, $historyIDArray, $result, $isScheduled);
			foreach($params['params']['actions'] as $key_inner => $action) {
				if(in_array($action, array('ithemesec', 'wordfence')) && $refinedData[$historyIDArray['siteID']]['detailed'][$action]) {
					$actionMain = $action;
					foreach ($refinedData[$historyIDArray['siteID']]['detailed'][$action]['details'] as $key => $value) {
						$isEmptyKey = L($key);
						if (!empty($isEmptyKey)) {
							$result['result'][$historyIDArray['siteID']][$actionMain][L($key)]['success'] = $refinedData[$historyIDArray['siteID']]['detailed'][$action]['details'][$key];
						}
					}
				}				
			}
			
			$where = array(
				'query' =>  "historyID = ':historyID'",
				'params' => array(
				   ':historyID'=>$historyIDArray['historyID']
				)
			);			
			DB::delete("?:history", $where);
			DB::delete("?:history_additional_data", $where);
			DB::delete("?:history_raw_details", $where);
		}
		
		if(empty($result['result'])) {
			if($isCron === false) {
				addNotification($type='E', $title='Invalid parameters', "No operations were performed for the date range you chosen. Please check the sites or date range you chosen.", $state='U', $callbackOnClose='', $callbackReference='');
			}
			$result = array(
				'result' 				=> $result['result'],
				'detailed' 				=> $result['detailed'],
				'originalActions' 		=> $result['originalActions']
			);
			$result = array_merge($result, $result_temp);
			unset($result_temp);		
			return $result;			
		}

		$result['detailed'] = base64_encode(serialize($result['detailed']));
		$result['originalActions'] = base64_encode(serialize($result['originalActions']));
	}	
	
	$result = array(
		'result' 				=> $result['result'],
		'detailed' 				=> $result['detailed'],
		'originalActions' 		=> $result['originalActions']
	);
	$result = array_merge($result, $result_temp);
	unset($result_temp);
	return $result;
}

function manualReportingPhoenixPreGenerateHTML($params, $isCron = false, $isScheduled = false){
	$result_temp = array(
		'lang_variables'	=> array(
			'report_generated_for_the_period' => (L('report_generated_for_the_period')?L('report_generated_for_the_period'):'Report generated for the period'),
			'cr_new_notice' => (L('cr_new_notice')?L('cr_new_notice'):"These data will be included in the report. The actual PDF report will be more detailed and structured.<br />You can download and view it by clicking on the Download PDF button."),
			'other_data' => (L('other_data')?L('other_data'):"Other Data"),
			'updated'	=> (L('updated')?L('updated'):"Updated"),
			'backups'	=> (L('backups')?L('backups'):"Backups"),
			'ithemesec'	=> (L('ithemesec')?L('ithemesec'):"Ithemes security"),
			'wordfence'	=> (L('wordfence')?L('wordfence'):"Wordfence security"),
			'googleAnalytics'	=> (L('googleAnalytics')?L('googleAnalytics'):"Google analytics"),
			'WPManintenance'	=> (L('WPManintenance')?L('WPManintenance'):"Optimized by removing"),
			'googlePageSpeed'	=> (L('googlePageSpeed')?L('googlePageSpeed'):"Google Page Speed")
			
		)
	);	
	if(!empty($params['actionID'])) {
		$actionID = $params['actionID'];
	} else {
		$actionID = Reg::get('currentRequest.actionID');
	}

	$where = array(
	      		'query' =>  "type = ':type' AND paramID = ':paramID'",
	      		'params' => array(
	      		   ':type' => $params['action'],
	      		   ':paramID' => $actionID
   				)
			);	

	$linkData = DB::getFields("?:temp_storage", "data", $where);
	
	DB::delete("?:temp_storage", $where);
		
	/*if(empty($linkData)){
		addNotification($type='E', $title='Invalid Action IDs', "Invalid Action IDs.", $state='U', $callbackOnClose='', $callbackReference='');
		return array();
	}*/
	$refinedData = array();
	
	if(!empty($linkData)){
		foreach($linkData as $data){
			$refinedData = array_merge_recursive($refinedData, (array)unserialize($data));	
		}
		arrayMergeRecursiveNumericKeyHackFix($refinedData);
		
		foreach($refinedData as $siteID => $links){
			$where = array(
						'query' =>  "siteID = ':siteID'",
						'params' => array(
						   ':siteID' => $siteID
						)
					);
			$siteData = DB::getRow("?:sites","URL",$where);

			
			$refinedData['siteURLs'][] = $siteData['URL'];
			$refinedData['siteIDs'][] = $siteID;
		}
	}
	
	$query = "
		select 
			h.historyID,
			h.siteID, 
			hrd.request 
		from 
			?:history as h 
			left join ?:history_raw_details as hrd on hrd.historyID = h.historyID 
		where 
			h.actionID = '".$actionID."'
	";
	
	$historyIDResult = DB::getArray($query);

	$result = array();
	$result['result'] = array();
	$result['detailed'] = array();
	$result['originalActions'] = array();
	
	if(!empty($historyIDResult)) {
		foreach($historyIDResult as $key => $historyIDArray) {
			
			$params = unserialize(base64_decode($historyIDArray['request']));
			
			$result['result'][$historyIDArray['siteID']] = $result['detailed'][$historyIDArray['siteID']] = array();
			
			if(!empty($refinedData[$historyIDArray['siteID']]['detailed']) && is_array($refinedData[$historyIDArray['siteID']]['detailed']) && count($refinedData[$historyIDArray['siteID']]['detailed'])) {
				$result['detailed'][$historyIDArray['siteID']] = $refinedData[$historyIDArray['siteID']]['detailed'];
			}	
			
			$result['originalActions'] = $params['params']['originalActions'];
			
			foreach($params['params']['actions'] as $key_inner => $action) {
				if($refinedData[$historyIDArray['siteID']]['count'][$action]) {
					$actionMain = $action;
					if(strpos($action, '-updated')) {
						$actionMain = 'updated';
					}
					$result['result'][$historyIDArray['siteID']][$actionMain][L($action)]['success'] = $refinedData[$historyIDArray['siteID']]['count'][$action];
				}				
			}
			
			if($isScheduled == false) {
				$result['result'][$historyIDArray['siteID']]['other_data'] = array();
			}
			
			clientReportingPhoenixRemainingActions($params, $historyIDArray, $result, $isScheduled);
			
			foreach($params['params']['actions'] as $key_inner => $action) {
				if(in_array($action, array('ithemesec', 'wordfence')) && $refinedData[$historyIDArray['siteID']]['detailed'][$action]) {
					$actionMain = $action;
					foreach ($refinedData[$historyIDArray['siteID']]['detailed'][$action]['details'] as $key => $value) {
						$isEmptyKey = L($key);
						if (!empty($isEmptyKey)) {
							$result['result'][$historyIDArray['siteID']][$actionMain][L($key)]['success'] = $refinedData[$historyIDArray['siteID']]['detailed'][$action]['details'][$key];
						}
					}
				}				
			}
			
			$where = array(
				'query' =>  "historyID = ':historyID'",
				'params' => array(
				   ':historyID'=>$historyIDArray['historyID']
				)
			);			
			DB::delete("?:history", $where);
			DB::delete("?:history_additional_data", $where);
			DB::delete("?:history_raw_details", $where);
		}
		
		if(empty($result['result'])) {
			if($isCron === false) {
				addNotification($type='E', $title='Invalid parameters', "No operations were performed for the date range you chosen. Please check the sites or date range you chosen.", $state='U', $callbackOnClose='', $callbackReference='');
			}
			$result = array(
				'result' 				=> $result['result'],
				'detailed' 				=> $result['detailed'],
				'originalActions' 		=> $result['originalActions']
			);
			$result = array_merge($result, $result_temp);
			unset($result_temp);		
			return $result;			
		}

		$result['detailed'] = base64_encode(serialize($result['detailed']));
		$result['originalActions'] = base64_encode(serialize($result['originalActions']));
	}	
	
	$result = array(
		'result' 				=> $result['result'],
		'detailed' 				=> $result['detailed'],
		'originalActions' 		=> $result['originalActions']
	);

	$result = array_merge($result, $result_temp);
	unset($result_temp);
	
	return $result;
}

function clientReportingNewRemainingActions($params, $historyIDArray, &$result, $isScheduled) {
	$remainingActions = $params['params']['actions'];
	$temp_parmas = array();
	$stripActionsArray = array(
		'core-updated', 
		'plugins-updated',
		'themes-updated',
		'translations-updated',
		'backups',
		'ithemesec',
		'wordfence'
	);
	foreach($remainingActions as $actionKey => $remainingAction) {
		if(in_array($remainingAction, $stripActionsArray)) {
			unset($remainingActions[$actionKey]);
		}
	}
	
	if(in_array('posts', $remainingActions)) {
		$remainingActions[] = 'post';
	}
	if(in_array('pages', $remainingActions)) {
		$remainingActions[] = 'page';
	}
	if(in_array('links', $remainingActions)) {
		$remainingActions[] = 'link';
	}	
	$fromDate = $params['params']['fromDate'];
	$toDate = $params['params']['toDate'];
	$dateQuery = "type IN ('".implode("','", array_unique(DB::esc($remainingActions)))."') AND action != 'get' AND microtimeAdded >= ".DB::esc($fromDate)." AND  microtimeAdded <= ".DB::esc($toDate)." ";
	
	$where1 = array(
				'query' =>  "siteID = ':siteID' AND ".$dateQuery."GROUP BY actionID ORDER BY historyID asc",
				'params' => array(
				   ':siteID' => $historyIDArray['siteID']
				)
			);
	$actionHistoryIDs = DB::getArray("?:history", "historyID, microtimeEnded, actionID", $where1);
	if(!empty($actionHistoryIDs)){ 
		$actionsHistoryData = array();
		foreach($actionHistoryIDs as $key => $actionHistoryID){
			$actionsHistoryData[ $actionHistoryID['actionID'] ] = panelRequestManager::getActionStatus($actionHistoryID['actionID']);
			$actionsHistoryData[ $actionHistoryID['actionID'] ]['historyID'] = $actionHistoryID['historyID'];
			$actionsHistoryData[ $actionHistoryID['actionID'] ]['microtimeEnded'] = $actionHistoryID['microtimeEnded'];
			unset($actionHistoryIDs);
		}
		if(!empty($actionsHistoryData) && is_array($actionsHistoryData)) {
			foreach($actionsHistoryData as $actionID => $actionData) {
			
				foreach($actionData['detailedStatus'] as $key => $detailedAction) {
					if($detailedAction['siteID'] == $historyIDArray['siteID'] && $detailedAction['status'] == 'success') {
						$type = $actionData['type'];
						if($type == 'post') {
							$type = 'posts';
						}
						if($type == 'page') {
							$type = 'pages';
						}
						if($type == 'link') {
							$type = 'links';
						} 
						if($isScheduled) {
							if(empty($result['result']['other_data'][$historyIDArray['siteID']][L($type)])) {
								$result['result']['other_data'][$historyIDArray['siteID']][L($type)] = 0;
							}
							$result['result']['other_data'][$historyIDArray['siteID']][L($type)]++;							
						} else {
							if(empty($result['result'][$historyIDArray['siteID']]['other_data'][L($type)]['success'])) {
								$result['result'][$historyIDArray['siteID']]['other_data'][L($type)]['success'] = 0;
							}
							$result['result'][$historyIDArray['siteID']]['other_data'][L($type)]['success']++;
						}
							if ($type!='malwareScanningSucuri') {
								$result['detailed'][$historyIDArray['siteID']]['managed'][$type]++;
							}elseif($type=='malwareScanningSucuri'){
								$result_temp[$historyIDArray['siteID']][$type]++;
							}
				
					}
				}
			}
		}
	}

	if (in_array('WPManintenance', $remainingActions)) {
		$actions []='wp';
		$dateQuery = "type IN ('".implode("','", array_unique(DB::esc($actions)))."') AND action != 'get' AND microtimeAdded >= ".DB::esc($fromDate)." AND  microtimeAdded <= ".DB::esc($toDate)." ";
		
		$where1 = array(
					'query' =>  "siteID = ':siteID' AND ".$dateQuery."GROUP BY actionID ORDER BY historyID asc",
					'params' => array(
					   ':siteID' => $historyIDArray['siteID']
					)
				);
		$actionHistoryIDs = DB::getArray("?:history", "historyID, microtimeEnded, actionID", $where1);
		if(!empty($actionHistoryIDs)){ 
			$actionsHistoryData = array();
			foreach($actionHistoryIDs as $key => $actionHistoryID){
				$actionsHistoryData[ $actionHistoryID['actionID'] ] = panelRequestManager::getActionStatus($actionHistoryID['actionID']);
				$actionsHistoryData[ $actionHistoryID['actionID'] ]['historyID'] = $actionHistoryID['historyID'];
				$actionsHistoryData[ $actionHistoryID['actionID'] ]['microtimeEnded'] = $actionHistoryID['microtimeEnded'];
				unset($actionHistoryIDs);
			}
		}
			if (!empty($actionsHistoryData)) {
				foreach ($actionsHistoryData as $actionID => $actionData) {
					foreach ($actionData['detailedStatus'] as $key => $detailedAction) {
						if($detailedAction['siteID'] == $historyIDArray['siteID'] && $detailedAction['status'] == 'success') {
							//$responseMsg = str_replace('\\','',$detailedAction['errorMsg']);
							$responseMsg =$detailedAction['errorMsg'];
							$responseData = unserialize($responseMsg);
							foreach ($responseData['value_array'] as $key => $value) {
								if ($value == 0 && $key != 'optimize-db') {
									continue;
								}elseif ($key == 'optimize-db') {
									$result['detailed'][$historyIDArray['siteID']]['WPManintenance'][$key]++;
									$result['result'][$historyIDArray['siteID']]['WPManintenance'][L($key)]['success']++;
									continue;
								}
								$result['detailed'][$historyIDArray['siteID']]['WPManintenance'][$key]+=$value;
								$result['result'][$historyIDArray['siteID']]['WPManintenance'][L($key)]['success']+=$value;
							}
						}
					}
				}
			}

	}

	if(in_array('googleAnalytics', $remainingActions)) {
		if(function_exists('googleAnalyticsGetProfileData')){
			$where = array(
						'query' =>  "siteID = ':siteID'",
						'params' => array(
						   ':siteID' => $historyIDArray['siteID']
						)
					);
			$profileID = DB::getField("?:google_analytics_profiles_sites", "gaProfileID", $where);
			if(!empty($profileID)){
				
				/*$args['siteID'] = $historyIDArray['siteID'];
				
				$args['clientReportAnalyticsDate']['startDate'] = date('Y-m-d', $fromDate);
				$args['clientReportAnalyticsDate']['endDate'] = date('Y-m-d', $toDate);
				$GAPD = googleAnalyticsGetProfileData($args);	

				if(!empty($GAPD) && is_array($GAPD)) {					
					foreach($GAPD as $gaType => $gaValue) {
						
						$floatVal = floatval ($gaValue);
						$val = round($floatVal, 2);
						
						if($gaType == 'ga:percentNewVisits' || $gaType == 'ga:bounceRate') {
							$val = $val.'%';							
						}
						$result['result'][$historyIDArray['siteID']]['googleAnalytics'][L($gaType)]['success'] = $val;						
					}
				}*/	
				
				//$args = array();
				$args['siteID'] = $historyIDArray['siteID'];
				$args['clientReportNewAnalyticsDate']['periodDays'] = $periodDays = ceil(abs((($toDate - $fromDate)/(60*60*24))));
				$args['clientReportNewAnalyticsDate']['date'] = array(
					'd'		=> date('d', $toDate),
					'm'		=> date('m', $toDate),
					'Y'		=> date('Y', $toDate)
				);
				$notShowGAInfoArray = array('ga:bounceRate', 'ga:newVisits', 'ga:visitors');
				$GAPD = googleAnalyticsGetProfileData($args);
				if(!empty($GAPD) && is_array($GAPD)) {					
					foreach($GAPD as $gaDataName => $periodArray) {
						if($gaDataName != 'total') {
							foreach($periodArray as $period => $dataArray) {
								$result['detailed'][$historyIDArray['siteID']]['googleAnalytics'][$gaDataName][$period] = $dataArray;	
							}							
						} else {
							foreach($periodArray as $period => $gaDataArray) {
								foreach($gaDataArray as $gaType => $gaValue) {
									if (in_array($gaType, $notShowGAInfoArray)) {
										continue;
									}
									$floatVal = floatval ($gaValue);
									$val = round($floatVal, 2);
									
									if($gaType == 'ga:percentNewVisits' || $gaType == 'ga:bounceRate') {
										$val = $val.'%';							
									}
									if($period == 'currentPeriod') {
										$result['result'][$historyIDArray['siteID']]['googleAnalytics'][L($gaType)]['success'] = $val;
									}
									$result['detailed'][$historyIDArray['siteID']]['googleAnalytics'][$gaDataName][$gaType][$period] = $val;
								}
							}
						}						
					}				
				}
			}			
		}
	}

		

	if (is_array($result_temp) && !empty($result_temp)) {
		foreach ($result_temp as $siteID => $value) {
			$result['detailed'][$siteID]['malwareScanningSucuri']=$value['malwareScanningSucuri'];
		}
	}
	if (in_array('googleSafeBrowsing', $remainingActions)) {
		if (function_exists('googleSafeBrowsingAddonMenus')) {
			$where = array(
							'query' =>  "siteID = ':siteID' AND time >= ".DB::esc($fromDate)." AND  time <= ".DB::esc($toDate)."",
							'params' => array(
							   ':siteID' => $historyIDArray['siteID']
							)
						);
			$scanCount = DB::getField("?:google_safe_browsing_additional_data", "count(siteID)", $where);
			if (!empty($historyIDArray['siteID']) && !empty($scanCount)) {
				$result['detailed'][$historyIDArray['siteID']]['malwareScanningSucuri']+=$scanCount;
				$result['result'][$historyIDArray['siteID']]['other_data'][L('malwareScanningSucuri')]['success']+=$scanCount;
			}
		}
	}
	if (in_array('uptimeMonitor', $remainingActions)) {
		if (function_exists('uptimeMonitorGetCutomRatio')) {
			$params['siteID'] = $historyIDArray['siteID'];
			$params['fromDate'] = $fromDate;
			$params['toDate'] = $toDate;
			$response = uptimeMonitorGetCutomRatio($params);
			if ($response !== false) {
				$result['result'][$historyIDArray['siteID']]['other_data'][L('upTimeMonitor')]['success']= $response."%";
				$result['detailed'][$historyIDArray['siteID']]['uptimeMonitor'] = $response;
			}
		}
	}
	if (in_array('gPageSpeed', $remainingActions)) {
		if (function_exists('googlePageSpeedGetData')) {
			$status = googlePageSpeedGrantAccess();
			if ($status == 'grant') {
				$gParam['siteIDs']= array($historyIDArray['siteID']);
				$googlePageSpeedGetData = googlePageSpeedGetData($gParam);
				$result['detailed'][$historyIDArray['siteID']]['googlePageSpeed'] = $googlePageSpeedGetData[$historyIDArray['siteID']]->score;
				$result['result'][$historyIDArray['siteID']]['other_data'][L('googlePageSpeed')]['success'] = $googlePageSpeedGetData[$historyIDArray['siteID']]->score."%";
			}
		}
	}
}

function clientReportingPhoenixRemainingActions($params, $historyIDArray, &$result, $isScheduled) {
	$remainingActions = $params['params']['actions'];
	$temp_parmas = array();
	$stripActionsArray = array(
		'core-updated', 
		'plugins-updated',
		'themes-updated',
		'translations-updated',
		'backups',
		'ithemesec',
		'wordfence'
	);
	foreach($remainingActions as $actionKey => $remainingAction) {
		if(in_array($remainingAction, $stripActionsArray)) {
			unset($remainingActions[$actionKey]);
		}
	}
	
	if(in_array('posts', $remainingActions)) {
		$remainingActions[] = 'post';
	}
	if(in_array('pages', $remainingActions)) {
		$remainingActions[] = 'page';
	}
	if(in_array('links', $remainingActions)) {
		$remainingActions[] = 'link';
	}	
	$fromDate = $params['params']['fromDate'];
	$toDate = $params['params']['toDate'];
	$dateQuery = "type IN ('".implode("','", array_unique(DB::esc($remainingActions)))."') AND action != 'get' AND microtimeAdded >= ".DB::esc($fromDate)." AND  microtimeAdded <= ".DB::esc($toDate)." ";
	
	$where1 = array(
				'query' =>  "siteID = ':siteID' AND ".$dateQuery."GROUP BY actionID ORDER BY historyID asc",
				'params' => array(
				   ':siteID' => $historyIDArray['siteID']
				)
			);
	$actionHistoryIDs = DB::getArray("?:history", "historyID, microtimeEnded, actionID", $where1);
	if(!empty($actionHistoryIDs)){ 
		$actionsHistoryData = array();
		foreach($actionHistoryIDs as $key => $actionHistoryID){
			$actionsHistoryData[ $actionHistoryID['actionID'] ] = panelRequestManager::getActionStatus($actionHistoryID['actionID']);
			$actionsHistoryData[ $actionHistoryID['actionID'] ]['historyID'] = $actionHistoryID['historyID'];
			$actionsHistoryData[ $actionHistoryID['actionID'] ]['microtimeEnded'] = $actionHistoryID['microtimeEnded'];
			unset($actionHistoryIDs);
		}
		if(!empty($actionsHistoryData) && is_array($actionsHistoryData)) {
			foreach($actionsHistoryData as $actionID => $actionData) {
			
				foreach($actionData['detailedStatus'] as $key => $detailedAction) {
					if($detailedAction['siteID'] == $historyIDArray['siteID'] && $detailedAction['status'] == 'success') {
						$type = $actionData['type'];
						if($type == 'post') {
							$type = 'posts';
						}
						if($type == 'page') {
							$type = 'pages';
						}
						if($type == 'link') {
							$type = 'links';
						} 
						if($isScheduled) {
							if(empty($result['result']['other_data'][$historyIDArray['siteID']][L($type)])) {
								$result['result']['other_data'][$historyIDArray['siteID']][L($type)] = 0;
							}
							$result['result']['other_data'][$historyIDArray['siteID']][L($type)]++;							
						} else {
							if(empty($result['result'][$historyIDArray['siteID']]['other_data'][L($type)]['success'])) {
								$result['result'][$historyIDArray['siteID']]['other_data'][L($type)]['success'] = 0;
							}
							$result['result'][$historyIDArray['siteID']]['other_data'][L($type)]['success']++;
						}
							if ($type!='malwareScanningSucuri') {
								$result['detailed'][$historyIDArray['siteID']]['managed'][$type]++;
							}elseif($type=='malwareScanningSucuri'){
								$result_temp[$historyIDArray['siteID']][$type]++;
							}
				
					}
				}
			}
		}
	}

	if (in_array('WPManintenance', $remainingActions)) {
		$actions []='wp';
		$dateQuery = "type IN ('".implode("','", array_unique(DB::esc($actions)))."') AND action != 'get' AND microtimeAdded >= ".DB::esc($fromDate)." AND  microtimeAdded <= ".DB::esc($toDate)." ";
		
		$where1 = array(
					'query' =>  "siteID = ':siteID' AND ".$dateQuery."GROUP BY actionID ORDER BY historyID asc",
					'params' => array(
					   ':siteID' => $historyIDArray['siteID']
					)
				);
		$actionHistoryIDs = DB::getArray("?:history", "historyID, microtimeEnded, actionID", $where1);
		if(!empty($actionHistoryIDs)){ 
			$actionsHistoryData = array();
			foreach($actionHistoryIDs as $key => $actionHistoryID){
				$actionsHistoryData[ $actionHistoryID['actionID'] ] = panelRequestManager::getActionStatus($actionHistoryID['actionID']);
				$actionsHistoryData[ $actionHistoryID['actionID'] ]['historyID'] = $actionHistoryID['historyID'];
				$actionsHistoryData[ $actionHistoryID['actionID'] ]['microtimeEnded'] = $actionHistoryID['microtimeEnded'];
				unset($actionHistoryIDs);
			}
		}
			if (!empty($actionsHistoryData)) {
				foreach ($actionsHistoryData as $actionID => $actionData) {
					foreach ($actionData['detailedStatus'] as $key => $detailedAction) {
						if($detailedAction['siteID'] == $historyIDArray['siteID'] && $detailedAction['status'] == 'success' && !empty($detailedAction['errorMsg'])) {
							//$responseMsg = str_replace('\\','',$detailedAction['errorMsg']);
							$responseMsg =$detailedAction['errorMsg'];
							$responseData = unserialize($responseMsg);
							foreach ($responseData['value_array'] as $key => $value) {
								if ($value == 0 && $key != 'optimize-db') {
									continue;
								}elseif ($key == 'optimize-db') {
									$result['detailed'][$historyIDArray['siteID']]['WPManintenance'][$key]++;
									$result['result'][$historyIDArray['siteID']]['WPManintenance'][L($key)]['success']++;
									continue;
								}
								$result['detailed'][$historyIDArray['siteID']]['WPManintenance'][$key]+=$value;
								$result['result'][$historyIDArray['siteID']]['WPManintenance'][L($key)]['success']+=$value;
							}
						}
					}
				}
			}

	}

	if(in_array('googleAnalytics', $remainingActions)) {
		if(function_exists('googleAnalyticsGetProfileData')){
			$where = array(
						'query' =>  "siteID = ':siteID'",
						'params' => array(
						   ':siteID' => $historyIDArray['siteID']
						)
					);
			$profileID = DB::getField("?:google_analytics_profiles_sites", "gaProfileID", $where);
			if(!empty($profileID)){
				
				/*$args['siteID'] = $historyIDArray['siteID'];
				
				$args['clientReportAnalyticsDate']['startDate'] = date('Y-m-d', $fromDate);
				$args['clientReportAnalyticsDate']['endDate'] = date('Y-m-d', $toDate);
				$GAPD = googleAnalyticsGetProfileData($args);	

				if(!empty($GAPD) && is_array($GAPD)) {					
					foreach($GAPD as $gaType => $gaValue) {
						
						$floatVal = floatval ($gaValue);
						$val = round($floatVal, 2);
						
						if($gaType == 'ga:percentNewVisits' || $gaType == 'ga:bounceRate') {
							$val = $val.'%';							
						}
						$result['result'][$historyIDArray['siteID']]['googleAnalytics'][L($gaType)]['success'] = $val;						
					}
				}*/	
				
				//$args = array();
				$args['siteID'] = $historyIDArray['siteID'];
				$args['clientReportNewAnalyticsDate']['periodDays'] = $periodDays = ceil(abs((($toDate - $fromDate)/(60*60*24))));
				$args['clientReportNewAnalyticsDate']['date'] = array(
					'd'		=> date('d', $toDate),
					'm'		=> date('m', $toDate),
					'Y'		=> date('Y', $toDate)
				);
				$notShowGAInfoArray = array('ga:bounceRate', 'ga:newVisits', 'ga:visitors');
				$GAPD = googleAnalyticsGetProfileData($args);
				if(!empty($GAPD) && is_array($GAPD)) {					
					foreach($GAPD as $gaDataName => $periodArray) {
						if($gaDataName != 'total') {
							foreach($periodArray as $period => $dataArray) {
								$result['detailed'][$historyIDArray['siteID']]['googleAnalytics'][$gaDataName][$period] = $dataArray;	
							}							
						} else {
							foreach($periodArray as $period => $gaDataArray) {
								foreach($gaDataArray as $gaType => $gaValue) {
									if (in_array($gaType, $notShowGAInfoArray)) {
										continue;
									}
									$floatVal = floatval ($gaValue);
									$val = round($floatVal, 2);
									
									if($gaType == 'ga:percentNewVisits' || $gaType == 'ga:bounceRate') {
										$val = $val.'%';							
									}
									if($period == 'currentPeriod') {
										$result['result'][$historyIDArray['siteID']]['googleAnalytics'][L($gaType)]['success'] = $val;
									}
									$result['detailed'][$historyIDArray['siteID']]['googleAnalytics'][$gaDataName][$gaType][$period] = $val;
								}
							}
						}						
					}				
				}
			}			
		}
	}

		

	if (is_array($result_temp) && !empty($result_temp)) {
		foreach ($result_temp as $siteID => $value) {
			$result['detailed'][$siteID]['malwareScanningSucuri']=$value['malwareScanningSucuri'];
		}
	}
	if (in_array('googleSafeBrowsing', $remainingActions)) {
		if (function_exists('googleSafeBrowsingAddonMenus')) {
			$where = array(
							'query' =>  "siteID = ':siteID' AND time >= ".DB::esc($fromDate)." AND  time <= ".DB::esc($toDate)."",
							'params' => array(
							   ':siteID' => $historyIDArray['siteID']
							)
						);
			$scanCount = DB::getField("?:google_safe_browsing_additional_data", "count(siteID)", $where);
			if (!empty($historyIDArray['siteID']) && !empty($scanCount)) {
				$result['detailed'][$historyIDArray['siteID']]['malwareScanningSucuri']+=$scanCount;
				$result['result'][$historyIDArray['siteID']]['other_data'][L('malwareScanningSucuri')]['success']+=$scanCount;
			}
		}
	}
	if (in_array('uptimeMonitor', $remainingActions)) {
		if (function_exists('uptimeMonitorGetCutomRatio')) {
			$params['siteID'] = $historyIDArray['siteID'];
			$params['fromDate'] = $fromDate;
			$params['toDate'] = $toDate;
			$response = uptimeMonitorGetCutomRatio($params);
			if ($response !== false) {
				$result['result'][$historyIDArray['siteID']]['other_data'][L('upTimeMonitor')]['success']= $response."%";
				$result['detailed'][$historyIDArray['siteID']]['uptimeMonitor'] = $response;
			}
		}
	}
	if (in_array('gPageSpeed', $remainingActions)) {
		if (function_exists('googlePageSpeedGetData')) {
			$status = googlePageSpeedGrantAccess();
			if ($status == 'grant') {
				$gParam['siteIDs']= array($historyIDArray['siteID']);
				$googlePageSpeedGetData = googlePageSpeedGetData($gParam);
				$result['detailed'][$historyIDArray['siteID']]['googlePageSpeed'] = $googlePageSpeedGetData[$historyIDArray['siteID']]->score;
				$result['result'][$historyIDArray['siteID']]['other_data'][L('googlePageSpeed')]['success'] = $googlePageSpeedGetData[$historyIDArray['siteID']]->score."%";
			}
		}
	}
}


function clientReportingResponseProcessors(&$responseProcessor){
	$responseProcessor['clientReporting']['fetchReport'] = 'fetchReportDetails';
	$responseProcessor['clientReporting']['runReport'] = 'runReport';
}

function clientReportingTaskTitleTemplate(&$template){
	$template['clientReporting']['fetchReport']['']	= "Fetching activities log from <#sitesCount#> site<#sitesCountPlural#>";
	$template['clientReporting']['runReport']['']	= "Run schedule report from <#sitesCount#> site<#sitesCountPlural#>";
}

/*function zero_float_value_remove($val) {
	return ($val != 0.0);
}*/
function clientReportingNewGeneratePdf($params, $isCron = false, $tableName='', $isCalledFromScheduled = false){
	if($isCalledFromScheduled == false) {
		ob_end_clean();
	}
	if(isset($params['logoName'])){
		$logoName = $params['logoName'];
	} else {
		$logoName = clientReportingNewGetLogo();
	}
	$footerContent = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['footerContent']));
	$clientNote = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"),nl2br($params['clientNote'])));
	$headerContent = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"),$params['headerContent']));
	$dateRange = $params['dateRange'];
	$dateRangeArray = explode('-',$dateRange);
	$datetime1 = new DateTime($dateRangeArray[0]);
	$datetime2 = new DateTime($dateRangeArray[1]);
	$datetime3 = new DateTime($dateRangeArray[1]);
	$datetime3->modify('+1 day');
	$daterange = new DatePeriod($datetime1, new DateInterval('P1D'), $datetime3);
	$dateRangePeriod = array();
	foreach($daterange as $date){
	   $dateRangePeriod[]= $date->format("j");
	}
	$startDateForBackup = date("j",strtotime($dateRangeArray[0]));
	$endDateForBackup = date("j",strtotime($dateRangeArray[1]));
	$startFullDate = date("M j, y",strtotime($dateRangeArray[0]));
	$endFullDate = date("M j, y",strtotime($dateRangeArray[1]));
	$interval = $datetime1->diff($datetime2);
	$dateRangeFrom = date("j M ",strtotime($dateRangeArray[0]));
	$dateRangeTo =date("j M, Y",strtotime($dateRangeArray[1]));
	$dateRange = $dateRangeFrom.' &minus; '.$dateRangeTo;
	unset($dateRangeFrom,$dateRangeTo);
	$notShowGAInfoArray = array('ga:bounceRate', 'ga:newVisits', 'ga:visitors', 'ga:total', 'ga:currentPeriod');
	$detailed = unserialize(base64_decode($params['detailed']));
	$other_data = $params['other_data'];
	
	if(!empty($other_data) && is_array($other_data) && count($other_data)) {
		foreach($other_data as $other_data_site_id => $other_data_value) {
			unset($other_data_value[L('WPManintenance')]);
			unset($other_data_value[L('malwareScanningSucuri')]);
			unset($other_data_value[L('posts')]);
			unset($other_data_value[L('links')]);
			unset($other_data_value[L('pages')]);
			unset($other_data_value[L('comments')]);
			unset($other_data_value[L('upTimeMonitor')]);
			unset($other_data_value[L('googlePageSpeed')]);
			if (!empty($other_data_value)) {
				$detailed[$other_data_site_id]['other_data'] = $other_data_value;
			}
		}
	}
	$tempDetailed  = $detailed;
	if(is_array($detailed) && count($detailed)) {
		$detailed = array_filter($detailed);
	}
	$path = APP_ROOT.'/uploads/';

	$updated_key = 'updated';
	$backups_key = 'backups';
	$translations_updated = 'translations-updated';
	$googleAnalytics_key = 'googleAnalytics';
	$pageSize = 260;

	define('FOOTERCONTENT', $footerContent);
	$regurlarFont = 'alegreya';
	$boldFont = 'alegreya B';
	$italicFont = 'alegreya I';
	$boldItalicFont = 'alegreya BI';
	$firstPageTitle = 'first-page-report-wrapper';
	$forSites = 'first-page-siteurl-wrapper';$itemTitle = '';$secondLevel = '';$totalsubcount = '';$backupNumber = '';$otherDataOpensans='';$openSansFrom='';$siteHeaderCount= '';$gaTitle = '';$gaTitlePrev='';
	if (defined('CLIENT_REPORTING_LANG')) {
		$regurlarFont = 'opensans';
		$boldFont = 'opensans B';
		$italicFont = 'opensans I';
		$boldItalicFont = 'opensans BI';
		$firstPageTitle = 'first-page-report-wrapper-opensans';
		$forSites = 'first-page-siteurl-wrapper-opensans';
		$itemTitle = 'first-level-title-wrapper-opensanse';
		$secondLevel = 'second-level-title-wrapper-opensans';
		$totalsubcount = 'total-sub-action-count-opensans';
		$backupNumber = 'number_opensans';
		$otherDataOpensans ='other-datad-opensans';
		$openSansFrom = 'opensans-from';
		$siteHeaderCount = 'site-header-count-opensans';
		$gaTitle = 'ga-title-wrapper-opensans';
		$gaTitlePrev = 'ga-title-wrapper-prev-opensans';
	}
	if (version_compare(phpversion(),'7','>=')) {
		require_once(APP_ROOT.'/addons/clientReporting/lib/mpdf70/vendor/autoload.php');
		$configuration = array('format'=>'A4','tempDir'=>APP_ROOT.'/addons/clientReporting/lib/mpdf60/', 'mode'=>'','default_font_size'=>0,'default_font'=>'','margin_left'=>0,'margin_right'=>0,'margin_top'=>0,'margin_bottom'=>0,'margin_header'=>0);
		$pdf = new \Mpdf\Mpdf($configuration);
		
	}else{
		require_once(APP_ROOT.'/addons/clientReporting/lib/mpdf60/mpdf.php');
		$pdf = new mPDF('','A4',0,'',0,0,0,0,0,0);
	}
	$pdf->SetTitle("Client Reporting");
	$pdf->SetAuthor("Infinite WP");
	$pdf->SetCreator("Infinite WP");
	
	$stylesheet = file_get_contents(APP_ROOT.'/addons/clientReporting/css/pdfReportNew.css');
	$pdf->WriteHTML($stylesheet,1);
	
	$pdf->SetAutoPageBreak(TRUE);
	if (defined('CLIENT_REPORTING_CUSTOM_LANG')) {
		$pdf->autoScriptToLang = true;
		$pdf->autoLangToFont = true;
	}
	$pdf->setHTMLHeader('');
					
	$pdf->AddPage('P');

	$footer_html_first_page = '
		<div class="footer-line grey3-top-line"></div>
		<div class="footer-wrapper header-footer-padding-left-right width-100">
			<table border="0" cellspacing="0" cellpadding="0" class="width-100">
				<tbody>
					<tr>
						<td class=" '.$regurlarFont.' center middle grey2 footer-single-wrapper">
							'.$params['footerContent'].'
						</td>						
					</tr>
				</tbody>
			</table>
		</div>	
	';
	
	$footer_html_remaining_pages = '
		<div class="footer-line grey3-top-line"></div>
		<div class="footer-wrapper header-footer-padding-left-right width-100">
			<table border="0" cellspacing="0" cellpadding="0" class="footer-remaining-pages-wrapper width-100">
				<tbody>
					<tr>
						
		';
	/*if($logoName) {
		$footer_html_remaining_pages .= '
							<img src="'.$path.$logoName.'" width="80" height="30" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	
		';
	}*/
	$footer_html_remaining_pages .= '
										
						<td class=" '.$regurlarFont.' footer-left-wrapper left middle grey2 ">
							'.$params['footerContent'].'
						</td>
						<td class=" '.$regurlarFont.' footer-right-wrapper right middle grey2 ">
							{PAGENO} <i>'.L('of').'<i> {nb}
						</td>						
					</tr>
				</tbody>
			</table>
		</div>
	';
	
	$pdf->setHTMLFooter($footer_html_first_page);
	
	$sites_plural = count($detailed)>1?L('sites'):L('site');
	
	$first_page_html = '
		
		<div class="first-page-logo-wrapper">
	';
	if($logoName) {
		$first_page_html .= '
			<img src="'.$path.$logoName.'" height="60" />	
		';
	}	
	$first_page_html .= '
		</div>
		
		<div class=" '.$boldFont.' '.$firstPageTitle.' center FreeSerifBold grey1">
			'.$dateRange.' '.L('report').'
		</div>
		<div class=" '.$italicFont.' first-page-siteurl-wrapper '.$forSites.' center  grey1 ">
			'.L('for').' '.count($detailed).' '.$sites_plural.'
		</div>			
	';

	$pdf->WriteHTML($first_page_html,2);

	$siteCount = 1;
	if(!empty($detailed) && is_array($detailed)) {
		foreach($detailed as $siteID => $actionArray) {
			$siteData = getSiteData($siteID,'',true);		
			
			$siteName = str_replace(array('http://www.', 'https://www.', 'http://', 'https://'), '', $siteData['URL']);
			$header_html = '
				<div class=" '.$italicFont.' header-wrapper header-footer-padding-left-right right grey2">
					<div>'.$siteName.'</div>
									
				</div>
			';		
			
			$pdf->setHTMLHeader('');
			$pdf->AddPage('P','','','','','','',12,30,-7);
			$pdf->setHTMLHeader($header_html);	

			$pdf->setHTMLFooter($footer_html_remaining_pages);
			
			$content = '';
			$siteCountHTML = '';$fontsize25 = '';
			if(count($detailed) != 1){
				$siteCountHTML = '<span class=" '.$boldItalicFont.' green">'.L('site').' </span><span class=" '.$boldItalicFont.' site-header-count  '.$siteHeaderCount.' green">'.$siteCount.': </span><span>';
				$fontsize25 = 'font-size-25';
			}
			$content .= '
				<div class=" '.$italicFont.' header-footer-padding-left-right right grey2 '.$fontsize25.' padding-top-minus-18 ">
					'.$siteCountHTML.''.$siteName.'</span>
				</div>
			';
			
			$content .= '
				<div class="content-wrapper header-footer-padding-left-right">
			';
			$i = $mainActionCount = 0;
			foreach($actionArray as $mainAction => $mainActionDetails) {
					if ( in_array($mainAction, array($googleAnalytics_key, $backups_key, 'managed', 'WPManintenance')))  {
						$pdf->WriteHTML($content,2);
						$backupContentSize = 70;
						$managedContentSize = 30;
						$googleAnalyticsContentSize = 140;
						$WPManintenanceContentSize = 51;
						$currentPosition = ceil($pdf->y);
						$content = '';
						if (($mainAction == $backups_key && $pageSize-$currentPosition < $backupContentSize) || ($mainAction == $googleAnalytics_key && $pageSize-$currentPosition < $googleAnalyticsContentSize) || ($mainAction == 'managed' && $pageSize-$currentPosition < $managedContentSize) || ($mainAction == 'WPManintenance' && $pageSize-$currentPosition < $WPManintenanceContentSize)) {
							$content .= '
								<pagebreak />
							';
						}
						$content .= '
							<div class="content-wrapper header-footer-padding-left-right">
						';
					}
						
				$first_level_additional_class = '';
				if($i>0) {
					$first_level_additional_class = ' padding-top-10';
				}
				if ($mainAction == $backups_key || $mainAction==$googleAnalytics_key || $mainAction == 'WPManintenance' || $mainAction== 'other_data') {
					$first_level_additional_class = ' padding-top-20';
				}
				if ($mainAction != 'malwareScanningSucuri' && $mainAction != 'uptimeMonitor' && $mainAction != 'googlePageSpeed') {
					$content .= '
						<div class=" '.$boldFont.' first-level-title-wrapper  '.$itemTitle.' grey1'.$first_level_additional_class.'">
							 '.L($mainAction).' - {total-main-action-count}			
						</div>
						<hr>
						
					';
				}
				if(in_array($mainAction, array($updated_key, $googleAnalytics_key, $backups_key,'managed','malwareScanningSucuri','uptimeMonitor','WPManintenance','ithemesec', 'wordfence', 'googlePageSpeed'))) {
					if($mainAction == $updated_key) {
						$content = str_replace('{total-main-action-count}','<span class="total-main-action-count '.$itemTitle.'">'.$mainActionDetails['count'].'</span>',$content);
						
						$content .= '
							<div class="second-level-wrapper">
						';
						$j = 0;
						$clear_both_count = 1;
						$table_content_temp = '';
						foreach($mainActionDetails as $subAction => $subActionDetails) {
							if ($subAction == 'translations-updated') {
								continue;
							}
							if($subAction != 'count') {
								$second_level_additional_class = 'second-level-right-wrapper float-right';
								//$clear_both_div = '';
								$clear_both_start = $clear_both_end = '';
								if($j % 2 == 0) {
									$second_level_additional_class = 'second-level-left-wrapper float-left';
									//$clear_both_div = '<div class="clear-both"></div>';
								}				
								if($clear_both_count % 2 == 0) {
									$clear_both_end = '</div>';
								} else {
									$clear_both_start = '<div class="second-level-inner-wrapper">';
								}
								if(
									($clear_both_count+1) == count($mainActionDetails) 
									&& $clear_both_count % 2 == 1
								) {
									$clear_both_start = '<div class="second-level-inner-wrapper">';
									$clear_both_end = '</div>';
								}
								$name = str_replace(array($translations_updated,'s-updated','core-updated'),array(''),$subAction);
								
								$content .= $clear_both_start;
								if ($subAction == 'plugins-updated' || $subAction == 'themes-updated') {
									$content .= '
										<div class="'.$second_level_additional_class.' padding-top-20">
											<div class=" '.$boldFont.' second-level-title-wrapper '.$secondLevel.' grey1 ">
												'.L($subAction).' <span class=" '.$boldFont.' total-sub-action-count '.$totalsubcount.'"> - '.$subActionDetails['count'].'</span>
											</div>
											{table-content}
										</div>
									';
								}else{
									$content .= '
										<div class="'.$second_level_additional_class.'">
											<div class=" '.$boldFont.' second-level-title-wrapper '.$secondLevel.'  grey1 padding-top-10">
												'.L($subAction).' - <span class=" '.$boldFont.' total-sub-action-count '.$totalsubcount.'">'.$subActionDetails['count'].'</span>
											</div>
											<table border="0" cellspacing="" cellpadding="0" class="table-wrapper" width="100%">
												<thead>
													<tr>
														'.$table_head_cells_html.'
													</tr>
												</thead>
												<tbody>
													{table-content}
												</tbody>
											</table>								
										</div>
									';
								}
								$content .= $clear_both_end;
								$k = 0;
								$table_content = '';
								$splitCount = 0;$totalCouts=0;
								ksort($subActionDetails['details']);
								if ($subAction == 'plugins-updated') {
									$formatPluginUpdateArray = clientReportingformatPluginUpdateArray($subActionDetails['details'],'pluginname');
									$updateName = 'pluginname';
									$formatData = $formatPluginUpdateArray;
								}elseif ($subAction == 'themes-updated') {
									$updateName = 'themename';
									$formatPluginUpdateArray = clientReportingformatPluginUpdateArray($subActionDetails['details'],'themename');
									$formatData = $formatPluginUpdateArray;
								}else{
									$formatData = $subActionDetails['details'];
								}
								foreach($formatData as $keySubAction => $details) {
									$splitCount ++;
									$greay_bottom_line = 'grey3-bottom-line ';
									if($k+1 == count($formatData) || $splitCount == 3 ) {
										$greay_bottom_line = '';
									}
									if($subAction == 'core-updated') {
										$totalCouts++;
										$table_content_temp.='
											
												<td width="30%"  align="left" class="  '.$regurlarFont.' '.$greay_bottom_line.' grey2 inside-cell">
												<div class="S">
													<span class=" '.$regurlarFont.' from  '.$openSansFrom.'">v'.$details['from'].'</span> - <span class=" '.$regurlarFont.' to '.$openSansFrom.'">v'.$details['to'].'</span>
													<span class=" '.$regurlarFont.' datetime '.$openSansFrom.'">
														'.$details['date'].'&nbsp;&bull;&nbsp;'.$details['time'].'
													</span>
												</div>
												</td>
											
										';	

										if($splitCount == 3 || count($formatData)==$totalCouts){
											$table_content.='<tr>'.$table_content_temp.'</tr>';
											$splitCount =0;
											$table_content_temp = '';
										}
									}elseif($subAction == 'plugins-updated' || $subAction == 'themes-updated'){
										$table_content_temp = '';
										$table_joint='<div class="second-level-left-wrapper_plugin float-left">
										<table border="0" cellspacing="0" cellpadding="0" class="table-wrapper '.$otherDataOpensans.'" width="100%">
												<thead>
													<tr>
														'.$table_head_cells_html.'
													</tr>
												</thead>
												<tbody>
													{table-content}
												</tbody>
											</table> </div>	';
										$table_content_temp='
											<tr>
											<td width="100%" align="left" class=" '.$boldFont.' '.$greay_bottom_line.'  second-level-title-wrapper green">
												<span>'.$details[0][$updateName].'</span>
											</td>
											</tr>
										';
										foreach ($details as $keyNames => $itemDetails) {
											$table_content_temp.='
												<tr>
												<td width="100%" align="left" class="  '.$regurlarFont.' '.$greay_bottom_line.' grey2">

													<span class=" '.$regurlarFont.' from '.$openSansFrom.'">v'.$itemDetails['from'].'</span> - <span class=" '.$regurlarFont.' to '.$openSansFrom.'">v'.$itemDetails['to'].'</span>
													<span class=" '.$regurlarFont.' datetime '.$openSansFrom.'">
														'.$itemDetails['date'].'&nbsp;&bull;&nbsp;'.$itemDetails['time'].'
													</span>
												</td>
												</tr>
											
										';
										}
										//$table_content.=$table_content_temp;
										$table_content.= str_replace('{table-content}',$table_content_temp,$table_joint);
										

									}
									$k++;
								}
								$content = str_replace('{table-content}',$table_content,$content);
								//$content .= $clear_both_div;
								$j++;
								$clear_both_count++;
							}
						}
						$content .= '
							</div>
						';				
					}elseif ($mainAction == $backups_key) {
						if ($interval->days<=31) {
							ksort($mainActionDetails['details']);
							$table_content = '';
							$leftSide = '';
							$circleNeededDates = clientReportingSeperateCircleNeededDate($mainActionDetails['details'],$startFullDate, $endFullDate);
							$totalBackups = clientReportingTotalBackupcount($mainActionDetails['details']);
							$content = str_replace('{total-main-action-count}',$mainActionDetails['count'],$content);
							$type=array('Files'=>'files-total-count','Database'=>'db-total-count','Files & Database'=>'both-total-count');
							if (!empty($totalBackups)) {
								foreach ($totalBackups as $key => $value) {
									$space = '';
									if ($key=='Files & DB') {
										$key = 'Files & Database';
									}
									if($key=='DB'){
										$key = 'Database';
									 	$space ='     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
									}
									if($key=='Files'){
									 	$space ='     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
									}
									$leftSide .= '<li class=" '.$regurlarFont.' grey2 '.$type[$key].'">'.$key.$space.' - &nbsp;'.$value.'</li>';
								}							
							}
							$content .= '
								
											<div class=" '.$regurlarFont.' grey2 " style="padding-left:8px;">'.$dateRange.'</div>
											<div class= "padding-top-10 float-left" width="50%">
												<div class="margin-left1">
													{table-content}
												</div>
											</div>
											<div class= "float-left backup-summ" width="">
											<ul>
											'.$leftSide.'
											</ul>
											</div>

																			
								';
						
							foreach ($dateRangePeriod as $key => $value) {
								if ($circleNeededDates[$value]=='Files & DB') {
									$circleClass = 'file-db-circle';
								}elseif ($circleNeededDates[$value]=='DB') {
									$circleClass = 'db-circle';
								}elseif ($circleNeededDates[$value]=='Files') {
									$circleClass = 'files-circle';
								}elseif ($circleNeededDates[$value.'-S']=='Files & DB') {
									$circleClass = 'file-db-circle';
									unset($circleNeededDates[$value.'-S']);
								}elseif ($circleNeededDates[$value.'-S']=='DB'  ) {
									$circleClass = 'db-circle';
									unset($circleNeededDates[$value.'-S']);
								}elseif ($circleNeededDates[$value.'-S']=='Files' ) {
									$circleClass = 'files-circle';
									unset($circleNeededDates[$value.'-S']);
								}elseif ($circleNeededDates[$value.'-E']=='Files & DB') {
									$circleClass = 'file-db-circle';
									unset($circleNeededDates[$value.'-E']);
								}elseif ($circleNeededDates[$value.'-E']=='DB'  ) {
									$circleClass = 'db-circle';
									unset($circleNeededDates[$value.'-E']);
								}elseif ($circleNeededDates[$value.'-E']=='Files' ) {
									$circleClass = 'files-circle';
									unset($circleNeededDates[$value.'-E']);
								}else{
									$circleClass = 'margin-left';
								}

								$table_content.='<div class="backup '.$circleClass.'"><span class=" '.$regurlarFont.' number '.$backupNumber.'">'.$value.'</span></div>';
							}
							$content = str_replace('{table-content}',$table_content,$content);
							
						}else{
							$content = str_replace('{total-main-action-count}',$mainActionDetails['count'],$content);
							$splitCount = 0;$totalCouts=0;$table_content_temp = '';$table_content = '';
							$content .= '
								<div class="'.$second_level_additional_class.'">
								<div class=" '.$regurlarFont.' grey2 " style="padding-left:8px;">'.$dateRange.'</div>
									<table border="0" cellspacing="" cellpadding="0" class="table-wrapper" width="100%">
										<tbody>
											{table-content}
										</tbody>
									</table>								
								</div>
							';
							foreach ($mainActionDetails['details'] as $arrayKey => $backupDetails) {
								$splitCount ++;
								$greay_bottom_line = 'grey3-bottom-line ';
								if($k+1 == count($mainActionDetails['details']) || $splitCount == 3 ) {
									$greay_bottom_line = '';
								}
									$totalCouts++;
									$table_content_temp.='
										
											<td width="30%"  align="left" class="  '.$regurlarFont.' '.$greay_bottom_line.' grey2 inside-cell">
											<div class="S">
												<span class=" '.$regurlarFont.' from  '.$openSansFrom.'">'.$backupDetails['type'].'</span> -
												<span class=" '.$regurlarFont.' datetime '.$openSansFrom.'">
													'.$backupDetails['date'].'&nbsp;&bull;&nbsp;'.$backupDetails['time'].'
												</span>
											</div>
											</td>
										
									';	

									if($splitCount == 3 || count($mainActionDetails['details'])==$totalCouts){
										$table_content.='<tr>'.$table_content_temp.'</tr>';
										$splitCount =0;
										$table_content_temp = '';
									}
							}
							$content = str_replace('{table-content}',$table_content,$content);
						}
					}elseif ($mainAction == $googleAnalytics_key) {
						$content = str_replace('- {total-main-action-count}','',$content);
						$gaCount = 0;
						$chartPrepared = 0;
						foreach($mainActionDetails as $gaDataName => $periodArray) {
							if (in_array('ga:'.$gaDataName, $notShowGAInfoArray)) {
								continue;
							}
							if($gaCount == 0) {
								$gaCount++;
								continue;
							}
							$currentPeriodValue = $mainActionDetails['total']['ga:'.$gaDataName]['currentPeriod'];
							$previousPeriodValue = $mainActionDetails['total']['ga:'.$gaDataName]['previousPeriod'];
							
							
							if($gaDataName == 'visits') {
								$chartPrepared =1;
								$howManyWeek = count($periodArray['currentPeriod']) / 7;
								$howManyWeekRemainder = count($periodArray['currentPeriod']) % 7;
								if($howManyWeekRemainder) {
									$howManyWeek++;
								}
								$gaDescription= '<div class="float-right"><ul><li class=" ga-vist li-style '.$boldFont.'  ">'.L('page_visit_current').'</li><li class=" ga-vist-prev li-style '.$boldFont.' ">'.L('page_visit_pre').'</li></ul></div>';
								$chart_api_url = 'https://chart.googleapis.com/chart?cht=lc&chs=700x350&chxt=x,y&chco=7ABED7,D3D3D3&chls=3|3&chds=a&chma=40,40,40,40&chm=B,EBF5F9,0,1,0|B,F8F8F8,1,2,0&chxl=0:';
								for($weekI = 1; $weekI <= $howManyWeek; $weekI++) {
									$chart_api_url .= '|week '.$weekI;
								}
								unset($howManyWeek, $howManyWeekRemainder);
								$chart_api_url .= '&chd=t:'.implode(',', $periodArray['currentPeriod']).'|'.implode(',', $periodArray['previousPeriod']);
								
								$max_number = max(max($periodArray['currentPeriod']),max($periodArray['previousPeriod']));
								$range = 1000;
								
								if($max_number < $range) {
									$range = $max_number;
								}

								$chart_api_url .= '&chxr=1,0,'.$max_number.','.$range;
								unset($max_number, $range);
								$content .= '
									<div class="">
									    '.$gaDescription.'
										<table border="0" cellspacing="0" cellpadding="0" class="abel">
											<tr>
												<td>
													<img src="'.$chart_api_url.'" />
												</td>
											</tr>
										</table>									
									</div>										
								';
							}

							if($chartPrepared){
								$greay_bottom_line = 'grey3-left-line';
								if($gaDataName == 'visits' ) {
										$greay_bottom_line = '';
								}
								$content .= '
									<div class="padding-top-40 float-left" width="20%">
										<table cellspacing="0" cellpadding="0" class="'.$greay_bottom_line.' float-left" width="100%">
											<tr class="">
												<td  align="left" class=" '.$boldFont.' ga-title-wrapper '.$gaTitle.' green">
													<span >'.L(strtolower($gaDataName)).': </span>
													<span >'.$currentPeriodValue.'</span>
												</td>
											</tr>
											<tr>
												<td  align="left" class=" '.$boldFont.' ga-title-wrapper-prev '.$gaTitlePrev.' grey2">
													<span class="">
														'.L('prev_period').' - 
													</span>
													<span class="">'.$previousPeriodValue.'</span>
												</td>
												
											</tr>
										</table>
								'; // &chds=0,20
								$content .= '
									</div>
								';
							}
							/*if($gaCount == 5) {
								break;
							}*/
							$gaCount++;
						}
					}elseif ($mainAction == 'managed') {
						$table_content='';
						$content.= '<table border="0" cellspacing="" cellpadding="0" class="table-wrapper '.$otherDataOpensans.'" width="100%">
											<tbody>
												<tr>
												{table-content}
												</tr>
											</tbody>
										</table>';
						$m =0;$managedCount=0;
						foreach ($mainActionDetails as $type => $value) {
							$managedCount+= $value; 
							$greay_bottom_line = 'grey3-bottom-line ';
									if($m+1 == count($mainActionDetails)) {
										$greay_bottom_line = '';
							}
							if (!empty($other_data) && $other_data[$siteID][L($type)]>=$value) {
								$value = $other_data[$siteID][L($type)];
							}
							$table_content.= '<td width="25%" class=" '.$boldFont.' greay_bottom_line  green '.$greay_bottom_line.'">'.L($type).': '.$value.'</td>';
							$m++;
						}
						$content = str_replace('{total-main-action-count}',$managedCount,$content);
						$content = str_replace('{table-content}',$table_content,$content);

					}elseif ($mainAction == 'ithemesec') {
						$table_content='';
						$content.= '<table border="0" cellspacing="" cellpadding="0" class="table-wrapper '.$otherDataOpensans.'" width="100%">
											<tbody>
												<tr>
												{table-content}
												</tr>
											</tbody>
										</table>';
						$m =0;$ithemeCount=0;
						foreach ($mainActionDetails['details'] as $type => $value) {
							$ithemeCount+= $value; 
							$greay_bottom_line = 'grey3-bottom-line ';
									if($m+1 == count($mainActionDetails['details'])) {
										$greay_bottom_line = '';
							}
							$table_content.= '<td width="25%" class=" '.$boldFont.' greay_bottom_line  green '.$greay_bottom_line.'">'.L($type).': '.$value.'</td>';
							$m++;
						}
						$content = str_replace('{total-main-action-count}',$ithemeCount,$content);
						$content = str_replace('{table-content}',$table_content,$content);

					}elseif ($mainAction == 'wordfence') {
						$table_content ='';
						$table_content_temp = '';
						$content.= '<table border="0" cellspacing="20" cellpadding="0" class="table-wrapper '.$otherDataOpensans.' padding-top-2" width="100%">
											<tbody>
												{table-content}
											</tbody>
										</table>';
						$m =0;$managedCount=0;$splitCount=0;
						foreach ($mainActionDetails['details'] as $type => $value) {
							$isEmptyKey = L($type);
							if (empty($isEmptyKey)) {
								continue;
							}
							$managedCount+= $value; 
							$splitCount++;
							$greay_bottom_line = 'grey3-bottom-line ';
									if($m+1 == count($mainActionDetails['details']) || $splitCount == 4) {
										$greay_bottom_line = '';
							}
							$table_content_temp.= '<td width="20%" class=" '.$boldFont.' greay_bottom_line  padding-right-10 ga-title-wrapper  green '.$greay_bottom_line.'">'.L($type).': '.$value.'</td>';
							if ($splitCount == 4 || count($mainActionDetails['details'])== $m) {
								$table_content.='<tr>'.$table_content_temp.'</tr>';
								$splitCount =0;
								$table_content_temp = '';
							}
							$m++;
						}
						$table_content.='<tr>'.$table_content_temp.'</tr>';
						$content = str_replace('- {total-main-action-count}','',$content);
						$content = str_replace('{table-content}',$table_content,$content);

					}elseif ($mainAction == 'malwareScanningSucuri') {
						if (!empty($other_data) && $other_data[$siteID][L('malwareScanningSucuri')]>=$mainActionDetails) {
							$mainActionDetails = $other_data[$siteID][L('malwareScanningSucuri')];
						}
						$content .= '
							<div class=" '.$boldFont.' first-level-title-wrapper '.$itemTitle.'  grey1 padding-top-20 '.$first_level_additional_class.'">
								 '.L('scanned_for_malware').'&nbsp;'.$mainActionDetails.'&nbsp;'.L('times').'		
							</div>
						';
					}elseif ($mainAction == 'uptimeMonitor') {
						if (!empty($other_data) && $other_data[$siteID][L('upTimeMonitor')]>$mainActionDetails) {
							$mainActionDetails = $other_data[$siteID][L('upTimeMonitor')];
						}else{
							$mainActionDetails = $mainActionDetails.'%';
						}
						$content .= '
							<div class=" '.$boldFont.' first-level-title-wrapper '.$itemTitle.'  grey1 padding-top-20">
								 '.L('upTimeMonitor').'&nbsp;'.$mainActionDetails.'		
							</div>
						';
					}elseif ($mainAction == 'googlePageSpeed') {
						if (!empty($other_data) && $other_data[$siteID][L('googlePageSpeed')]>$mainActionDetails) {
							$mainActionDetails = $other_data[$siteID][L('googlePageSpeed')];
						}else{
							$mainActionDetails = $mainActionDetails.'%';
						}
						$content .= '
							<div class=" '.$boldFont.' first-level-title-wrapper '.$itemTitle.'  grey1 padding-top-20">
								 '.L('googlePageSpeed').'&nbsp;'.$mainActionDetails.'		
							</div>
						';
					}elseif ($mainAction == 'WPManintenance') {
						$table_content ='';
						$table_content_temp = '';
						$content.= '<table border="0" cellspacing="20" cellpadding="0" class="table-wrapper '.$otherDataOpensans.' padding-top-2" width="100%">
											<tbody>
												{table-content}
											</tbody>
										</table>';
						$m =0;$managedCount=0;$splitCount=0;
						foreach ($mainActionDetails as $type => $value) {
							$managedCount+= $value; 
							$splitCount++;
							$greay_bottom_line = 'grey3-bottom-line ';
									if($m+1 == count($mainActionDetails) || $splitCount == 4) {
										$greay_bottom_line = '';
							}
							$table_content_temp.= '<td width="20%" class=" '.$boldFont.' greay_bottom_line  padding-right-10 ga-title-wrapper  green '.$greay_bottom_line.'">'.L($type).': '.$value.'</td>';
							if ($splitCount == 4 || count($mainActionDetails)== $m) {
								$table_content.='<tr>'.$table_content_temp.'</tr>';
								$splitCount =0;
								$table_content_temp = '';
							}
							$m++;
						}
						$table_content.='<tr>'.$table_content_temp.'</tr>';
						$content = str_replace('- {total-main-action-count}','',$content);
						$content = str_replace('{table-content}',$table_content,$content);

					}
					$i++;
				}else if($mainAction == 'other_data') {
					$content = str_replace('- {total-main-action-count}','',$content);
										
					$table_content='';
					$content.= '<table border="0" cellspacing="" cellpadding="0" class="table-wrapper '.$otherDataOpensans.'" width="100%">
										<tbody>
											<tr>
											{table-content}
											</tr>
										</tbody>
									</table>';
					$m =0;$managedCount=0;
					foreach ($mainActionDetails as $type => $value) {
						$managedCount+= $value; 
						$greay_bottom_line = 'grey3-bottom-line ';
								if($m+1 == count($mainActionDetails)) {
									$greay_bottom_line = '';
						}
						$table_content.= '<td width="25%" class=" '.$boldFont.' greay_bottom_line  green '.$greay_bottom_line.'">'.$type.': '.$value.'</td>';
						$m++;
					}
					$content = str_replace('{total-main-action-count}',$managedCount,$content);
					$content = str_replace('{table-content}',$table_content,$content);
				}
				$mainActionCount++;
			}
			$content .= '
				</div>
			';		
			
			$pdf->WriteHTML($content,2);
			$siteCount++;
		}
	}



		if($clientNote!='') {
			$pdf->setHTMLHeader('');		
			$pdf->AddPage('P','','','','','','',10,40);	
			
			$clientNoteContent = '
				<div class=" header-footer-padding-left-right">
					<div class=" '.$boldFont.' first-level-title-wrapper '.$itemTitle.'  grey1 ">
						Note
					</div>
					<hr>
					<div class=" '.$regurlarFont.' padding-top-20 grey1 client-note-wrapper">
						'.$clientNote.'
					</div>
				</div>
			';
			
			$pdf->WriteHTML($clientNoteContent,2);		
		}
		
		//$pdf->debug = true; 
		
		$fileName = 'clientReport-'.md5(date('m-d-Y-').microtime()).'.pdf';
		
		if($params['reportType'] == 'schedule' || $params['generatePdfAndSendMail'] == '1'){
			$pdf->Output($path.$fileName, 'F');
	        $params['email']['message'] 					 = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['message']));
	        $params['email']['fromName'] 					 = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['fromName']));
	        $params['email']['subject'] 					 = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['subject']));
			
			$sendMail = sendMailPdfAttach($params['email'], $isCron, $path.$fileName, $tableName);
			
			if($sendMail){
				doSetCharsetToUTF8();
				DB::insert("?:client_report_sent_pdf", array('clientReportScheduleID' => $params['clientReportScheduleID'], 'profileName' => $params['profileName'], 'params' => base64_encode(serialize(array('toEmail' => serialize($params['email']['toEmail']), 'sitesCount' => $sitesCount))), 'pdfURL' => base64_encode(serialize($fileName)), 'reportType' => $params['reportType'], 'sentTime' => time(), 'version' => 'new'));

				return true;
			}
		}
		else{
			$pdf->Output($fileName, 'D');
			exit;
		}	
}

function clientReportingNewGenerateHTML($params, $isCron = false, $tableName='', $isCalledFromScheduled = false){
	$path = APP_ROOT.'/uploads/';
	$url = APP_URL.'uploads/';

	if($isCalledFromScheduled == false) {
		ob_end_clean();
	}
	
	if( $params['template']['reportTemplate'] != '' ){
		$templateLoaderFile = $params['template']['reportTemplate'] . "Template.tpl.php";
	}else{
		$templateLoaderFile = "simpleTemplate.tpl.php";
	}

	$reportID = md5(date('m-d-Y-').microtime());
	
	$reportHTML = TPL::get('/addons/clientReporting/templates/'.$templateLoaderFile, array('data' => $params));
	$reportName = 'clientReport-'.$reportID.'.html';

	file_put_contents($path . $reportName, $reportHTML );

	$ftpDetails = array();
	if (!empty($params['ftpDetails']) && !empty($params['ftpDetails']['hostName'])) {
		$ftpDetails = $params['ftpDetails'];
		$ftpDetails['reportName'] = $reportName;
		$ftpDetails['reportPath'] = $path . $reportName;
		$connection = false;
		$ftpReport  = true;
		if ($ftpDetails['useSftp'] == false ) {
			$connResult = CRFTPUpload($ftpDetails, $connection);
		}else{
			$connResult = CRSFTPUpload($ftpDetails, $connection);
		}
		if ($connResult !== true){
			addNotification($type='E', $title='Client Report Failed!', $message=$connResult['errorMsg'], $state='U', $callbackOnClose='', $callbackReference='');
			return false;
		}
		$reportURL = trim($ftpDetails['newSiteURL'], '/').'/'.$reportName;
		$saveReportURL ['custom']= $reportURL;
	}else{

		$reportURL = $url . $reportName;
		$saveReportURL = $reportName;
	}

		
	//$pdf->debug = true; 
	$mail_content = str_ireplace(array('[link]', '[Link]'), $reportURL, $params['email']['message']);
	$params['email']['message'] = $mail_content;
	
	if($params['reportType'] == 'schedule' || $params['generatePdfAndSendMail'] == '1'){
		//$pdf->Output($path.$fileName, 'F');
        $params['email']['message'] 					 = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['message']));
        $params['email']['fromName'] 					 = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['fromName']));
        $params['email']['subject'] 					 = stripslashes(str_replace(array("\\r", "\\n"), array("\r", "\n"), $params['email']['subject']));
		
		//$sendMail  = sendMail($from, $fromName, $to, $toName, $subject, $message, $options)
		$sendMail = sendMailPdfAttach($params['email'], $isCron, "", $tableName);
		
		if($sendMail){
			doSetCharsetToUTF8();
			DB::insert("?:client_report_sent_pdf", array('clientReportScheduleID' => $params['clientReportScheduleID'], 'profileName' => $params['profileName'], 'params' => base64_encode(serialize(array('toEmail' => serialize($params['email']['toEmail']), 'sitesCount' => $sitesCount, 'ftpDetails' => $ftpDetails))), 'pdfURL' => base64_encode(serialize($saveReportURL)), 'reportType' => $params['reportType'], 'sentTime' => time(), 'version' => 'phoenix'));

			return true;
		}
	}elseif(!empty($ftpReport)){
		header("Location: ".$reportURL);
		exit;	

	}
	else{

		header("Pragma: public");
		header("Expires: 0");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0"); 
		header("Content-Type: application/force-download");
		header("Content-Type: application/octet-stream");
		header("Content-Type: application/download");
		header("Content-Disposition: attachment;filename=preview.html");
		header("Content-Transfer-Encoding: binary ");
		header('Content-Type: text/html');

		echo $reportHTML;


		//file_put_contents(dirname(__FILE__)."/__debugger1.php", var_export($reportURL,1)."\n<br><br>\n",FILE_APPEND );
		//$pdf->Output($fileName, 'D');
		exit;
	}	
}


function clientReportingNewDeleteSentPdf($params){
	if(empty($params)){	return false; }
	$where = array(
			      		'query' =>  "ID = ':ID' AND reportType = ':reportType'",
			      		'params' => array(
			      		   ':ID' => $params['sentPdfID'],
			      		   ':reportType' => $params['reportType']
           				)
        			);
	$getSentPdfURL = DB::getField("?:client_report_sent_pdf", "pdfURL", $where);
	
	$pdfURL = unserialize(base64_decode($getSentPdfURL));
	$pdfPath = parse_url($pdfURL);
	$fileNameArray = explode('/', $pdfPath['path']);
	$fileName = end($fileNameArray);
	@unlink(APP_ROOT.'/uploads/'.$fileName);
	$where = array(
	      		'query' =>   "ID=':ID'",
	      		'params' => array(
	               ':ID' => $params['sentPdfID']
   				)
			);	
	$deleteSentPdf = DB::delete("?:client_report_sent_pdf", $where);
	
	$deleteSentPdf = DB::delete("?:client_report_sent_pdf", $where);
	
	if($deleteSentPdf){ return true; } else{ return false; }
}

function clientReportingDeleteSentPhoenix($params){
	if(empty($params)){	return false; }
	$where = array(
			      		'query' =>  "ID = ':ID' AND reportType = ':reportType'",
			      		'params' => array(
			      		   ':ID' => $params['sentPdfID'],
			      		   ':reportType' => $params['reportType']
           				)
        			);
	$getResult = DB::getArray("?:client_report_sent_pdf", "pdfURL, params", $where);
	$reportParams = unserialize(base64_decode($getResult[0]['params']));
	$pdfURL = unserialize(base64_decode($getResult[0]['pdfURL']));
	if (!empty($reportParams['ftpDetails']) && !empty($reportParams['ftpDetails']['hostName'])) {
		$ftpDetails = $reportParams['ftpDetails'];
		$connection = false;
		$ftpReport  = true;
		if ($ftpDetails['useSftp'] == false ) {
			$connResult = CRFTPDelete($ftpDetails, $connection);
		}else{
			$connResult = CRSFTPDelete($ftpDetails, $connection);
		}
		if ($connResult !== true){
			addNotification($type='E', $title='Client Report Failed!', $message=$connResult['errorMsg'], $state='U', $callbackOnClose='', $callbackReference='');
			return false;
		}
	}else{
		$pdfPath = parse_url($pdfURL);
		$fileNameArray = explode('/', $pdfPath['path']);
		$fileName = end($fileNameArray);
		@unlink(APP_ROOT.'/uploads/'.$fileName);
	}
	$where = array(
	      		'query' =>   "ID=':ID'",
	      		'params' => array(
	               ':ID' => $params['sentPdfID']
   				)
			);	

	$deleteSentPdf = DB::delete("?:client_report_sent_pdf", $where);
	
	$deleteSentPdf = DB::delete("?:client_report_sent_pdf", $where);
	
	if($deleteSentPdf){ return true; } else{ return false; }
}

function clientReportingformatPluginUpdateArray($pluginsUpdateArray, $key_value){
	$responseArray = array();
	foreach ($pluginsUpdateArray as $key => $pluginItem) {
		if (!array_key_exists($pluginItem[$key_value],$responseArray)) {
			foreach ($pluginsUpdateArray as $itemKey => $value) {
				if ($pluginItem[$key_value] == $value[$key_value]) {
					$responseArray[$pluginItem[$key_value]][]=$pluginsUpdateArray[$itemKey]; 
				}
			}
		}
	}
	return $responseArray;
}

function clientReportingSeperateCircleNeededDate($details, $startFullDate, $endFullDate){
	$returnArray =array();
	foreach ($details as $key => $value) {
		$dateSingle = date("j",strtotime($value['date']));
		if (empty($returnArray) || !array_key_exists($dateSingle, $returnArray) || ($returnArray[$dateSingle] !='Files & DB')) {
			if ($value['date'] == $startFullDate) {
				$returnArray[$dateSingle.'-S'] = $value['type'];
			}elseif($value['date'] == $endFullDate){
				$returnArray[$dateSingle.'-E'] = $value['type'];
			}elseif($value['date'] != $startFullDate && $value['date'] != $endFullDate){
				$returnArray[$dateSingle] = $value['type'];
			}
		}
	}
	return $returnArray;
}

function clientReportingTotalBackupcount($details){
	$returnArray = array();
	foreach ($details as $key => $value) {
		$returnArray[$value['type']]++;
	}
	return $returnArray;
}
function scheduleReportingSaveTempDetails($params){
	$tempID = DB::insert("?:temp_storage", array('type' => $params['runType'], 'paramID' => $params['clientReportScheduleID'], 'time' => time(), 'data' =>  serialize($params)));	
	$params['tempID'] = $tempID;
	return $params;
}

function clientReportingManageLanguages($data){
	$languages = clientReportingGetCRLanguages(); 
	$opt = "";
	$opt .= "<table class='listLangTable'>
		<tr>
			<th>Language Name 1"._e('Plugin', 'English NZ')."</th>
			<th>Actions</th>
		</tr>";
	foreach( $languages as $k => $v){
		$opt .= "<tr>";
			$opt .= "<td>".$k."</td>";
			$opt .= "<td>
				<a data-id='".$k."' class='editLanguage langAction'>Edit</a>
				<a data-id='".$k."' class='removeLanguage langAction'>Remove</a>
			</td>";
		$opt .= "</tr>";
	}
	$opt .= "</table>";
	return $opt;
}
function clientReportingGetCRLanguages(){
	$languages = getOption('clientReportingLanguages');
	if( $languages ){
		return unserialize(base64_decode($languages));
	}else{
		return array();
	}
}
function lang( $word = '', $language = 'English' ){
	$newWord = str_replace(' ', '_', $word);
	$languages = clientReportingGetCRLanguages(); 
	if(isset($languages[$language])){
		foreach( $languages[$language] as $key => $value ){
			if ($value['name'] == strtolower($newWord) ) {
				return $value['value'];
			}
		}
	}

	$lang['visits']	= 'Visits';
	$lang['pageviews'] = 'Page Views';
	$lang['pageviewspervisit'] = 'Page Views per Visit';
	$lang['avgsessionduration'] = 'Avg Session Duration';
	$lang['percentnewvisits'] = 'Percent New Visits';
	$lang['prev_period']                    = 'Prev period';
	$lang['ithemesec']	    						= "Ithemes security";
	$lang['itheme_file_change']	    				= "File changes";
	$lang['itheme_four_oh_four']	    			= "404 Not found";
	$lang['itheme_brute_force']	    				= "Brute force";
	$lang['wordfence']	    						= "Wordfence";
	$lang['wordfence_google_crawlers']	    		= "Google crawlers";
	$lang['wordfence_crawlers']	    				= "Crawlers";
	$lang['wordfence_four_oh_four']	    			= "404 Not found";
	$lang['wordfence_locked_out']	    			= "Lock out";
	$lang['wordfence_blocked']	    				= "Blocked";
	$lang['wordfence_blocked_firewall']	    		= "Blocked by firewall";
	$lang['google_page_speed']	    				= "Google Page Speed";
	if( array_key_exists($word, $lang) ){
		return $lang[$word];
	}
	
	return $word ;
}

function _e($word = "", $language = "English"){
	echo lang($word, $language);
}

function _e2($word = "", $language = "English"){
	return lang($word, $language);
}

function clientReportingNewloadLangVariables($data){
	return $siteViewHTML = TPL::get('/addons/clientReporting/lang/language.php', array('data' => $data));
}

function clientReportingAddLanguage($data){
	$lang = $data['lang'];
	$langName = $lang[0]['value'];

	$languages = clientReportingGetCRLanguages(); 
	if(!in_array($langName, $languages)){
    	$languages[$langName] = $lang;
    }
	updateOption('clientReportingLanguages', base64_encode(serialize($languages)));
	return $languages = clientReportingGetCRLanguages();
}

function clientReportingGetTemplateFields($data, $details = ""){
	$template = $data['template'];
	if( $template == "Simple" ){
		$templateFile = "simpleTemplateFields.tpl.php";
	}else if( $template == "Professional" ){
		$templateFile = "professionalTemplateFields.tpl.php";
	}else if( $template == "Designer" ){
		$templateFile = "designerTemplateFields.tpl.php";
	}

	$reportHTML = TPL::get('/addons/clientReporting/templates/' . $templateFile, array( 'details' => $details ));
	return $reportHTML;
}

function optByRemoveLabel($label){
	$optKeys = array(
		'revisions' => "Post revisions",
		'autodraft' => "Auto draft Post",
		'spam' => "Spam comments",
		'unapproved' => "Unapproved comments",
		'trash-post' => "Trash posts",
		'trash-comments' => "Trash comments",
		'meta-comments' => "Unused meta comments",
		'meta-posts' => "Unused meta posts",
		'pingbacks' => "Pingbacks",
		'trackbacks' => "Trackbacks",
		'optimize-db' => "Optimize Database",
	);
	if (array_key_exists($label,$optKeys)){
		return $optKeys[$label];
	}else{
		return $label;
	}
}

function wordFenceByRemoveLabel($label){
	$optKeys['wordfence']	    						= "Wordfence";
	$optKeys['wordfence_google_crawlers']	    		= "Google crawlers";
	$optKeys['wordfence_crawlers']	    				= "Crawlers";
	$optKeys['wordfence_four_oh_four']	    			= "404 Not found";
	$optKeys['wordfence_locked_out']	    			= "Lock out";
	$optKeys['wordfence_blocked']	    				= "Blocked";
	$optKeys['wordfence_blocked_firewall']	    		= "Blocked by firewall";
	if (array_key_exists($label,$optKeys)){
		return $optKeys[$label];
	}else{
		return $label;
	}
}

function ithemesecByRemoveLabel($label){
	$optKeys = array(
		'ithemesec'  => "Ithemes security",
		'itheme_file_change' => "File changes",
		'itheme_four_oh_four' => "404 Not found",
		'itheme_brute_force' => "Brute force"
	);
	if (array_key_exists($label,$optKeys)){
		return $optKeys[$label];
	}else{
		return $label;
	}
}

function iwp_human_number($number) {
    $ends = array('th','st','nd','rd','th','th','th','th','th','th');
    if ((($number % 100) >= 11) && (($number%100) <= 13))
        return $number. 'th';
    else
        return $number. $ends[$number % 10];
}

function clientReportingRemoveLanguage($data){
	$lang = $data['lang'];
	$languages = clientReportingGetCRLanguages(); 
	unset($languages[$lang]);
	updateOption('clientReportingLanguages', base64_encode(serialize($languages)));
	$languages = clientReportingGetCRLanguages(); 
	$opt = "";
	$opt .= "<table class='listLangTable'>
		<tr>
			<th>Language Name</th>
			<th>Actions</th>
		</tr>";
	foreach( $languages as $k => $v){
		$opt .= "<tr>";
			$opt .= "<td>".$k."</td>";
			$opt .= "<td>
				<a data-id='".$k."' class='editLanguage langAction'>Edit</a>
				<a data-id='".$k."' class='removeLanguage langAction'>Remove</a>
			</td>";
		$opt .= "</tr>";
	}
	$opt .= "</table>";
	return $opt;
}

function getClientReportingProfile(){
	$profiles = getOption('clientReportingProfile');
	if( $profiles ){
		return unserialize($profiles);
	}else{
		return array();
	}
}

function clientReportingSaveProfile($data){
	$profileName = $data['name'];
	$profileData = $data['template'];
	if (!empty($data['ftpDetails'])) {
		$profileData['ftpDetails'] = $data['ftpDetails'];
	}
	if (!empty($data['emailContent'])) {
		$profileData['emailContent'] = $data['emailContent'];
	}
	$profiles = getClientReportingProfile();
	if(!in_array($profileName, $profiles)){
    	$profiles[$profileName] = $profileData;
    }
	updateOption('clientReportingProfile', serialize($profiles));	
	return $profiles = getClientReportingProfile();
}

function loadClientReportingProfile($data){
	$profiles = getClientReportingProfile();

	$template = $profiles[$data]['reportTemplate'];
	if($template == "simple"){
		$template = "Simple";
	}else if($template == "professional"){
		$template = "Professional";
	}else if($template == "designer"){
		$template = "Designer";
	}
	$templateHTML = clientReportingGetTemplateFields(array('template'=>$template), $profiles[$data]);
    return $templateHTML;
}
function deleteClientReportingProfile($data){
	$profiles = getClientReportingProfile();
	unset($profiles[$data]);
	updateOption('clientReportingProfile', serialize($profiles));	
	return $profiles = getClientReportingProfile();
}

function CRTestFTPConnection($params){
	if (empty($params)) {
		return array('status' => 'error',
						'errorMsg' => 'Check your credentials',
				);
	}
	$connection = false;
	$testFile = '/__testFTP2'.time().'.php';
	$touch = touch(APP_ROOT.'/uploads'.$testFile);
	if ($touch == false) {
		array('status' => 'error', 
				'errorMsg' => 'Give proper permission to '.APP_ROOT.'/uploads',
			);
	}
	$uploadFilePath = APP_ROOT.'/uploads'.$testFile; 
	if ($params['useSftp'] == false ) {
		$connResult = initIWPCRFtpConn($params, $connection);
		if ($connResult !== true) {
			return $connResult;
		}
		$connResult = createCRDirectory($params['remoteFolder'], $connection);
		if ($connResult !== true) {
			return $connResult;	
		}
		$FTPPathFile = '/'.trim($params['remoteFolder'], '/').$testFile;
		$uploadTestFile = ftp_put($connection, $FTPPathFile, $uploadFilePath, FTP_BINARY);
		if ($uploadTestFile === false) {
			@unlink($uploadFilePath);
			return array('status' => 'error', 
				'errorMsg' => 'FTP file upload failed.',
			);
		}
	}else{
		$connResult = initIWPCRSftpConn($params, $connection);
		if ($connResult !== true) {
			return $connResult;
		}

		$connResult = createSftpCRDirectory($params, $connection, $uploadFilePath);
		if ($connResult !== true) {
			return $connResult;	
		}
		
	}
	$testURL = trim($params['newSiteURL'], '/').$testFile;
	list($rawResponseData, $microtimeStarted, $microtimeEnded, $curlInfo, $rawResponseHeader)  = doCall($testURL, '', 30, $callOpt);
	
	$cURLErrors = new cURLErrors($curlInfo);
	if ($params['useSftp'] == false ) {
		@unlink($uploadFilePath);
		ftp_delete($connection, $FTPPathFile);
	}else{
		@unlink($uploadFilePath);
		$uploadPath = '/'.trim($params['remoteFolder'], '/');
		$FTPPathFile = $uploadPath.$testFile;
		$connection->delete($FTPPathFile);
	}
	if(!$cURLErrors->isOk()){
		return array('status' => 'error', 
				'errorMsg' => $cURLErrors->getErrorMsg(),
			);
	}

	return array('status' => 'success');


}

function initIWPCRFtpConn($params, &$connection){
	$hostName = trim($params['hostName']);
	$hostUserName = trim($params['hostUserName']); 
	$hostPassword = trim($params['hostPassword']);
	$hostPort = trim($params['hostPort']) ? trim($params['hostPort']) : 22; //trim($params['hostPort']); $port = $ftp_port ? $ftp_port : 22;
	$hostSSL = trim($params['hostSSL']);
	$hostPassive = trim($params['hostPassive']);
	$use_sftp = trim($params['useSftp']);
	$parts = parse_url($params['newSiteURL']);

	if(!empty($hostSSL) && function_exists('ftp_ssl_connect')){
		$connection = @ftp_ssl_connect($hostName, $hostPort);
	} else{
		$connection = @ftp_connect($hostName, $hostPort);
	}
	if (!$connection){
		return array('status' => 'error',
					'errorMsg' => 'Connection to the Host failed Check your Hostname.',
			);
	}		
	
	$login = @ftp_login($connection, $hostUserName, $hostPassword);
	if (!$login) {
		return array('status' => 'error',
					'errorMsg' => 'Could not login to FTP. Please check the credentials',
			);
	}		

	if(!empty($hostPassive)){
		@ftp_pasv($connection, true);
	}
	return true;

}

function createCRDirectory($cloneTempPath, &$connection){
	$parts = explode("/", $cloneTempPath);
	$countParts = count($parts);
	
	$return = true;
	$fullpath = "";						
	$i = 0;
	foreach($parts as $part){
		$i++;
		if(empty($part)){
			$fullpath .= "/";
			continue;
		}
		$fullpath .= $part."/";
		if(@ftp_chdir($connection, $fullpath)){
			ftp_chdir($connection, $fullpath);
		} else{
			if(@ftp_mkdir($connection, $part)){
				ftp_chdir($connection, $part);						
			} else{
				$return = false;
			}
		}
	}
	if($return == false){
		return array('status' => 'error',
					'errorMsg' => 'Connection to the Host failed Check your Hostname.Unable to create a directory using the FTP credentials.',
			);
	}
	return $return;
}

function initIWPCRSftpConn($params, &$connection){
	$hostName = trim($params['hostName']);
	$hostUserName = trim($params['hostUserName']); 
	$hostPassword = trim($params['hostPassword']);
	$hostPort = trim($params['hostPort']) ? trim($params['hostPort']) : 22; //trim($params['hostPort']); $port = $ftp_port ? $ftp_port : 22;
	$hostSSL = trim($params['hostSSL']);
	$hostPassive = trim($params['hostPassive']);
	$use_sftp = trim($params['use_sftp']);
	$parts = parse_url($params['newSiteURL']);
	$sftp = true;
	include APP_ROOT.'/lib/phpseclib/vendor/autoload.php';

	$connection = new  \phpseclib\Net\SFTP($hostName, $hostPort);
	if(!$connection) {
		return array('status' => 'error',
					'errorMsg' => 'Connection to the SFTP Host failed. Check your Hostname.',
			);
	}
	
	if (!$connection->login($hostUserName, $hostPassword)) {
		return array('status' => 'error',
					'errorMsg' => 'Could not login to SFTP. Please check the credentials.',
			);
	}
	return $sftp;
}

function createSftpCRDirectory($params, &$connection, $FTPPathFile = ''){
	$uploadPath = '/'.trim($params['remoteFolder'], '/');
	$connection->mkdir($uploadPath,-1,true);
	$connection->chdir($uploadPath);
	
	$uploadSftpResult = true;
	$uploadSftpResult = @$connection->put(basename($FTPPathFile), $FTPPathFile,1);
	if(!$uploadSftpResult)
	{
		return array('status' => 'error',
					'errorMsg' => 'SFTP Upload failed.',
			);
	}

	return true;
}

function CRFTPUpload($params, $connection = false){
	$connResult = initIWPCRFtpConn($params, $connection);
	if ($connResult !== true) {
		return $connResult;
	}
	$connResult = createCRDirectory($params['remoteFolder'], $connection);
	if ($connResult !== true) {
		return $connResult;	
	}
	$FTPPathFile = '/'.trim($params['remoteFolder'], '/').'/'.$params['reportName'];
	$uploadFile = ftp_put($connection, $FTPPathFile, $params['reportPath'], FTP_BINARY);
	if ($uploadFile === false) {
		@unlink($params['reportPath']);
		return array('status' => 'error', 
				'errorMsg' => 'FTP file upload failed.',
			);
		
	}

	return true;
}

function CRSFTPUpload($params, $connection = false, $file = ''){
	$connResult = initIWPCRSftpConn($params, $connection);
	if ($connResult !== true) {
		return $connResult;
	}

	$connResult = createSftpCRDirectory($params, $connection, $params['reportPath']);
	if ($connResult !== true) {
		return $connResult;	
	}

	return true;
}

function CRFTPDelete($params, $connection = false){
	$connResult = initIWPCRFtpConn($params, $connection);
	if ($connResult !== true) {
		return $connResult;
	}
	$FTPPathFile = '/'.trim($params['remoteFolder'], '/').'/'.$params['reportName'];
	$connResult = ftp_delete($connection, $FTPPathFile);

	if ($connResult !== true) {
		return array('status' => 'error', 
				'errorMsg' => 'FTP delete failed.',
			);
	}
	return true;
}

function CRSFTPDelete($params, $connection = false, $file = ''){
	$connResult = initIWPCRSftpConn($params, $connection);
	if ($connResult !== true) {
		return $connResult;
	}
	$FTPPathFile = '/'.trim($params['remoteFolder'], '/').'/'.$params['reportName'];
	$connResult = $connection->delete($FTPPathFile);

	if ($connResult !== true) {
		return array('status' => 'error', 
				'errorMsg' => 'SFTP delete failed.',
			);
	}
	return true;

}