$('#manualReportNew').live('click',function() {
	loadManualReportingNewMainPage();
});
$('#manualReportPhoenix').live('click',function() {
	loadManualReportingNewMainPage('phoenix');
});
$('#scheduleReportNew').live('click',function() {
	loadScheduledReportingNewMainPage();
});
$('#scheduleReportPhoenix').live('click',function() {
	loadScheduledReportingNewMainPage('phoenix');
});
$('div.btn_radio_slelect_main_wrapper ul.btn_radio_slelect_main li a').live('click',function() {
	if($(this).hasClass('cr_addon_old_view')) {
		$('.pageContentCRAddonNewWrapper').hide();
		$('.pageContentCRAddonPhoenixWrapper').hide();
		$('#mainReport').removeClass('active').addClass('active');
		$('#scheduleReport').removeClass('active');
		$('.reportsButton').addClass('active');
		$('.createNewReportActive').removeClass('active');
		reportButtonClick();
		$('.pageContentCRAddonOldWrapper').show();		
	} else if($(this).hasClass('cr_addon_new_view')) {
		$('.pageContentCRAddonOldWrapper').hide();
		$('.pageContentCRAddonPhoenixWrapper').hide();
		$('.pageContentCRAddonOldWrapper .reportOutline').html('');
		$('.pageContentCRAddonOldWrapper .siteSelectorContainer').html('');
		loadManualReportingNewMainPage();
		$('.pageContentCRAddonNewWrapper').show();
	} else if($(this).hasClass('cr_addon_phoenix')) {
		$('.pageContentCRAddonOldWrapper').hide();
		$('.pageContentCRAddonNewWrapper').hide();

		$('.phoenixReportsButton').addClass('active');
		$('.createNewReportPhoenix').removeClass('active');
		$('#manualReportPhoenix').addClass('active');
		$('#scheduleReportPhoenix').removeClass('active');

		$('.pageContentCRAddonOldWrapper .reportOutline').html('');
		$('.pageContentCRAddonOldWrapper .siteSelectorContainer').html('');
		loadManualReportingNewMainPage('phoenix');
		$('.pageContentCRAddonPhoenixWrapper').show();
	}
});
$('.newReportsButton').live('click',function(){
	if($('#manualReportNew').hasClass('active')){
		loadManualReportingNewMainPage();
	} else if($('#scheduleReportNew').hasClass('active')){
		loadScheduledReportingNewMainPage();		
	}	
});
$('.phoenixReportsButton').live('click',function(){
	if($('#manualReportPhoenix').hasClass('active')){
		loadManualReportingNewMainPage('phoenix');
	} else if($('#scheduleReportPhoenix').hasClass('active')){
		loadScheduledReportingNewMainPage('phoenix');		
	}	
});
$('.createNewReportNew').live('click',function() {
	if($(this).attr('type')=='manualReportNew') {
		createNewReportingNewMainPage($(this).attr('type'));
	} else if($(this).attr('type')=='scheduleReportNew') {
		createNewReportingNewMainPage($(this).attr('type'));
	}
});
$('.createNewReportPhoenix').live('click',function() {
	tempConfirmObject = $(this);
	tempArray={}
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingGetTemplateFields']={};
	tempArray['requiredData']['clientReportingGetCRLanguages']=1;
	tempArray['requiredData']['getClientReportingProfile']=1;
	tempArray['requiredData']['clientReportingGetTemplateFields']['template']='Simple';
	doCall(ajaxCallPath,tempArray,'loadPhoenixMainPage');

	// $('.templateSelector').val('Simple').trigger('change');
});
$('.createNewManualReportNew').live('click',function() {
	createNewReportingNewMainPage('manualReportNew');
});
$('.createNewScheduleReportNew').live('click',function() {
	createNewReportingNewMainPage('scheduleReportNew');
});
/*$('.removeManualReportNew').live('hover',function() { 
	removeManualReportNewHover();
});
$(".removeManualReportNew").live('click',function() { 
	var closestVar=$(this).closest('.ind_row_cont');
	console.log($(".row_summary",closestVar));
	$(".row_summary",closestVar).addClass('del');
	$(".row_detailed",closestVar).addClass('del');
	$(".row_summary .delConfHide,.row_detailed .rh .delConfHide ",closestVar).hide();
	return false;
});
$('.manualDeleteReportPdfNew').live('hover',function() {
	removeManualReportNewHover();
});*/
$('.pdf-template').live('click',function(){
	checkboxYesToggle($(this));
});
/* Kindly dont change the order of the following two functions. If the order has changed, bug will arise.*/
$(".selectReportNew").live('click',function() {
	checkboxYesNoToggle($(this));
	checkboxAtleastOneSelected($(".selectReportNew"),$(this));	
});
$('.updated-new-checkbox').live('click',function() {
	$('.updated-new-inner-wrapper div.checkbox').removeClass('active');
	if($(this).hasClass('active')) {
		$('.updated-new-inner-wrapper div.checkbox').addClass('active');
	}
});
/* Kindly dont change the order of the above two functions. If the order has changed, bug will arise.*/
$(".selectReportNewInner").live('click',function() {
	checkboxYesNoToggle($(this));
	checkboxAtleastOneSelected($('.selectReportNewInner'),$(this));
});
$("#generateReportNew").live('click',function() {
	var reportType = $(this).attr('type');
	var isScheduleReport = false;
	var jsonKey = 'manualReportingNewPreGeneratePdf';
	var callback = 'formArrayFetchReportDetails';
	if(reportType=='schedule' || reportType=='reschedule') {
		isScheduleReport = true;
		jsonKey = 'clientReportingSaveScheduleNew';
		callback = 'showScheduledReportingNewMainPage';
	}
	var report_title_new = $.trim($('input.report_title_new').val());
	var fromEmail_report = $.trim($('input#fromEmail_report').val());
	var toEmail_report = $.trim($('input#toEmail_report').val());
	if(isScheduleReport) {
		if(report_title_new=='') {
			$('input.report_title_new').qtip({id:"toggleGroupQtip",content: { text: 'Please enter profile name for report' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input.report_title_new').addClass('error_report');
			return(false);			
		}
		if(fromEmail_report!='' && !validateEmail(fromEmail_report)) {
			$('input#fromEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter profile name for report' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input#fromEmail_report').addClass('error_report');
			return(false);			
		}
		if(toEmail_report=='') {
			$('input#toEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter Email Addresses (Separated by comma)' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input#toEmail_report').addClass('error_report');
			return(false);			
		}/* else if(toEmail_report!='' && !validateEmail(toEmail_report)) {
			$('input#toEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter valid Email Address' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input#toEmail_report').addClass('error_report');
			return(false);			
		}*/		
	}
	var clientReportDate = $('.reportDateNew').text();
	if(clientReportDate == "" && !isScheduleReport) {
		$('#widgetCalendarNew').closest('.op_cont').addClass('error_report');
		return(false);
	}
	if(!isScheduleReport && $('#widgetCalendarNew').closest('.op_cont').hasClass('error_report')) {
		$('#widgetCalendarNew').closest('.op_cont').removeClass('error_report');
	}

	//$('.emailContent_scheduleReport').remove();
	$('#loadingDiv').show();
	$(this).append('<div class="btn_loadingDiv left"></div>');
	$(this).addClass('disabled');
	var actions = {},i = 0,tempArray={};
	tempArray['requiredData'] = {};
	var sites = getSelectedSites();
	
	$('.actions .selectReportNew').each(function(index){
		if($(this).hasClass('active')) {
			actions[i] = {'mainAction':$(this).attr("val"),'subActions':[]};
		} else {
			actions[i] = {'mainAction':'','subActions':[]};
		}
		$(this).parent().find('.selectReportNewInner.active').each(function(index1){
			actions[i]['subActions'][index1] = $(this).attr("val");
		})
		i++;
	});

	tempArray['requiredData'][jsonKey]={};
	tempArray['requiredData'][jsonKey]['combinedSitesReport']='';
	/* The following two lines are used to define the json array. Because, if siteID, type and action variables are empty, json array will be undefined or empty which may cause javascript errors */
	tempArray['requiredData'][jsonKey]['siteID']={};
	tempArray['requiredData'][jsonKey]['actions']={};
	/* Above two lines are used to define the json array. Because, if siteID, type and action variables are empty, json array will be undefined or empty which may cause javascript errors */	
	
	tempArray['requiredData'][jsonKey]['siteID']=sites;
	tempArray['requiredData'][jsonKey]['actions']=actions;
	
	tempArray['requiredData'][jsonKey]['headerFooterLogoContNew']={};
	tempArray['requiredData'][jsonKey]['headerFooterLogoContNew']['headerContent']=$.trim($('textarea.header-content-new').val());
	tempArray['requiredData'][jsonKey]['headerFooterLogoContNew']['logoName']=$('.imageSpace').attr("imgSrc");
	tempArray['requiredData'][jsonKey]['reportType']=reportType;
	
	if(isScheduleReport) {
		tempArray['requiredData'][jsonKey]['headerFooterLogoContNew']['footerContent']=$.trim($('textarea.footer-content-new').val());
		tempArray['requiredData'][jsonKey]['clientNote']=$.trim($('textarea.client-note-new').val());
		var sTime=$(".reportOutlineNew #timeSelectBtn a").attr('timeval');
		var sTime_value = $(".reportOutlineNew #timeSelectBtn a").text();
		var week_or_month = $('.reportOutlineNew .whenType.active').text().toLowerCase();
		var clientReportDate = '',week_month_val='';
		if(week_or_month == 'weekly')
		{
			clientReportDate = sTime+'|'+$(".reportOutlineNew .day_select_cont .optionSelect.active").attr('dayval');
			week_month_val = $(".reportOutlineNew .day_select_cont .optionSelect.active").attr('dayval');
		}
		else
		{
			clientReportDate = sTime+'|'+$(".reportOutlineNew .date_select_cont .selectDate_report.active").text();
			week_month_val = $(".reportOutlineNew .date_select_cont .selectDate_report.active").text();
		}
	
		var emailArray = {};
		emailArray['fromName'] = $.trim($('#fromName_report').val());
		emailArray['fromEmail'] = fromEmail_report;
		emailArray['toEmail'] = toEmail_report;
		emailArray['message'] = $.trim($('#fromMessage_report').val());
		emailArray['subject'] = $.trim($('#fromSubject_report').val());
		
		tempArray['requiredData'][jsonKey]['runType'] = 'scheduleReportNewRunNow';
		tempArray['requiredData'][jsonKey]['profileName'] = report_title_new;
		tempArray['requiredData'][jsonKey]['email'] = emailArray;
		tempArray['requiredData'][jsonKey]['period'] = week_or_month;
		tempArray['requiredData'][jsonKey]['week_month_val'] = week_month_val;
		tempArray['requiredData'][jsonKey]['schedule_time'] = sTime;
		tempArray['requiredData'][jsonKey]['sTime_value'] = sTime_value;
		
		if(reportType=='reschedule') {
			tempArray['requiredData'][jsonKey]['clientReportScheduleID'] = $('.hiddenReportID').val();
		}		
	}
	
	tempArray['requiredData'][jsonKey]['dates'] = clientReportDate;
	
	
	if(!isScheduleReport) {
		siteIDs = doReturnSelectedSites();	
		tempArray['action']='fetchReportDetails';
		tempArray['args']={};
		tempArray['args']['siteIDs']=siteIDs;
		tempArray['args']['params']={};
		tempArray['args']['params']['actions'] = tempArray['requiredData'][jsonKey]['actions'];
		tempArray['args']['params']['dates'] = tempArray['requiredData'][jsonKey]['dates'];
		tempArray['args']['params']['headerFooterLogoContNew'] = tempArray['requiredData'][jsonKey]['headerFooterLogoContNew'];
		tempArray['args']['params']['action'] = tempArray['requiredData'][jsonKey]['action'] = 'fetchReport';
	}
	doCall(ajaxCallPath,tempArray,callback,'json',"none");
});

$("#generateReportPhoenix").live('click',function() {
	var reportType = $(this).attr('type');
	var templateSelector = $('#templateSelector').val();
	var isScheduleReport = false;
	var jsonKey = 'manualReportingPhoenixPreGenerateHTML';
	var callback = 'formArrayFetchReportDetails';
	if(reportType=='schedule' || reportType=='reschedule') {
		isScheduleReport = true;
		jsonKey = 'clientReportingSaveSchedulePhoenix';
		callback = 'showScheduledReportingPhoenixMainPage';
	}
	var report_title_new = $.trim($('input.report_title_new').val());
	var fromEmail_report = $.trim($('input#fromEmail_report').val());
	var toEmail_report = $.trim($('input#toEmail_report').val());
	var fromSubject_report = $.trim($('input#fromSubject_report').val());
	if(isScheduleReport) {
		if(report_title_new=='') {
			$('input.report_title_new').qtip({id:"toggleGroupQtip",content: { text: 'Please enter profile name for report' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input.report_title_new').addClass('error_report');
			return(false);			
		}
		if(fromEmail_report=='') {
			$('input#fromEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter email address' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input#fromEmail_report').addClass('error_report');
			return(false);		
		}
		if(fromSubject_report=='') {
			$('input#fromSubject_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter subject' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input#fromSubject_report').addClass('error_report');
			return(false);		
		}
		if(fromEmail_report!='' && !validateEmail(fromEmail_report)) {
			$('input#fromEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter profile name for report' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input#fromEmail_report').addClass('error_report');
			return(false);			
		}
		if(toEmail_report=='') {
			$('input#toEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter Email Addresses (Separated by comma)' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input#toEmail_report').addClass('error_report');
			return(false);			
		}/* else if(toEmail_report!='' && !validateEmail(toEmail_report)) {
			$('input#toEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter valid Email Address' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
			$('input#toEmail_report').addClass('error_report');
			return(false);			
		}*/		
	}
	var clientReportDate = $('.reportDateNew').text();
	if(clientReportDate == "" && !isScheduleReport) {
		$('#widgetCalendarPhoenix').closest('.op_cont').addClass('error_report');
		return(false);
	}
	if(!isScheduleReport && $('#widgetCalendarPhoenix').closest('.op_cont').hasClass('error_report')) {
		$('#widgetCalendarPhoenix').closest('.op_cont').removeClass('error_report');
	}
	if($('#cr_custom_location').hasClass('active')){
		var checkForm = validateForm(".FTP_form");
		if (checkForm) {
		}else{
			return false;
		}
	}
	//$('.emailContent_scheduleReport').remove();
	$('#loadingDiv').show();
	$(this).append('<div class="btn_loadingDiv left"></div>');
	$(this).addClass('disabled');
	var actions = {},i = 0,tempArray={};
	tempArray['requiredData'] = {};
	var sites = getSelectedSites();
	
	$('.actions .selectReportNew').each(function(index){
		if($(this).hasClass('active')) {
			actions[i] = {'mainAction':$(this).attr("val"),'subActions':[]};
		} else {
			actions[i] = {'mainAction':'','subActions':[]};
		}
		$(this).parent().find('.selectReportNewInner.active').each(function(index1){
			actions[i]['subActions'][index1] = $(this).attr("val");
		})
		i++;
	});

	tempArray['requiredData'][jsonKey]={};
	tempArray['requiredData'][jsonKey]['combinedSitesReport']='';
	/* The following two lines are used to define the json array. Because, if siteID, type and action variables are empty, json array will be undefined or empty which may cause javascript errors */
	tempArray['requiredData'][jsonKey]['siteID']={};
	tempArray['requiredData'][jsonKey]['actions']={};
	/* Above two lines are used to define the json array. Because, if siteID, type and action variables are empty, json array will be undefined or empty which may cause javascript errors */	
	
	tempArray['requiredData'][jsonKey]['siteID']=sites;
	tempArray['requiredData'][jsonKey]['actions']=actions;
	
	tempArray['requiredData'][jsonKey]['headerFooterLogoContNew']={};
	tempArray['requiredData'][jsonKey]['headerFooterLogoContNew']['headerContent']=$.trim($('textarea.header-content-new').val());
	tempArray['requiredData'][jsonKey]['headerFooterLogoContNew']['logoName']=$('.imageSpace').attr("imgSrc");
	tempArray['requiredData'][jsonKey]['reportType']=reportType;
	
	if(isScheduleReport) {
		tempArray['requiredData'][jsonKey]['headerFooterLogoContNew']['footerContent']=$.trim($('textarea.footer-content-new').val());
		tempArray['requiredData'][jsonKey]['clientNote']=$.trim($('textarea.client-note-new').val());
		var sTime=$(".reportOutlineNew #timeSelectBtn a").attr('timeval');
		var sTime_value = $(".reportOutlineNew #timeSelectBtn a").text();
		var week_or_month = $('.reportOutlineNew .whenType.active').text().toLowerCase();
		var clientReportDate = '',week_month_val='';
		if(week_or_month == 'weekly')
		{
			clientReportDate = sTime+'|'+$(".reportOutlineNew .day_select_cont .optionSelect.active").attr('dayval');
			week_month_val = $(".reportOutlineNew .day_select_cont .optionSelect.active").attr('dayval');
		}
		else
		{
			clientReportDate = sTime+'|'+$(".reportOutlineNew .date_select_cont .selectDate_report.active").text();
			week_month_val = $(".reportOutlineNew .date_select_cont .selectDate_report.active").text();
		}
	
		var emailArray = {};
		emailArray['fromName'] = $.trim($('#fromName_report').val());
		emailArray['fromEmail'] = fromEmail_report;
		emailArray['toEmail'] = toEmail_report;
		emailArray['message'] = $.trim($('#fromMessage_report').val());
		emailArray['subject'] = $.trim($('#fromSubject_report').val());

		tempArray['requiredData'][jsonKey]['template'] = {};

		if( templateSelector == "Simple" ){
			tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "simple";
			tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
			tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#simpleReportDateFormat').val();

			tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgsrc");
			tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
			tempArray['requiredData'][jsonKey]['template']['language']= $('#languageSelector').val();
			tempArray['requiredData'][jsonKey]['template']['dateRange'] = $('.reportDateNew').text();

			tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#simpleReportTitleFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#simpleReportTitleFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#simpleReportTitleFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#simpleReportTitleColor').val();

			tempArray['requiredData'][jsonKey]['template']['reportDate']={};
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#simpleReportDateFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#simpleReportDateFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#simpleReportDateFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#simpleReportDateColor').val();

			tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#simpleClientNoteHeading').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#simpleClientNoteHeadingFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#simpleClientNoteHeadingFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#simpleClientNoteHeadingFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#simpleClientNoteHeadingColor').val();
			
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#simpleClientNoteText').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#simpleClientNoteTextFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#simpleClientNoteTextFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#simpleClientNoteTextFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#simpleClientNoteTextColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#simpleFooterHeading').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#simpleFooterHeadingFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#simpleFooterHeadingFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#simpleFooterHeadingFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#simpleFooterHeadingColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#simpleFooterName').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#simpleFooterNameFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#simpleFooterNameFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#simpleFooterNameFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#simpleFooterNameColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#simpleFooterAddress').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#simpleFooterAddressFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#simpleFooterAddressFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#simpleFooterAddressFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#simpleFooterAddressColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']={}
			tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#simpleBodyTitleFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#simpleBodyTitleFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#simpleBodyTitleFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#simpleBodyTitleColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#simpleBodyCountFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#simpleBodyCountFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#simpleBodyCountFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#simpleBodyCountColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']['content']={}
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#simpleBodyContentFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#simpleBodyContentFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#simpleBodyContentFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#simpleBodyContentColor').val();
		}else if( templateSelector == "Designer" ){
			tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "designer";
			tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
			tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#designerReportDateFormat').val();

			tempArray['requiredData'][jsonKey]['template']['baseColor1']=$('#designerReportBaseColor1').val();
			tempArray['requiredData'][jsonKey]['template']['baseColor2']=$('#designerReportBaseColor2').val();

			tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgSrc");
			tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
			tempArray['requiredData'][jsonKey]['template']['footerSrc']=$('#reportFooter').val();
			tempArray['requiredData'][jsonKey]['template']['language']=$('#languageSelector').val();
			tempArray['requiredData'][jsonKey]['template']['reportType']=reportType;

			tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#designerReportTitleFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#designerReportTitleFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#designerReportTitleFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#designerReportTitleColor').val();

			tempArray['requiredData'][jsonKey]['template']['reportDate']={};
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#designerReportDateFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#designerReportDateFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#designerReportDateFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#designerReportDateColor').val();

			tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#designerClientNoteHeading').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#designerClientNoteHeadingFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#designerClientNoteHeadingFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#designerClientNoteHeadingFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#designerClientNoteHeadingColor').val();
			
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#designerClientNoteText').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#designerClientNoteTextFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#designerClientNoteTextFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#designerClientNoteTextFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#designerClientNoteTextColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#designerFooterHeading').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#designerFooterHeadingFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#designerFooterHeadingFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#designerFooterHeadingFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#designerFooterHeadingColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#designerFooterName').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#designerFooterNameFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#designerFooterNameFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#designerFooterNameFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#designerFooterNameColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#designerFooterAddress').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#designerFooterAddressFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#designerFooterAddressFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#designerFooterAddressFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#designerFooterAddressColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']={}
			tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#designerBodyTitleFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#designerBodyTitleFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#designerBodyTitleFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#designerBodyTitleColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#designerBodyCountFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#designerBodyCountFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#designerBodyCountFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#designerBodyCountColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']['content']={}
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#designerBodyContentFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#designerBodyContentFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#designerBodyContentFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#designerBodyContentColor').val();
		}else if( templateSelector == "Professional" ){
			
			tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "professional";
			tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
			tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#professionalReportDateFormat').val();

			tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgSrc");
			tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
			tempArray['requiredData'][jsonKey]['template']['language']=$('#languageSelector').val();
			tempArray['requiredData'][jsonKey]['template']['reportType']=reportType;

			tempArray['requiredData'][jsonKey]['template']['baseColor1']=$('#professionalBaseColorOne').val();
			tempArray['requiredData'][jsonKey]['template']['baseColor2']=$('#professionalBaseColorTwo').val();

			tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['textsub'] = $('#reportSubTitleText').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#professionalReportTitleFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#professionalReportTitleFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#professionalReportTitleFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#professionalReportTitleColor').val();

			tempArray['requiredData'][jsonKey]['template']['reportDate']={};
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#professionalReportDateFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#professionalReportDateFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#professionalReportDateFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#professionalReportDateColor').val();

			tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#professionalClientNoteHeading').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#professionalClientNoteHeadingFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#professionalClientNoteHeadingFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#professionalClientNoteHeadingFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#professionalClientNoteHeadingColor').val();
			
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#professionalClientNoteText').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#professionalClientNoteTextFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#professionalClientNoteTextFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#professionalClientNoteTextFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#professionalClientNoteTextColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#professionalFooterHeading').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#professionalFooterHeadingFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#professionalFooterHeadingFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#professionalFooterHeadingFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#professionalFooterHeadingColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#professionalFooterName').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#professionalFooterNameFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#professionalFooterNameFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#professionalFooterNameFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#professionalFooterNameColor').val();

			tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#professionalFooterAddress').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#professionalFooterAddressFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#professionalFooterAddressFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#professionalFooterAddressFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#professionalFooterAddressColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']={}
			tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#professionalBodyTitleFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#professionalBodyTitleFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#professionalBodyTitleFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#professionalBodyTitleColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#professionalBodyCountFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#professionalBodyCountFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#professionalBodyCountFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#professionalBodyCountColor').val();

			tempArray['requiredData'][jsonKey]['template']['body']['content']={}
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#professionalBodyContentFontSize').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#professionalBodyContentFontFamily').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#professionalBodyContentFontWeight').val();
			tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#professionalBodyContentColor').val();
		}
		
		tempArray['requiredData'][jsonKey]['runType'] = 'scheduleReportPhoenixRunNow';
		tempArray['requiredData'][jsonKey]['profileName'] = report_title_new;
		tempArray['requiredData'][jsonKey]['email'] = emailArray;
		tempArray['requiredData'][jsonKey]['period'] = week_or_month;
		tempArray['requiredData'][jsonKey]['week_month_val'] = week_month_val;
		tempArray['requiredData'][jsonKey]['schedule_time'] = sTime;
		tempArray['requiredData'][jsonKey]['sTime_value'] = sTime_value;
		
		if(reportType=='reschedule') {
			tempArray['requiredData'][jsonKey]['clientReportScheduleID'] = $('.hiddenReportID').val();
		}
	}
	if(checkForm){
		var hostName = $('#hostName').val();
		var hostUserName = $('#hostUserName').val();
		var hostPassword = $('#hostPassword').val();
		var hostPort = $('#hostPort').val();
		var hostSSL = 0;
		var useSftp = 0;
		var hostPassive = 0;
		if ($('#hostPort').hasClass('active')) {
			var hostSSL = 1;
		}
		if ($('#use_sftp').hasClass('active')) {
			var useSftp = 1;
		}
		if ($('#hostPassive').hasClass('active')) {
			var hostPassive = 1;
		}
		var remoteFolder = $('#remoteFolder').val();
		var newSiteURL = $('#newSiteURL').val();
		
		tempArray['requiredData'][jsonKey]['ftpDetails']={};
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostName']=hostName;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostUserName']=hostUserName;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPassword']=hostPassword;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPort']=hostPort;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostSSL']=hostSSL;
		tempArray['requiredData'][jsonKey]['ftpDetails']['useSftp']=useSftp;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPassive']=hostPassive;
		tempArray['requiredData'][jsonKey]['ftpDetails']['remoteFolder']=remoteFolder;
		tempArray['requiredData'][jsonKey]['ftpDetails']['newSiteURL']=newSiteURL;
		
	}
	
	tempArray['requiredData'][jsonKey]['dates'] = clientReportDate;
	
	
	if(!isScheduleReport) {
		siteIDs = doReturnSelectedSites();	
		tempArray['action']='fetchReportDetails';
		tempArray['args']={};
		tempArray['args']['siteIDs']=siteIDs;
		tempArray['args']['params']={};
		tempArray['args']['params']['actions'] = tempArray['requiredData'][jsonKey]['actions'];
		tempArray['args']['params']['dates'] = tempArray['requiredData'][jsonKey]['dates'];
		tempArray['args']['params']['headerFooterLogoContNew'] = tempArray['requiredData'][jsonKey]['headerFooterLogoContNew'];
		tempArray['args']['params']['action'] = tempArray['requiredData'][jsonKey]['action'] = 'fetchReport';
	}
	doCall(ajaxCallPath,tempArray,callback,'json',"none");
});

$(".cc_schedule_report_mask_new").live('click',function() {
	var closest=$(this).closest(".ind_row_cont");
	var tempArray={};
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingScheduleReportPauseNew']={};
	tempArray['requiredData']['clientReportingScheduleReportPauseNew']['clientReportScheduleID']=$(this).attr('schedulereportkey');
	if($(".cc_schedule_img",this).hasClass('on'))
	tempArray['requiredData']['clientReportingScheduleReportPauseNew']['paused']=1;
	else
	tempArray['requiredData']['clientReportingScheduleReportPauseNew']['paused']=0;
	doCall(ajaxCallPath,tempArray,'');
	$(".cc_schedule_img",closest).toggleClass("on off");
	return false;	
});

$(".cc_schedule_report_mask_phoenix").live('click',function() {
	var closest=$(this).closest(".ind_row_cont");
	var tempArray={};
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingScheduleReportPausePhoenix']={};
	tempArray['requiredData']['clientReportingScheduleReportPausePhoenix']['clientReportScheduleID']=$(this).attr('schedulereportkey');
	if($(".cc_schedule_img",this).hasClass('on'))
	tempArray['requiredData']['clientReportingScheduleReportPausePhoenix']['paused']=1;
	else
	tempArray['requiredData']['clientReportingScheduleReportPausePhoenix']['paused']=0;
	doCall(ajaxCallPath,tempArray,'');
	$(".cc_schedule_img",closest).toggleClass("on off");
	return false;	
});

$(".run_now_report_new").live('click',function() { 
	var requiredData = 'scheduleReportingSaveTempDetails';
	row_summary_expand_var_new = $(this).attr("schedulereportkey");
	var tempArray={};
	tempArray['requiredData']={};
	tempArray['requiredData'][requiredData]={};	
	tempArray['requiredData'][requiredData]['details'] = $(this).attr("details");
	tempArray['requiredData'][requiredData]['action'] = 'runReport';
	tempArray['requiredData'][requiredData]['clientReportScheduleID'] = $(this).attr("schedulereportkey");
	tempArray['requiredData'][requiredData]['runType'] = $(this).attr("runType");
	doCall(ajaxCallPath,tempArray,'loadScheduleReportSaveTempDetails','json',"none");
	return false;	
});

$(".run_now_report_phoenix").live('click',function() { 
	var requiredData = 'scheduleReportingSaveTempDetails';
	row_summary_expand_var_new = $(this).attr("schedulereportkey");
	var tempArray={};
	tempArray['requiredData']={};
	tempArray['requiredData'][requiredData]={};	
	tempArray['requiredData'][requiredData]['details'] = $(this).attr("details");
	tempArray['requiredData'][requiredData]['action'] = 'runReport';
	tempArray['requiredData'][requiredData]['clientReportScheduleID'] = $(this).attr("schedulereportkey");
	tempArray['requiredData'][requiredData]['runType'] = $(this).attr("runType");
	doCall(ajaxCallPath,tempArray,'loadScheduleReportSaveTempDetailsPhoenix','json',"none");
	return false;	
});


$(".editScheduleNewReport").live('click',function() { 
	var tempArray={};
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingNewGetSchedule']={};
	tempArray['requiredData']['clientReportingNewGetSchedule']['clientReportScheduleID']=$(this).attr("schedulereportkey");
	doCall(ajaxCallPath,tempArray,'loadEditScheduleNewReportPage');
	return false;
});

$(".editSchedulePhoenixReport").live('click',function() { 
	var tempArray={};
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingPhoenixGetSchedule']={};
	tempArray['requiredData']['clientReportingGetCRLanguages']=1;
	tempArray['requiredData']['getClientReportingProfile']=1;
	tempArray['requiredData']['clientReportingPhoenixGetSchedule']['clientReportScheduleID']=$(this).attr("schedulereportkey");
	doCall(ajaxCallPath,tempArray,'loadEditSchedulePhoenixReportPage');
	return false;
});

$('.reportSelectNew').live('click',function(){
	var action = $(this).text();
	if(action == "All")
	{
		$('.selectReportNew').each(function(){
			if(!($(this).hasClass('active')))
			{
				$(this).addClass('active');
			}
		});
		$('.selectReportNewInner').each(function(){
			if(!($(this).hasClass('active')))
			{
				$(this).addClass('active');
			}
		});		
	}
	else if(action == "None")
	{
		$('.selectReportNew').each(function(){
			if($(this).hasClass('active'))
			{
				$(this).removeClass('active');
			}
		});
		$('.selectReportNewInner').each(function(){
			if($(this).hasClass('active'))
			{
				$(this).removeClass('active');
			}
		});	
		checkboxAtleastOneSelected($(".selectReportNew"),$(".selectReportNew:first"));
	}
	return false;
});
$(".removeScheduleReportNew").live('click',function() { 
	var closestVar=$(this).closest('.ind_row_cont');
	$(".row_summary",closestVar).addClass('del');
	$(".row_summary_report",closestVar).addClass('del');
	$(".row_detailed",closestVar).addClass('del');
	$(".row_summary .delConfHide,.row_detailed .rh .delConfHide ",closestVar).hide();
	$(".row_summary_report .delConfHide,.row_detailed .rh .delConfHide ",closestVar).hide();
	return false;	
});

$(".removeScheduleReportPhoenix").live('click',function() { 
	var closestVar=$(this).closest('.ind_row_cont');
	$(".row_summary",closestVar).addClass('del');
	$(".row_summary_report",closestVar).addClass('del');
	$(".row_detailed",closestVar).addClass('del');
	$(".row_summary .delConfHide,.row_detailed .rh .delConfHide ",closestVar).hide();
	$(".row_summary_report .delConfHide,.row_detailed .rh .delConfHide ",closestVar).hide();
	return false;	
});

$('.scheduleDeleteReportNew').live('click',function() {
	var closestUpdatee = $(closestVar).closest('.row_updatee');
	var topVar = $(this).closest('.ind_row_cont');
	if($(this).hasClass('no')) {
	   var  topVar = ".ind_row_cont .row_summary, .row_detailed";
	   var closestVar=$(this).closest('.ind_row_cont');
	   $(topVar).removeClass('del');
	   $(".delConfHide",closestVar).show();
	} else {
		var tempArray = {};
		tempArray['requiredData'] = {};
		tempArray['requiredData']['clientReportingScheduleReportDeleteNew'] = {};
		tempArray['requiredData']['clientReportingScheduleReportDeleteNew']['clientReportScheduleID'] = $(this).attr('schedulereportkey');
		$(topVar).remove();
		if($(this).attr('schedulereportkey') == undefined ||  $(this).attr('schedulereportkey') == '') //SB mod
		{
			if($(".row_updatee_ind",closestUpdatee).length==0) {
				$(closestUpdatee).closest('.ind_row_cont').remove();
			}
		}
		if($('.rows_cont .ind_row_cont').length == 0) {
			doHistoryCall(ajaxCallPath, tempArray, "loadScheduledReportingNewMainPage");
		} else {	
			doHistoryCall(ajaxCallPath, tempArray,"");
		}
	}
	return false;
});

$('.scheduleDeleteReportPhoenix').live('click',function() {
	var closestUpdatee = $(closestVar).closest('.row_updatee');
	var topVar = $(this).closest('.ind_row_cont');
	if($(this).hasClass('no')) {
	   var  topVar = ".ind_row_cont .row_summary, .row_detailed";
	   var closestVar=$(this).closest('.ind_row_cont');
	   $(topVar).removeClass('del');
	   $(".delConfHide",closestVar).show();
	} else {
		var tempArray = {};
		tempArray['requiredData'] = {};
		tempArray['requiredData']['clientReportingScheduleReportDeletePhoenix'] = {};
		tempArray['requiredData']['clientReportingScheduleReportDeletePhoenix']['clientReportScheduleID'] = $(this).attr('schedulereportkey');
		$(topVar).remove();
		if($(this).attr('schedulereportkey') == undefined ||  $(this).attr('schedulereportkey') == '') //SB mod
		{
			if($(".row_updatee_ind",closestUpdatee).length==0) {
				$(closestUpdatee).closest('.ind_row_cont').remove();
			}
		}
		if($('.rows_cont .ind_row_cont').length == 0) {
			doHistoryCall(ajaxCallPath, tempArray, "loadScheduledReportingNewMainPage");
		} else {	
			doHistoryCall(ajaxCallPath, tempArray,"");
		}
	}
	return false;
});

$('.downPDFNew').live('click',function(){
	var requiredData = 'clientReportingNewGeneratePdf';
	downloadPDFNew_report(requiredData);
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][dateRange]" value="'+$('.reportDateNew').text()+'" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][generatePdfAndSendMail]" value="0" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][logoName]" value="'+$('.imageSpace').attr('imgsrc')+'" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][detailed]" value="'+$('input.detailedData').val()+'" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][originalActions]" value="'+$('input.originalActions').val()+'" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][reportType]" value="manual" />');
	$('#downloadPDF').click();
});

$('.downHTMLPhoenix').live('click',function(){
	var templateSelector = $('#templateSelector').val();
	var requiredData = 'clientReportingNewGenerateHTML';
	downloadHTMLPhoenix_report(requiredData);
	if($('#cr_custom_location').hasClass('active')){
		var checkForm = validateForm(".FTP_form");
		if (checkForm) {
			var hostName = $('#hostName').val();
			var hostUserName = $('#hostUserName').val();
			var hostPassword = $('#hostPassword').val();
			var hostPort = $('#hostPort').val();
			var hostSSL = 0;
			var useSftp = 0;
			var hostPassive = 0;
			if ($('#hostPort').hasClass('active')) {
				var hostSSL = 1;
			}
			if ($('#use_sftp').hasClass('active')) {
				var useSftp = 1;
			}
			if ($('#hostPassive').hasClass('active')) {
				var hostPassive = 1;
			}
			var remoteFolder = $('#remoteFolder').val();
			var newSiteURL = $('#newSiteURL').val();
		}else{
			return false;
		}
		
	}
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][dateRange]" value="'+$('.reportDateNew').text()+'" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][generatePdfAndSendMail]" value="0" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][logoName]" value="'+$('.imageSpace').attr('imgsrc')+'" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][detailed]" value="'+$('input.detailedData').val()+'" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][originalActions]" value="'+$('input.originalActions').val()+'" />');
	$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][reportType]" value="manual" />');
	if($('#cr_custom_location').hasClass('active')){
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][hostName]" value="'+hostName+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][hostUserName]" value="'+hostUserName+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][hostPassword]" value="'+hostPassword+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][hostPort]" value="'+hostPort+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][hostSSL]" value="'+hostSSL+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][useSftp]" value="'+useSftp+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][hostPassive]" value="'+hostPassive+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][remoteFolder]" value="'+remoteFolder+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][ftpDetails][newSiteURL]" value="'+newSiteURL+'" />');
	}

	if( templateSelector == "Simple" ){
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTemplate]" value="simple" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][dateRange]" value="'+$('.reportDateNew').text()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][dateFormat]" value="'+$('#simpleReportDateFormat').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][logoSrc]" value="'+$('.imageSpace').attr("imgSrc")+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][bannerSrc]" value="'+$('#reportBanner').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][language]" value="'+$('#languageSelector').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][dateRange]" value="'+$('.reportDateNew').text()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][text]" value="'+$('#reportTitleText').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-size]" value="'+$('#simpleReportTitleFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-family]" value="'+$('#simpleReportTitleFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-weight]" value="'+$('#simpleReportTitleFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][color]" value="'+$('#simpleReportTitleColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-size]" value="'+$('#simpleReportDateFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-family]" value="'+$('#simpleReportDateFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-weight]" value="'+$('#simpleReportDateFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][color]" value="'+$('#simpleReportDateColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][text]" value="'+$('#simpleClientNoteHeading').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-size]" value="'+$('#simpleClientNoteHeadingFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-family]" value="'+$('#simpleClientNoteHeadingFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-weight]" value="'+$('#simpleClientNoteHeadingFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][color]" value="'+$('#simpleClientNoteHeadingColor').val()+'" />');
		
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][text]" value="'+$('#simpleClientNoteText').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-size]" value="'+$('#simpleClientNoteTextFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-family]" value="'+$('#simpleClientNoteTextFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-weight]" value="'+$('#simpleClientNoteTextFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][color]" value="'+$('#simpleClientNoteTextColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][text]" value="'+$('#simpleFooterHeading').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-size]" value="'+$('#simpleFooterHeadingFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-family]" value="'+$('#simpleFooterHeadingFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-weight]" value="'+$('#simpleFooterHeadingFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][color]" value="'+$('#simpleFooterHeadingColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][text]" value="'+$('#simpleFooterName').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-size]" value="'+$('#simpleFooterNameFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-family]" value="'+$('#simpleFooterNameFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-weight]" value="'+$('#simpleFooterNameFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][color]" value="'+$('#simpleFooterNameColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][text]" value="'+$('#simpleFooterAddress').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-size]" value="'+$('#simpleFooterAddressFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-family]" value="'+$('#simpleFooterAddressFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-weight]" value="'+$('#simpleFooterAddressFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][color]" value="'+$('#simpleFooterAddressColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-size]" value="'+$('#simpleBodyTitleFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-family]" value="'+$('#simpleBodyTitleFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-weight]" value="'+$('#simpleBodyTitleFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][color]" value="'+$('#simpleBodyTitleColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-size]" value="'+$('#simpleBodyCountFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-family]" value="'+$('#simpleBodyCountFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-weight]" value="'+$('#simpleBodyCountFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][color]" value="'+$('#simpleBodyCountColor').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-size]" value="'+$('#simpleBodyContentFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-family]" value="'+$('#simpleBodyContentFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-weight]" value="'+$('#simpleBodyContentFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][color]" value="'+$('#simpleBodyContentColor').val()+'" />');
	}else if( templateSelector == "Designer" ){

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTemplate]" value="designer" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][dateRange]" value="'+$('.reportDateNew').text()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][dateFormat]" value="'+$('#designerReportDateFormat').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][baseColor1]" value="'+$('#designerReportBaseColor1').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][baseColor2]" value="'+$('#designerReportBaseColor2').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][logoSrc]" value="'+$('.imageSpace').attr("imgSrc")+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][bannerSrc]" value="'+$('#reportBanner').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footerSrc]" value="'+$('#reportFooter').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][language]" value="'+$('#languageSelector').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][text]" value="'+$('#reportTitleText').val()+'" />');	
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-size]" value="'+$('#designerReportTitleFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-family]" value="'+$('#designerReportTitleFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-weight]" value="'+$('#designerReportTitleFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][color]" value="'+$('#designerReportTitleColor').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-size]" value="'+$('#designerReportDateFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-family]" value="'+$('#designerReportDateFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-weight]" value="'+$('#designerReportDateFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][color]" value="'+$('#designerReportDateColor').val()+'" />');


		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][text]" value="'+$('#designerClientNoteHeading').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-size]" value="'+$('#designerClientNoteHeadingFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-family]" value="'+$('#designerClientNoteHeadingFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-weight]" value="'+$('#designerClientNoteHeadingFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][color]" value="'+$('#designerClientNoteHeadingColor').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][text]" value="'+$('#designerClientNoteText').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-size]" value="'+$('#designerClientNoteTextFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-family]" value="'+$('#designerClientNoteTextFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-weight]" value="'+$('#designerClientNoteTextFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][color]" value="'+$('#designerClientNoteTextColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][text]" value="'+$('#designerFooterHeading').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-size]" value="'+$('#designerFooterHeadingFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-family]" value="'+$('#designerFooterHeadingFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-weight]" value="'+$('#designerFooterHeadingFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][color]" value="'+$('#designerFooterHeadingColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][text]" value="'+$('#designerFooterName').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-size]" value="'+$('#designerFooterNameFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-family]" value="'+$('#designerFooterNameFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-weight]" value="'+$('#designerFooterNameFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][color]" value="'+$('#designerFooterNameColor').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][text]" value="'+$('#designerFooterAddress').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-size]" value="'+$('#designerFooterAddressFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-family]" value="'+$('#designerFooterAddressFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-weight]" value="'+$('#designerFooterAddressFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][color]" value="'+$('#designerFooterAddressColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-size]" value="'+$('#designerBodyTitleFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-family]" value="'+$('#designerBodyTitleFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-weight]" value="'+$('#designerBodyTitleFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][color]" value="'+$('#designerBodyTitleColor').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-size]" value="'+$('#designerBodyCountFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-family]" value="'+$('#designerBodyCountFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-weight]" value="'+$('#designerBodyCountFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][color]" value="'+$('#designerBodyCountColor').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-size]" value="'+$('#designerBodyContentFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-family]" value="'+$('#designerBodyContentFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-weight]" value="'+$('#designerBodyContentFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][color]" value="'+$('#designerBodyContentColor').val()+'" />');
	}else if( templateSelector == "Professional" ){

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTemplate]" value="professional" />');
		 
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][dateRange]" value="'+$('.reportDateNew').text()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][dateFormat]" value="'+$('#professionalReportDateFormat').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][logoSrc]" value="'+$('.imageSpace').attr("imgSrc")+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][bannerSrc]" value="'+$('#reportBanner').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][language]" value="'+$('#languageSelector').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][baseColor1]" value="'+$('#professionalBaseColorOne').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][baseColor2]" value="'+$('#professionalBaseColorTwo').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][text]" value="'+$('#reportTitleText').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][textsub]" value="'+$('#reportSubTitleText').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-size]" value="'+$('#professionalReportTitleFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-family]" value="'+$('#professionalReportTitleFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][font-weight]" value="'+$('#professionalReportTitleFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportTitle][style][color]" value="'+$('#professionalReportTitleColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-size]" value="'+$('#professionalReportDateFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-family]" value="'+$('#professionalReportDateFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][font-weight]" value="'+$('#professionalReportDateFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][reportDate][style][color]" value="'+$('#professionalReportDateColor').val()+'" />');

		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][text]" value="'+$('#professionalClientNoteHeading').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-size]" value="'+$('#professionalClientNoteHeadingFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-family]" value="'+$('#professionalClientNoteHeadingFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][font-weight]" value="'+$('#professionalClientNoteHeadingFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][heading][style][color]" value="'+$('#professionalClientNoteHeadingColor').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][text]" value="'+$('#professionalClientNoteText').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-size]" value="'+$('#professionalClientNoteTextFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-family]" value="'+$('#professionalClientNoteTextFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][font-weight]" value="'+$('#professionalClientNoteTextFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][clientNote][content][style][color]" value="'+$('#professionalClientNoteTextColor').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][text]" value="'+$('#professionalFooterHeading').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-size]" value="'+$('#professionalFooterHeadingFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-family]" value="'+$('#professionalFooterHeadingFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][font-weight]" value="'+$('#professionalFooterHeadingFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][heading][style][color]" value="'+$('#professionalFooterHeadingColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][text]" value="'+$('#professionalFooterName').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-size]" value="'+$('#professionalFooterNameFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-family]" value="'+$('#professionalFooterNameFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][font-weight]" value="'+$('#professionalFooterNameFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][name][style][color]" value="'+$('#professionalFooterNameColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][text]" value="'+$('#professionalFooterAddress').val()+'" />');
		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-size]" value="'+$('#professionalFooterAddressFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-family]" value="'+$('#professionalFooterAddressFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][font-weight]" value="'+$('#professionalFooterAddressFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][footer][address][style][color]" value="'+$('#professionalFooterAddressColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-size]" value="'+$('#professionalBodyTitleFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-family]" value="'+$('#professionalBodyTitleFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][font-weight]" value="'+$('#professionalBodyTitleFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][title][style][color]" value="'+$('#professionalBodyTitleColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-size]" value="'+$('#professionalBodyCountFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-family]" value="'+$('#professionalBodyCountFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][font-weight]" value="'+$('#professionalBodyCountFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][titlecount][style][color]" value="'+$('#professionalBodyCountColor').val()+'" />');

		
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-size]" value="'+$('#professionalBodyContentFontSize').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-family]" value="'+$('#professionalBodyContentFontFamily').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][font-weight]" value="'+$('#professionalBodyContentFontWeight').val()+'" />');
		$('.hiddenReport').before('<input type="hidden" id="hiddenReportInput" name="requiredData['+requiredData+'][template][body][content][style][color]" value="'+$('#professionalBodyContentColor').val()+'" />');
	}

	$('#downloadPDF').click();
});

$('#sendFinalEmailNew_report').live('click',function(){
	var requiredData = 'clientReportingNewGeneratePdf';
	var emailArray = {};
	var fromName_report = $.trim($('#fromName_report').val());
	var fromEmail_report = $.trim($('#fromEmail_report').val());
	var toEmail_report = $.trim($('#toEmail_report').val());
	var fromMessage_report = $.trim($('#fromMessage_report').val());
	var fromSubject_report = $.trim($('#fromSubject_report').val());
	var tempArray = {};
	tempArray['requiredData'] = {};
	tempArray['requiredData'][requiredData] = {};
	tempArray['requiredData'][requiredData]['other_data'] = {};
	if(toEmail_report=='') {
		$('input#toEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter Email Addresses (Separated by comma)' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
		$('input#toEmail_report').addClass('error_report');		
	}/* else if(toEmail_report!='' && !validateEmail(toEmail_report)) {
		$('input#toEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter valid Email Address' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
		$('input#toEmail_report').addClass('error_report');			
	} */else {
		$(this).append('<div class="btn_loadingDiv left"></div>');
		$(this).addClass('disabled');
		tempArray['requiredData'][requiredData]['headerContent'] = $.trim($('.headerContent textarea').val());
		tempArray['requiredData'][requiredData]['footerContent'] = $.trim($('.footerContent textarea').val());
		tempArray['requiredData'][requiredData]['clientNote'] = $.trim($('.clientNote textarea').val());
		tempArray['requiredData'][requiredData]['other_data'] = {};
		$('.reportData').each(function(key,val){
			var reportSiteID = $(this).attr("attr");
			tempArray['requiredData'][requiredData]['other_data'][reportSiteID]={};
			$('.reportDataLi',this).each(function(){
				tempArray['requiredData'][requiredData]['other_data'][reportSiteID][$('.reportActualName',this).text()] = $('.reportActualData',this).val();
			});
		});
		tempArray['requiredData'][requiredData]['email'] = {};
		tempArray['requiredData'][requiredData]['email']['fromName'] = fromName_report;
		tempArray['requiredData'][requiredData]['email']['toEmail'] = toEmail_report;
		tempArray['requiredData'][requiredData]['email']['fromEmail'] = fromEmail_report;
		tempArray['requiredData'][requiredData]['email']['message'] = fromMessage_report;
		tempArray['requiredData'][requiredData]['email']['subject'] = fromSubject_report;
		tempArray['requiredData'][requiredData]['dateRange'] = $('.reportDateNew').text();
		tempArray['requiredData'][requiredData]['generatePdfAndSendMail'] = 1;
		tempArray['requiredData'][requiredData]['detailed'] = $('.detailedData').val();
		tempArray['requiredData'][requiredData]['originalActions'] = $('.originalActions').val();
		tempArray['requiredData'][requiredData]['reportType'] = 'manual';
		$('#mainReport').click();
		$('#loadingDiv').show();
		doCall(ajaxCallPath,tempArray,'processManualSendEmailNew_report','json',"none");
	}
});

$('#sendFinalEmailNew_report_phoenix').live('click',function(){
	var requiredData = 'clientReportingNewGenerateHTML';
	var emailArray = {};
	var templateSelector = $('#templateSelector').val();
	var fromName_report = $.trim($('#fromName_report').val());
	var fromEmail_report = $.trim($('#fromEmail_report').val());
	var toEmail_report = $.trim($('#toEmail_report').val());
	var fromMessage_report = $.trim($('#fromMessage_report').val());
	var fromSubject_report = $.trim($('#fromSubject_report').val());
	var tempArray = {};
	tempArray['requiredData'] = {};
	tempArray['requiredData'][requiredData] = {};
	tempArray['requiredData'][requiredData]['other_data'] = {};
	if($('#cr_custom_location').hasClass('active')){
		var checkForm = validateForm(".FTP_form");
		if (checkForm) {
		}else{
			return false;
		}
	}
	if(toEmail_report=='') {
		$('input#toEmail_report').qtip({id:"toggleGroupQtip",content: { text: 'Please enter Email Addresses (Separated by comma)' }, position: { my: 'bottom center', at: 'top center',  adjust:{ y: -6} }, show: {  }, hide: {  }, style: { classes: 'ui-tooltip-shadow ui-tooltip-dark',  tip: {  corner: true, width: 10, height:5} } });
		$('input#toEmail_report').addClass('error_report');		
	}else {
		$(this).append('<div class="btn_loadingDiv left"></div>');
		$(this).addClass('disabled');
		tempArray['requiredData'][requiredData]['headerContent'] = $.trim($('.headerContent textarea').val());
		tempArray['requiredData'][requiredData]['footerContent'] = $.trim($('.footerContent textarea').val());
		tempArray['requiredData'][requiredData]['clientNote'] = $.trim($('.clientNote textarea').val());
		tempArray['requiredData'][requiredData]['other_data'] = {};
		$('.reportData').each(function(key,val){
			var reportSiteID = $(this).attr("attr");
			tempArray['requiredData'][requiredData]['other_data'][reportSiteID]={};
			$('.reportDataLi',this).each(function(){
				tempArray['requiredData'][requiredData]['other_data'][reportSiteID][$('.reportActualName',this).text()] = $('.reportActualData',this).val();
			});
		});
		tempArray['requiredData'][requiredData]['email'] = {};
		tempArray['requiredData'][requiredData]['email']['fromName'] = fromName_report;
		tempArray['requiredData'][requiredData]['email']['toEmail'] = toEmail_report;
		tempArray['requiredData'][requiredData]['email']['fromEmail'] = fromEmail_report;
		tempArray['requiredData'][requiredData]['email']['message'] = fromMessage_report;
		tempArray['requiredData'][requiredData]['email']['subject'] = fromSubject_report;
		tempArray['requiredData'][requiredData]['dateRange'] = $('.reportDateNew').text();
		tempArray['requiredData'][requiredData]['generatePdfAndSendMail'] = 1;
		tempArray['requiredData'][requiredData]['detailed'] = $('.detailedData').val();
		tempArray['requiredData'][requiredData]['originalActions'] = $('.originalActions').val();
		tempArray['requiredData'][requiredData]['reportType'] = 'manual';

		var jsonKey = requiredData;
		tempArray['requiredData'][jsonKey]['template'] = {};

	if( templateSelector == "Simple" ){
		tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "simple";
		tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
		tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#simpleReportDateFormat').val();

		tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgSrc");
		tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
		tempArray['requiredData'][jsonKey]['template']['language']= $('#languageSelector').val();
		tempArray['requiredData'][jsonKey]['template']['dateRange'] = $('.reportDateNew').text();

		tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#simpleReportTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#simpleReportTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#simpleReportTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#simpleReportTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['reportDate']={};
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#simpleReportDateFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#simpleReportDateFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#simpleReportDateFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#simpleReportDateColor').val();

		tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#simpleClientNoteHeading').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#simpleClientNoteHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#simpleClientNoteHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#simpleClientNoteHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#simpleClientNoteHeadingColor').val();
		
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#simpleClientNoteText').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#simpleClientNoteTextFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#simpleClientNoteTextFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#simpleClientNoteTextFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#simpleClientNoteTextColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#simpleFooterHeading').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#simpleFooterHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#simpleFooterHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#simpleFooterHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#simpleFooterHeadingColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#simpleFooterName').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#simpleFooterNameFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#simpleFooterNameFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#simpleFooterNameFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#simpleFooterNameColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#simpleFooterAddress').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#simpleFooterAddressFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#simpleFooterAddressFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#simpleFooterAddressFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#simpleFooterAddressColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']={}
		tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#simpleBodyTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#simpleBodyTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#simpleBodyTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#simpleBodyTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#simpleBodyCountFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#simpleBodyCountFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#simpleBodyCountFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#simpleBodyCountColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['content']={}
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#simpleBodyContentFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#simpleBodyContentFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#simpleBodyContentFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#simpleBodyContentColor').val();
	}else if( templateSelector == "Designer" ){
		tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "designer";
		tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
		tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#designerReportDateFormat').val();

		tempArray['requiredData'][jsonKey]['template']['baseColor1']=$('#designerReportBaseColor1').val();
		tempArray['requiredData'][jsonKey]['template']['baseColor2']=$('#designerReportBaseColor2').val();

		tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgSrc");
		tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
		tempArray['requiredData'][jsonKey]['template']['footerSrc']=$('#reportFooter').val();
		tempArray['requiredData'][jsonKey]['template']['language']=$('#languageSelector').val();

		tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#designerReportTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#designerReportTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#designerReportTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#designerReportTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['reportDate']={};
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#designerReportDateFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#designerReportDateFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#designerReportDateFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#designerReportDateColor').val();

		tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#designerClientNoteHeading').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#designerClientNoteHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#designerClientNoteHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#designerClientNoteHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#designerClientNoteHeadingColor').val();
		
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#designerClientNoteText').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#designerClientNoteTextFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#designerClientNoteTextFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#designerClientNoteTextFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#designerClientNoteTextColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#designerFooterHeading').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#designerFooterHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#designerFooterHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#designerFooterHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#designerFooterHeadingColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#designerFooterName').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#designerFooterNameFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#designerFooterNameFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#designerFooterNameFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#designerFooterNameColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#designerFooterAddress').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#designerFooterAddressFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#designerFooterAddressFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#designerFooterAddressFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#designerFooterAddressColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']={}
		tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#designerBodyTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#designerBodyTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#designerBodyTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#designerBodyTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#designerBodyCountFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#designerBodyCountFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#designerBodyCountFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#designerBodyCountColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['content']={}
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#designerBodyContentFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#designerBodyContentFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#designerBodyContentFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#designerBodyContentColor').val();
	}else if( templateSelector == "Professional" ){
		
		tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "professional";
		tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
		tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#professionalReportDateFormat').val();

		tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgSrc");
		tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
		tempArray['requiredData'][jsonKey]['template']['language']=$('#languageSelector').val();

		tempArray['requiredData'][jsonKey]['template']['baseColor1']=$('#professionalBaseColorOne').val();
		tempArray['requiredData'][jsonKey]['template']['baseColor2']=$('#professionalBaseColorTwo').val();

		tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['textsub'] = $('#reportSubTitleText').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#professionalReportTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#professionalReportTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#professionalReportTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#professionalReportTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['reportDate']={};
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#professionalReportDateFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#professionalReportDateFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#professionalReportDateFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#professionalReportDateColor').val();

		tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#professionalClientNoteHeading').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#professionalClientNoteHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#professionalClientNoteHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#professionalClientNoteHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#professionalClientNoteHeadingColor').val();
		
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#professionalClientNoteText').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#professionalClientNoteTextFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#professionalClientNoteTextFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#professionalClientNoteTextFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#professionalClientNoteTextColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#professionalFooterHeading').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#professionalFooterHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#professionalFooterHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#professionalFooterHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#professionalFooterHeadingColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#professionalFooterName').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#professionalFooterNameFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#professionalFooterNameFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#professionalFooterNameFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#professionalFooterNameColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#professionalFooterAddress').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#professionalFooterAddressFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#professionalFooterAddressFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#professionalFooterAddressFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#professionalFooterAddressColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']={}
		tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#professionalBodyTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#professionalBodyTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#professionalBodyTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#professionalBodyTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#professionalBodyCountFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#professionalBodyCountFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#professionalBodyCountFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#professionalBodyCountColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['content']={}
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#professionalBodyContentFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#professionalBodyContentFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#professionalBodyContentFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#professionalBodyContentColor').val();
	}
	if(checkForm){
		var hostName = $('#hostName').val();
		var hostUserName = $('#hostUserName').val();
		var hostPassword = $('#hostPassword').val();
		var hostPort = $('#hostPort').val();
		var hostSSL = 0;
		var useSftp = 0;
		var hostPassive = 0;
		if ($('#hostPort').hasClass('active')) {
			var hostSSL = 1;
		}
		if ($('#use_sftp').hasClass('active')) {
			var useSftp = 1;
		}
		if ($('#hostPassive').hasClass('active')) {
			var hostPassive = 1;
		}
		var remoteFolder = $('#remoteFolder').val();
		var newSiteURL = $('#newSiteURL').val();
		
		tempArray['requiredData'][jsonKey]['ftpDetails']={};
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostName']=hostName;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostUserName']=hostUserName;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPassword']=hostPassword;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPort']=hostPort;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostSSL']=hostSSL;
		tempArray['requiredData'][jsonKey]['ftpDetails']['useSftp']=useSftp;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPassive']=hostPassive;
		tempArray['requiredData'][jsonKey]['ftpDetails']['remoteFolder']=remoteFolder;
		tempArray['requiredData'][jsonKey]['ftpDetails']['newSiteURL']=newSiteURL;
		
	}

		$('#mainReport').click();
		$('#loadingDiv').show();
		doCall(ajaxCallPath,tempArray,'processManualSendEmailPhoenix_report','json',"none");
	}
});

$('.managelanguage').live('click', function(){
	tempArray={}
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingManageLanguages']=1;
	doCall(ajaxCallPath,tempArray,'manageLanguage');
});

$('.addNewlanguage').live('click', function(){
	tempArray={}
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingNewloadLangVariables']={};
	tempArray['requiredData']['clientReportingNewloadLangVariables']['action']='add';
	doCall(ajaxCallPath,tempArray,'addNewlanguage');
});

$('.addLanguageButton').live('click', function(){
	var lang = $('.add_language_form').serializeArray();
	tempArray={}
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingAddLanguage']={};
	tempArray['requiredData']['clientReportingAddLanguage']['lang']=lang;
	doCall(ajaxCallPath,tempArray,'afterAddLanguage');
});

$('.templateSelector').live('change', function(){
	$('.templateField').hide();
	var val = $(this).val();
	tempArray={}
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingGetTemplateFields']={};
	tempArray['requiredData']['clientReportingGetTemplateFields']['template']=val;
	doCall(ajaxCallPath,tempArray,'afterSelectTemplate');
});

$('.editLanguage').live('click', function(){
	var lang = $(this).attr('data-id');
	tempArray={}
	tempArray['requiredData']={};
	tempArray['requiredData']['clientReportingNewloadLangVariables']={};
	tempArray['requiredData']['clientReportingNewloadLangVariables']['action']='edit';
	tempArray['requiredData']['clientReportingNewloadLangVariables']['lang']=lang;
	doCall(ajaxCallPath,tempArray,'addNewlanguage');
});

$('.removeLanguage').live('click', function(){
	var lang = $(this).attr('data-id');
	if(confirm('Are you sure to remove '+lang)){
		tempArray={}
		tempArray['requiredData']={};
		tempArray['requiredData']['clientReportingRemoveLanguage']={};
		tempArray['requiredData']['clientReportingRemoveLanguage']['lang']=lang;
		doCall(ajaxCallPath,tempArray,'manageLanguageAfterRemove');
	}
});

$('#fromMessage_report').live('keyup',function(){
	var val = $(this).val();
	if(val != ""){
		$('#sendFinalEmailNew_report_phoenix').removeClass('disabled');
	}else{
		$('#sendFinalEmailNew_report_phoenix').addClass('disabled');
	}
});

$('#saveprofilephoenix').live('click', function(){
	var name = $('#saveprofilephoenixName').val();

	if(name == ''){
		$('#saveprofilephoenixName').addClass('error_report');
		return false;
	}else{
		$('#saveprofilephoenixName').removeClass('error_report');
	}
	var jsonKey = 'clientReportingSaveProfile';
	var templateSelector = $('#templateSelector').val();
	if($('#cr_custom_location').hasClass('active')){
		var checkForm = validateForm(".FTP_form");
		if (checkForm) {
		}else{
			return false;
		}
	}
	var tempArray = {};
	tempArray['requiredData'] = {};
	tempArray['requiredData'][jsonKey] = {};
	tempArray['requiredData'][jsonKey]['name'] = name;
	tempArray['requiredData'][jsonKey]['template'] = {};

	if( templateSelector == "Simple" ){
		tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "simple";
		tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
		tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#simpleReportDateFormat').val();

		tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgSrc");
		tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
		tempArray['requiredData'][jsonKey]['template']['language']= $('#languageSelector').val();
		tempArray['requiredData'][jsonKey]['template']['dateRange'] = $('.reportDateNew').text();

		tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#simpleReportTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#simpleReportTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#simpleReportTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#simpleReportTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['reportDate']={};
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#simpleReportDateFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#simpleReportDateFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#simpleReportDateFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#simpleReportDateColor').val();

		tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#simpleClientNoteHeading').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#simpleClientNoteHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#simpleClientNoteHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#simpleClientNoteHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#simpleClientNoteHeadingColor').val();
		
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#simpleClientNoteText').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#simpleClientNoteTextFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#simpleClientNoteTextFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#simpleClientNoteTextFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#simpleClientNoteTextColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#simpleFooterHeading').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#simpleFooterHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#simpleFooterHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#simpleFooterHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#simpleFooterHeadingColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#simpleFooterName').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#simpleFooterNameFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#simpleFooterNameFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#simpleFooterNameFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#simpleFooterNameColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#simpleFooterAddress').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#simpleFooterAddressFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#simpleFooterAddressFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#simpleFooterAddressFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#simpleFooterAddressColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']={}
		tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#simpleBodyTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#simpleBodyTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#simpleBodyTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#simpleBodyTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#simpleBodyCountFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#simpleBodyCountFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#simpleBodyCountFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#simpleBodyCountColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['content']={}
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#simpleBodyContentFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#simpleBodyContentFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#simpleBodyContentFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#simpleBodyContentColor').val();
	}else if( templateSelector == "Designer" ){
		tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "designer";
		tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
		tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#designerReportDateFormat').val();

		tempArray['requiredData'][jsonKey]['template']['baseColor1']=$('#designerReportBaseColor1').val();
		tempArray['requiredData'][jsonKey]['template']['baseColor2']=$('#designerReportBaseColor2').val();

		tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgSrc");
		tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
		tempArray['requiredData'][jsonKey]['template']['footerSrc']=$('#reportFooter').val();
		tempArray['requiredData'][jsonKey]['template']['language']=$('#languageSelector').val();

		tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#designerReportTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#designerReportTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#designerReportTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#designerReportTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['reportDate']={};
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#designerReportDateFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#designerReportDateFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#designerReportDateFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#designerReportDateColor').val();

		tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#designerClientNoteHeading').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#designerClientNoteHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#designerClientNoteHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#designerClientNoteHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#designerClientNoteHeadingColor').val();
		
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#designerClientNoteText').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#designerClientNoteTextFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#designerClientNoteTextFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#designerClientNoteTextFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#designerClientNoteTextColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#designerFooterHeading').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#designerFooterHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#designerFooterHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#designerFooterHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#designerFooterHeadingColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#designerFooterName').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#designerFooterNameFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#designerFooterNameFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#designerFooterNameFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#designerFooterNameColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#designerFooterAddress').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#designerFooterAddressFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#designerFooterAddressFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#designerFooterAddressFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#designerFooterAddressColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']={}
		tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#designerBodyTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#designerBodyTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#designerBodyTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#designerBodyTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#designerBodyCountFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#designerBodyCountFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#designerBodyCountFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#designerBodyCountColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['content']={}
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#designerBodyContentFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#designerBodyContentFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#designerBodyContentFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#designerBodyContentColor').val();
	}else if( templateSelector == "Professional" ){
		
		tempArray['requiredData'][jsonKey]['template']['reportTemplate'] = "professional";
		tempArray['requiredData'][jsonKey]['template']['dateRange']=$('.reportDateNew').text();
		tempArray['requiredData'][jsonKey]['template']['dateFormat'] = $('#professionalReportDateFormat').val();

		tempArray['requiredData'][jsonKey]['template']['logoSrc']=$('.imageSpace').attr("imgSrc");
		tempArray['requiredData'][jsonKey]['template']['bannerSrc']=$('#reportBanner').val();
		tempArray['requiredData'][jsonKey]['template']['language']=$('#languageSelector').val();

		tempArray['requiredData'][jsonKey]['template']['baseColor1']=$('#professionalBaseColorOne').val();
		tempArray['requiredData'][jsonKey]['template']['baseColor2']=$('#professionalBaseColorTwo').val();

		tempArray['requiredData'][jsonKey]['template']['reportTitle']={};
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['text'] = $('#reportTitleText').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['textsub'] = $('#reportSubTitleText').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-size'] =  $('#professionalReportTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-family'] =  $('#professionalReportTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['font-weight'] =  $('#professionalReportTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportTitle']['style']['color'] =  $('#professionalReportTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['reportDate']={};
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']={}
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-size'] =  $('#professionalReportDateFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-family'] =  $('#professionalReportDateFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['font-weight'] =  $('#professionalReportDateFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['reportDate']['style']['color'] =  $('#professionalReportDateColor').val();

		tempArray['requiredData'][jsonKey]['template']['clientNote'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['text'] = $('#professionalClientNoteHeading').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-size'] = $('#professionalClientNoteHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-family'] = $('#professionalClientNoteHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['font-weight'] = $('#professionalClientNoteHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['heading']['style']['color'] = $('#professionalClientNoteHeadingColor').val();
		
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['text'] = $('#professionalClientNoteText').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-size'] = $('#professionalClientNoteTextFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-family'] = $('#professionalClientNoteTextFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['font-weight'] = $('#professionalClientNoteTextFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['clientNote']['content']['style']['color'] = $('#professionalClientNoteTextColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['text'] = $('#professionalFooterHeading').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-size'] = $('#professionalFooterHeadingFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-family'] = $('#professionalFooterHeadingFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['font-weight'] = $('#professionalFooterHeadingFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['heading']['style']['color'] = $('#professionalFooterHeadingColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['name'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['text'] = $('#professionalFooterName').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-size'] = $('#professionalFooterNameFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-family'] = $('#professionalFooterNameFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['font-weight'] = $('#professionalFooterNameFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['name']['style']['color'] = $('#professionalFooterNameColor').val();

		tempArray['requiredData'][jsonKey]['template']['footer']['address'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['text'] = $('#professionalFooterAddress').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-size'] = $('#professionalFooterAddressFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-family'] = $('#professionalFooterAddressFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['font-weight'] = $('#professionalFooterAddressFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['footer']['address']['style']['color'] = $('#professionalFooterAddressColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']={}
		tempArray['requiredData'][jsonKey]['template']['body']['title'] ={}
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-size'] = $('#professionalBodyTitleFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-family'] = $('#professionalBodyTitleFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['font-weight'] = $('#professionalBodyTitleFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['title']['style']['color'] = $('#professionalBodyTitleColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']={}
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-size'] = $('#professionalBodyCountFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-family'] = $('#professionalBodyCountFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['font-weight'] = $('#professionalBodyCountFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['titlecount']['style']['color'] = $('#professionalBodyCountColor').val();

		tempArray['requiredData'][jsonKey]['template']['body']['content']={}
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style'] = {};
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-size'] = $('#professionalBodyContentFontSize').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-family'] = $('#professionalBodyContentFontFamily').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['font-weight'] = $('#professionalBodyContentFontWeight').val();
		tempArray['requiredData'][jsonKey]['template']['body']['content']['style']['color'] = $('#professionalBodyContentColor').val();
	}
	if(checkForm){
		var hostName = $('#hostName').val();
		var hostUserName = $('#hostUserName').val();
		var hostPassword = $('#hostPassword').val();
		var hostPort = $('#hostPort').val();
		var hostSSL = 0;
		var useSftp = 0;
		var hostPassive = 0;
		if ($('#hostPort').hasClass('active')) {
			var hostSSL = 1;
		}
		if ($('#use_sftp').hasClass('active')) {
			var useSftp = 1;
		}
		if ($('#hostPassive').hasClass('active')) {
			var hostPassive = 1;
		}
		var remoteFolder = $('#remoteFolder').val();
		var newSiteURL = $('#newSiteURL').val();
		
		tempArray['requiredData'][jsonKey]['ftpDetails']={};
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostName']=hostName;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostUserName']=hostUserName;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPassword']=hostPassword;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPort']=hostPort;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostSSL']=hostSSL;
		tempArray['requiredData'][jsonKey]['ftpDetails']['useSftp']=useSftp;
		tempArray['requiredData'][jsonKey]['ftpDetails']['hostPassive']=hostPassive;
		tempArray['requiredData'][jsonKey]['ftpDetails']['remoteFolder']=remoteFolder;
		tempArray['requiredData'][jsonKey]['ftpDetails']['newSiteURL']=newSiteURL;
		
	}
	tempArray['requiredData'][jsonKey]['emailContent']={}
	tempArray['requiredData'][jsonKey]['emailContent']['fromName_report']=$('#fromName_report').val();
	tempArray['requiredData'][jsonKey]['emailContent']['fromEmail_report']=$('#fromEmail_report').val();
	tempArray['requiredData'][jsonKey]['emailContent']['toEmail_report']=$('#toEmail_report').val();
	tempArray['requiredData'][jsonKey]['emailContent']['fromSubject_report']=$('#fromSubject_report').val();
	tempArray['requiredData'][jsonKey]['emailContent']['fromMessage_report']=$('#fromMessage_report').val();
	doCall(ajaxCallPath,tempArray,'saveAfterProfile');

});

$(".delProfile_CR").live('click',function(){
	var profileID = $(this).attr('profile_id');

	var tempArray = {};
	tempArray['requiredData'] = {};
	
	tempArray['requiredData']['deleteClientReportingProfile']={};
	tempArray['requiredData']['deleteClientReportingProfile']=profileID;

	if($(this).closest('.loadProfile').text()==$(".selectprofilephoenix #profileDropName").text())
	$(".selectprofilephoenix #profileDropName").text("Select profile");
	$(this).closest('li').remove();
	if($(".selectprofilephoenix #selectProfileOptions li").length==0){
		$(".selectprofilephoenix #profileDropName").text("Select profile");
		$(".selectprofilephoenix #selectProfileOptions").html('<li class="emptyCont"><a>No profile created yet.</a></li>');
	}
	
	doCall(ajaxCallPath,tempArray,'loadAfterDeleteProfile');
	return false;
});

$(".loadProfile_CR").live('click',function(){
	var profileID = $(this).attr('dropopt');

	$('#saveprofilephoenixName').val(profileID);
	$('#saveprofilephoenix').html('Update Profile');

	var tempArray = {};
	tempArray['requiredData'] = {};
	
	tempArray['requiredData']['loadClientReportingProfile']={};
	tempArray['requiredData']['loadClientReportingProfile']=profileID;
	
	doCall(ajaxCallPath,tempArray,'loadCRProfile');

});

$(".cr_locations").live('click',function(){
	$(".cr_locations").removeClass('active');
	$(this).addClass('active');
	if ($('#cr_default_location').hasClass('active')) {
		$('#CRFTPForm').hide();
		$('.test_conn_cont').hide();
		$('.default_location_info').show();
	}else{
		$('#CRFTPForm').show();
		$('.test_conn_cont').show();
		$('.default_location_info').hide();
	}
});

$("#CRTestFTPConnection").live('click', function(event) {
	$(".conn_test_error_cont").remove();
	if ($(this).hasClass('testing')) {
		return;
	}
	$(this).removeClass('error successftp');
	var checkForm = validateForm(".FTP_form");
	if(checkForm){
		var hostName = $('#hostName').val();
		var hostUserName = $('#hostUserName').val();
		var hostPassword = $('#hostPassword').val();
		var hostPort = $('#hostPort').val();
		var hostSSL = 0;
		var useSftp = 0;
		var hostPassive = 0;
		if ($('#hostPort').hasClass('active')) {
			var hostSSL = 1;
		}
		if ($('#use_sftp').hasClass('active')) {
			var useSftp = 1;
		}
		if ($('#hostPassive').hasClass('active')) {
			var hostPassive = 1;
		}
		var remoteFolder = $('#remoteFolder').val();
		var newSiteURL = $('#newSiteURL').val();

		var tempArray = {};
		tempArray['requiredData'] = {};
		
		tempArray['requiredData']['CRTestFTPConnection']={};
		tempArray['requiredData']['CRTestFTPConnection']['hostName']=hostName;
		tempArray['requiredData']['CRTestFTPConnection']['hostUserName']=hostUserName;
		tempArray['requiredData']['CRTestFTPConnection']['hostPassword']=hostPassword;
		tempArray['requiredData']['CRTestFTPConnection']['hostPort']=hostPort;
		tempArray['requiredData']['CRTestFTPConnection']['hostSSL']=hostSSL;
		tempArray['requiredData']['CRTestFTPConnection']['useSftp']=useSftp;
		tempArray['requiredData']['CRTestFTPConnection']['hostPassive']=hostPassive;
		tempArray['requiredData']['CRTestFTPConnection']['remoteFolder']=remoteFolder;
		tempArray['requiredData']['CRTestFTPConnection']['newSiteURL']=newSiteURL;
		$(this).addClass('testing');
		doCall(ajaxCallPath,tempArray,'loadCRTestFTPConnection');
	}
});