<?php 
if( !isset($d) ){
	die('Could not run without data');
}else{
	$data = $d['data'];
	$dateRange = $data['dateRange'];
	$dateRangeArray = explode('-',$dateRange);
	$fromDate = date("Y-m-d", strtotime($dateRangeArray[0]));
	$toDate = date("Y-m-d", strtotime($dateRangeArray[1]));
	$detailed = unserialize(base64_decode($data['detailed']));
	
	$lang = $data['template']['language'];
	$bannerSrc_url = trim(str_replace(APP_URL, '', $data['template']['bannerSrc']),'/');
	$footerSrc_url = trim(str_replace(APP_URL, '', $data['template']['footerSrc']),'/');
	$bannerSrc = base64_encode(file_get_contents(APP_ROOT.'/'.$bannerSrc_url));
	$footerSrc = base64_encode(file_get_contents(APP_ROOT.'/'.$footerSrc_url));
	$log_src = base64_encode(file_get_contents(APP_ROOT.'/uploads/'.$data['template']['logoSrc']));
	$arrow_1 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/arrow-1.png'));
	$cr_plus = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/plus.png'));
	$cr_cross = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/cross.png'));
	$cr_designerIcon_1 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-1.png'));
	$cr_designerIcon_2 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-2.png'));
	$cr_designerIcon_3 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-3.png'));
	$cr_designerIcon_4 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-4.png'));
	$cr_designerIcon_5 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-5.png'));
	$cr_designerIcon_6 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-6.png'));
	$cr_designerIcon_7 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-7.png'));
	$cr_designerIcon_8 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-8.png'));
	$cr_designerIcon_9 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/designerIcon-9.png'));
?>
<!DOCTYPE html>
<html lang="en-us">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link href="https://fonts.googleapis.com/css?family=Lora:400,700|Montserrat:300,400,500,700|Open+Sans:300,400,700" rel="stylesheet">
		<style type="text/css">
			body{ 
				background:#FFFFFF;
				padding: 0px;
				margin: 0px;
			}
			.clearfix{
				clear: both;
			}
			.custom-flex{
				display: flex;
				flex-direction: row;
				flex-wrap: wrap;
			}
			.header .left {
			    float: left;
			    top: 240px;
			    position: relative;
			}
			.header .right {
			    float: right;
			    position: relative;
			    top: 540px;
			}
			.footer .left {
			    float: left;
			    width: 450px;
			}
			.footer .right{ float: right; }

			.header {
				background-image: url('<?php echo $data['template']['bannerSrc']; ?>');
				background-color: <?php echo $data['template']['baseColor1'];?>;
				overflow: hidden;
				background-repeat: no-repeat;
				background-size: 100%;
				width: 976px;
				margin: 0 auto;
			}
			.header::after {
			    content: " ";
			    width: 1px;
			    height: 0px;
			    display: block;
			    border-top: 300px solid <?php echo $data['template']['baseColor1'];?>;
			    border-right: 1532px solid #FFF;
			}
			.header .container {
			    margin: 0 auto;
			    padding: 50px;
			}
			.header .container h2 {
				font-family: "<?php echo $data['template']['reportTitle']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['reportTitle']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['reportTitle']['style']['font-size'];?>;
				color: <?php echo $data['template']['reportTitle']['style']['color'];?>;
				text-transform: uppercase;
			}
			.header .container h3 {
				font-family: "<?php echo $data['template']['reportDate']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['reportDate']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['reportDate']['style']['font-size'];?>;
				color: <?php echo $data['template']['reportDate']['style']['color'];?>;
				font-style: italic;
			}
			.header .container p {
				font-family: "Lora";
				font-weight: normal;
				font-size: 18px;
				font-style: italic;
				color: #FFFFFF;
				text-decoration: none;
			}
			.content .container {
			    background: #FFFFFF;
			    margin: 0 auto;
			    width: 669px;
			    /* padding: 50px 0 0; */
			    position: relative;
			}
			.content .client-note{}
			.content .client-note h3{
				font-family: "<?php echo $data['template']['clientNote']['heading']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['clientNote']['heading']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['clientNote']['heading']['style']['font-size'];?>;
				color: <?php echo $data['template']['clientNote']['heading']['style']['color'];?>;
			}
			.content .client-note p{
				font-family: "<?php echo $data['template']['clientNote']['content']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['clientNote']['content']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['clientNote']['content']['style']['font-size'];?>;
				font-style: italic;
				color: <?php echo $data['template']['clientNote']['content']['style']['color'];?>;
				line-height: 2;
			}
			.content .sitename {
			    /* margin-top: 45px; */
			    margin-bottom: 25px;
			    border-top: 4px solid #FFDD54;
			    padding-top: 25px;
			}
			.content .sitename.no-br{
				border-top: none;	
			}
			.content .sitename a {
			    font-family: "Lora";
			    font-weight: normal;
			    font-size: 18px;
			    font-style: italic;
			    color: #444444;
			    text-decoration: none;
			    word-wrap: break-word;
			}
			.content .sitename a span{
			    font-family: "Lora";
			    font-weight: bold;
			    font-size: 18px;
			    font-style: italic;
			    color: #444444;
			    text-decoration: none;
			}

			.section {
				float: left;
				width: 33%;
				margin: 25px 0;
				min-height: 230px;
			}
			.section .section-head{ text-align: center; padding:0px 40px;  }
			.section .section-head h2{
				font-family: "<?php echo $data['template']['body']['title']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['title']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['body']['title']['style']['font-size'];?>;
				color: <?php echo $data['template']['body']['title']['style']['color'];?>;
			}
			.section .section-head .icon{ width: 55px; height: 75px; display: inline-block; }
			.section .section-head .readmore {
			    background: url(data:image/png;base64,<?php echo $cr_plus;?>);
			    width: 20px;
			    display: inline-block;
			    height: 20px;
			    text-indent: -99999px;
			}
			.section .section-head .readmore.open {
			    background: url(data:image/png;base64,<?php echo $cr_cross;?>);
			    background-size: 20px;
			    position: relative;
			}
			.section .section-head .readmore.open::after {
			    content: ' ';
			    display: inline-block;
			    width: 25px;
			    height: 25px;
			    background: #F8F8F8;
			    position: absolute;
			    z-index: 1000;
			    top: 25px;
			    left: -2px;
			    transform: rotate(45deg);
			}
			.section .item-group {
			    display: none;
			    border: 20px solid #f8f8f8;
			    padding: 15px;
			    position: absolute;
			    background: #FFF;
			    width: 570px;
			    left: 0;
			    margin-top: 15px;
			    z-index: 10;
			}
			.section .item-group .item {
			    width: 233px;
			    padding: 0 25px 15px 25px;
			    border-right: 1px solid #d3d3d3;
			    display: table-cell;
			}
			.section .item-group .item.no-br{
				border-right: none;	
			}
			.section .item-group .item p{
				font-family: "<?php echo $data['template']['body']['content']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['content']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['body']['content']['style']['font-size'];?>;
				color: <?php echo $data['template']['body']['content']['style']['color'];?>;
				line-height: 1.7;
				/*text-transform: capitalize;*/
			}
			.section .item-group .item p.item-title {
			    font-size: 18px;
			    color: rgba(68, 68, 68, 0.87);
			}
			.section .item-group .item ul{
			    padding: 0px;
			    margin: 0px;
			    list-style: none;
			}
			.section .item-group .item ul li{
				font-family: "<?php echo $data['template']['body']['content']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['content']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['body']['content']['style']['font-size'];?>;
				color: <?php echo $data['template']['body']['content']['style']['color'];?>;
				line-height: 2;
			}

			.footer {
			    background: <?php echo $data['template']['baseColor2'];?>;
			    overflow: hidden;
			    width: 976px;
			    margin: 0 auto;
			}
			.footer::before {
				content: ' ';
				width: 1px;
				height: 0;
				display: block;
				border-bottom: 190px solid <?php echo $data['template']['baseColor2'];?>;
				border-right: 1100px solid #FFF;
			}
			.footer .container {
			    margin: 0 auto;
			    width: 830px;
			    padding: 0px 60px 50px 60px;
			    position: relative;
			    background: none;
			}
			.footer h4{
				font-family: "<?php echo $data['template']['footer']['name']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['footer']['name']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['footer']['name']['style']['font-size'];?>;
				color: <?php echo $data['template']['footer']['name']['style']['color'];?>;
				font-style: italic;
				text-align: center;
			}
			.footer p{
				font-family: "<?php echo $data['template']['footer']['address']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['footer']['address']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['footer']['address']['style']['font-size'];?>;
				font-style: italic;
				color: <?php echo $data['template']['footer']['address']['style']['color'];?>;
				text-align: center;
			}
			.footer h2{
				font-family: "<?php echo $data['template']['footer']['heading']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['footer']['heading']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['footer']['heading']['style']['font-size'];?>;
				color: <?php echo $data['template']['footer']['heading']['style']['color'];?>;
				text-align: center;
			}
			.ui-datepicker-calendar {
				margin: 0 auto;
			}
			.ui-datepicker-calendar tr{}
			.ui-datepicker-calendar th {
			    font-family: "Montserrat";
			    font-weight: 400;
			    font-size: 11px;
			    color: rgba(68, 68, 68, 0.54);
			    text-align: center;
			    padding: 15px;
			    text-transform: uppercase;
			}
			.ui-datepicker-calendar td{
				font-family: "Montserrat";
				font-weight: 400;
				font-size: 14px;
				color: #635318;
				text-align: center;
				padding: 15px;
			}
			.ui-datepicker-calendar td a {
			    font-family: "Montserrat";
			    font-weight: 400;
			    font-size: 15px;
			    color: rgba(91, 91, 91, 0.87);
			    text-decoration: none;
			}
			.ui-datepicker-prev, .ui-datepicker-next {
				font-family: "Montserrat";
				font-weight: 400;
				font-size: 14px;
				color: rgba(68, 68, 68, 0.54);
				text-decoration: none;
				cursor: pointer;
			}
			.ui-datepicker-title {
			    font-family: "Montserrat";
			    font-weight: 700;
			    font-size: 14px;
			    color: rgba(68, 68, 68, 0.54);
			    text-align: center;
			    text-transform: uppercase;
			    padding: 15px 0;
			}
			.ui-datepicker-prev{
				float: left;
			}
			.ui-datepicker-next{
				float: right;
			}
			a.ui-state-disabled {
				display: none;
			}
			span.date {
			    font-size: 12px;
			}
			.c-item {
			    float: left;
			    width: 33%;
			    text-align: center;
			    margin-bottom: 35px;
			}
			.c-item h3 {
				font-family: "Montserrat";
				font-weight: bold;
				font-size: 14px;
				text-transform: uppercase;
			}
			.c-item.files h3{
				color: #B24Fc3;
			}
			.c-item.db h3{
				color: #67AF17;
			}
			.c-item.both h3{
				color: #FFA310;
			}
			.bottom-tree {
			    position: absolute;
			    top: -190px;
			    right: 120px;
			}
			.section .item-group .google .item {
			    float: left;
			    width: 45%;
			    padding: 0 2%;
			    border-right: 1px solid rgba(211, 211, 211, 0.54);
			}
			.section .item-group .google .item.no-br{
				border-right: none;	
			}
			.section .item-group .google h3 {
			    font-family: "Montserrat";
			    font-weight: 400;
			    font-size: 16px;
			    color: rgba(68, 68, 68, 0.87);
			}
			.section .item-group .google .item p {
			    font-family: "Montserrat";
			    font-weight: 400;
			    font-size: 12px;
			    color: rgba(68, 68, 68, 0.87);
			}
			i.arrow {
			    display: inline-block;
			    width: 19px;
			    height: 20px;
			    color: #13a086;
			    font-size: 15px;
			    text-align: center;
			    background: url(data:image/png;base64,<?php echo $arrow_1;?>);
			    text-indent: -9999px;
			    background-repeat: no-repeat;
			    background-position: center center;
			    margin: 0 5px;
			}
			@media only screen and (max-width: 1026px) {
				body{
					margin: 0px;
					padding: 0px;
				}
				.header{
					width: 100%
				}
				.container {
				    width: 100%;
				    padding: 0px;
				}
				.content .container{
					width: 100%
				}
				.footer {
				    width: 100%;
				}
				.header .left {
				    top: 110px;
				}
				.header .container h2 {
				    font-size: 28px;
				}
				.header::after {
				    border-top: 90px solid #727272;
				    border-right: 0px solid #FFF;
				}
				.content .container {
				    width: 90%;
				    padding: 0;
				}
				.section .item-group {
				    width: 80%;
				    overflow: scroll;
				}
				.section .item-group .item {
				    width: 100%;
				    display: block;
				}
				.footer .left {
				    width: 100%;
				}
				.bottom-tree {
				    bottom: 280px;
				    right: 40%;
				    width: 60px;
				}
				.section .section-head h2 {
				    font-size: 14px;
				}
				.section .section-head {
					padding: 0px 10px;
				}
				.section .section-head .icon {
				    width: 35px;
				    height: 45px;
				    display: inline-block;
				}
				.section .section-head .icon img {
				    width: 100%;
				}
				.section {
				    min-height: 180px;
				}
				.c-item h3 {
				    font-size: 11px;
				}
				.section .item-group .item {
				    width: 100%;
				    padding: 0;
				    border-right: none;
				}
			}
			.google-image img {
			    max-width: 100%;
			}
		</style>
	</head>
	<body>
		
		<div class="header">
			<div class="container">
				<div class="left">
					<h2><?php echo $data['template']['reportTitle']['text'];?></h2>
					<h3><?php 
						echo date($data['template']['dateFormat'], strtotime($fromDate) ); 
						echo " - ";
						echo date($data['template']['dateFormat'], strtotime($toDate) ); 
					?></h3>
					<p><?php if(count($detailed) > 1){ echo count($detailed); _e( 'Sites', $lang ); } ?></p>
				</div>
				<div class="right">
					<div class="logo">
						<?php if($data['template']['logoSrc']){ ?>
						<a href="#">
							<img src=data:image;base64,<?php echo $log_src;?> alt="" height="60">
						</a>
						<?php }?>
					</div>
				</div>
				<div class="clearfix"></div>
			</div>
		</div>
		<div class="content">
			<div class="container">
				<div class="client-note">
					<h3><?php echo $data['template']['clientNote']['heading']['text'];?></h3>
					<p><?php echo $data['template']['clientNote']['content']['text'];?></p>
				</div>
			</div>
			<?php 
			$siteNum = 1;
			foreach($detailed as $id => $site ){
			$siteData = getSiteData($id,'',true);
			$siteName = str_replace(array('http://www.', 'https://www.', 'http://', 'https://'), '', $siteData['URL']);		
			if(!empty($site)){
			?>
			<div class="container">
				
				<div class="sitename <?php if($siteNum == 1){?>no-br<?php } ?>">
					<a href="#"><span><?php _e('Site', $lang);?><?php if(count($detailed)>1)echo $siteNum;?>:</span> <?php echo $siteName;?></a>
				</div>
				
				<div class="custom-flex">
				<?php if( $site['updated']){ 

				if( $site['updated']['core-updated']){ $coreUpdated = $site['updated']['core-updated']; ?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_1;?> /></span>
						<h2><?php _e( 'Wordpress Updates', $lang );?> <span class="count"><?php echo $coreUpdated['count'];?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="wpupdates-<?php echo $id;?>">+</a>
					</div>
					<div class="item-group" id="wpupdates-<?php echo $id;?>">
						<?php 
						$coreArray = clientReportingformatPluginUpdateArray($coreUpdated['details'],'from');
						ksort($coreArray);
						$pIndex = 1;
						foreach( $coreArray as $coreKey => $coreValue ){?>
						<div class="item <?php if($pIndex == 2){?>no-br<?php }?>">
							<p>v<?php echo $coreValue[0]['from'];?> <i class="arrow">=></i> v<?php echo $coreValue[0]['to'];?> <span class="date"><?php echo $coreValue[0]['date'];?></span></p>
						</div>
						<?php if($pIndex == 2){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
						<div class="clearfix"></div>
					</div>
				</div>
				<?php }?>

				<?php if( $site['updated']['plugins-updated']){ $pluginsUpdated = $site['updated']['plugins-updated']; ?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_2;?> /></span>
						<h2><?php _e( 'Plugin Updates', $lang );?> <span class="count"><?php echo $pluginsUpdated['count'];?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="plugins-<?php echo $id;?>">+</a>
					</div>
					<div class="item-group" id="plugins-<?php echo $id;?>">
						<?php 
						$pluginArray = clientReportingformatPluginUpdateArray($pluginsUpdated['details'],'pluginname');
						ksort($pluginArray);
						$pIndex = 1;
						foreach( $pluginArray as $pluginKey => $pluginValue ){?>
						<div class="item <?php if($pIndex == 2){?>no-br<?php }?>">
							<p class="item-title"><?php echo $pluginValue[0]['pluginname'];?></p>
							<ul>
								<?php foreach($pluginValue as $pKey => $pVal){ ?>
								<li>v<?php echo $pVal['from'];?> <i class="arrow">=></i> v<?php echo $pVal['to'];?> <span class="date"><?php echo $pVal['date'];?></li>
								<?php }?>
							</ul>
						</div>
						<?php if($pIndex == 2){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
						<div class="clearfix"></div>
					</div>
				</div>
				<?php }?>

				<?php if( $site['updated']['themes-updated']){ $themesUpdated = $site['updated']['themes-updated']; ?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_3;?> /></span>
						<h2><?php _e( 'Theme updates', $lang );?> <span class="count"><?php echo $themesUpdated['count'];?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="themes-<?php echo $id;?>">+</a>
					</div>					
					<div class="item-group" id="themes-<?php echo $id;?>">
						<?php 
						$themeArray = clientReportingformatPluginUpdateArray($themesUpdated['details'],'themename');
						ksort($themeArray);
						$pIndex = 1;
						foreach( $themeArray as $themeKey => $themeValue ){?>
						<div class="item <?php if($pIndex == 2){?>no-br<?php }?>">
							<p class="item-title"><?php echo $themeValue[0]['themename'];?></p>
							<ul>
								<?php foreach($themeValue as $pKey => $pVal){ ?>
								<li>v<?php echo $pVal['from'];?> <i class="arrow">=></i> v<?php echo $pVal['to'];?> <span class="date"><?php echo $pVal['date'];?></li>
								<?php }?>
							</ul>
						</div>
						<?php if($pIndex == 2){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
						<div class="clearfix"></div>
					</div>
				</div>
				<?php }
				} ?>

				<?php if($site['backups']){?>
				<style type="text/css">
					<?php
					$b_count_file = $b_count_db = $b_count_dbfile = 0;
					 foreach( $site['backups']['details'] as $detail ){ 
					 $className = date('dmY', strtotime($detail['date'])); 
					 if($detail['type'] == "Files & DB"){
					 	$clr = '#FFA310';	
					 	$b_count_dbfile++;
					 }else if($detail['type'] == "Files"){
					 	$clr = '#B24FC3';
					 	$b_count_file++;
					 }else if($detail['type'] == "DB"){
					 	$clr = '#67AF17';
					 	$b_count_db++;
					 }
					 if ($className == $tempClassName && $detail['type'] == "DB") {
					 	continue;
					 }
					 $tempClassName = $className;
					 ?>
						#calender-<?php echo $id;?> .cls_<?php echo $className;?> a{
							color: <?php echo $clr;?> !important;
						}
					<?php }?>
				</style>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_4;?> /></span>
						<h2><?php _e( 'Backups', $lang );?> <span class="count"><?php echo $site['backups']['count'];?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="calender-<?php echo $id;?>">+</a>
					</div>					
					<div class="item-group" id="calender-<?php echo $id;?>">
						<div class="c-item files">
							<h3><?php _e('Files', $lang);?> <?php echo $b_count_file;?></h3>
						</div>
						<div class="c-item db">
							<h3><?php _e('Database', $lang);?> <?php echo $b_count_db;?></h3>
						</div>
						<div class="c-item both">
							<h3><?php _e('Both', $lang);?> <?php echo $b_count_dbfile;?></h3>
						</div>
						<div class="calender"></div>
					</div>
				</div>
				<?php }?>

				<?php if( $site['WPManintenance'] ){ $WPManintenance = $site['WPManintenance']; 
				$countM = 0;
				foreach( $WPManintenance as $mKeyC => $mValueC ){
					$countM = $countM + $mValueC;
				}
				?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_6;?> /></span>
						<h2><?php _e( 'Optimized by Removing', $lang );?> <span class="count"><?php echo $countM;?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="optimized-<?php echo $id;?>">+</a>
					</div>
					<div class="item-group" id="optimized-<?php echo $id;?>">
						<?php 
						$pIndex = 1;
						foreach( $WPManintenance as $mKey => $mValue ){ ?>
						<div class="item <?php if($pIndex == 2){?>no-br<?php }?>">
							<p><?php _e(optByRemoveLabel($mKey), $lang);?>: <?php echo $mValue;?></p>
						</div>
						<?php if($pIndex == 2){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
					</div>
					<div class="clearfix"></div>
				</div>
				<?php }?>

				<?php if( $site['managed'] ){ $managed = $site['managed']; 
				$countM = 0;
				foreach( $managed as $mKeyC => $mValueC ){
					$countM = $countM + $mValueC;
				}
				?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_5;?> /></span>
						<h2><?php _e( 'Managed', $lang );?> <span class="count"><?php echo $countM;?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="managed-<?php echo $id;?>">+</a>
					</div>
					<div class="item-group" id="managed-<?php echo $id;?>">
						<?php 
						$pIndex = 1;
						foreach( $managed as $mKey => $mValue ){ ?>
						<div class="item <?php if($pIndex == 2){?>no-br<?php }?>">
							<p><?php _e(optByRemoveLabel($mKey), $lang);?>: <?php echo $mValue;?></p>
						</div>
						<?php if($pIndex == 2){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
					</div>
					<div class="clearfix"></div>
				</div>
				<?php }?>

				<?php if( $site['ithemesec'] ){ $ithemesec = $site['ithemesec']['details']; 
				$countM = 0;
				foreach( $ithemesec as $mKeyC => $mValueC ){
					$countM = $countM + $mValueC;
				}
				?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_5;?> /></span>
						<h2><?php _e( 'ithemesec', $lang );?> <span class="count"><?php echo $countM;?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="ithemesec-<?php echo $id;?>">+</a>
					</div>
					<div class="item-group" id="ithemesec-<?php echo $id;?>">
						<?php 
						$pIndex = 1;
						foreach( $ithemesec as $mKey => $mValue ){ ?>
						<div class="item <?php if($pIndex == 2){?>no-br<?php }?>">
							<p><?php _e(($mKey), $lang);?>: <?php echo $mValue;?></p>
						</div>
						<?php if($pIndex == 2){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
					</div>
					<div class="clearfix"></div>
				</div>
				<?php }?>

				<?php if( $site['wordfence'] ){ $wordfence = $site['wordfence']['details']; 
				$countM = 0;
				foreach( $wordfence as $mKeyC => $mValueC ){
					if ($mKeyC == 'wordfence_humans' || $mKeyC == 'wordfence_registered_users' || $mKeyC == 'wordfence_logins_logouts' ) {
						unset($wordfence[$mKeyC]);
					}
					$countM = $countM + $mValueC;
				}
				?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_5;?> /></span>
						<h2><?php _e( 'wordfence', $lang );?> <spa`n class="count"><?php echo $countM;?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="wordfence-<?php echo $id;?>">+</a>
					</div>
					<div class="item-group" id="wordfence-<?php echo $id;?>">
						<?php 
						$pIndex = 1;
						foreach( $wordfence as $mKey => $mValue ){ ?>
						<div class="item <?php if($pIndex == 2){?>no-br<?php }?>">
							<p><?php _e(($mKey), $lang);?>: <?php echo $mValue;?></p>
						</div>
						<?php if($pIndex == 2){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
					</div>
					<div class="clearfix"></div>
				</div>
				<?php }?>

				<?php if( $site['googleAnalytics'] ){ ?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_7;?> /></span>
						<h2><?php _e( 'Google Analytics', $lang );?></h2>
						<a href="javascript:void();" class="readmore" data-toggle="analytics-<?php echo $id;?>">+</a>
					</div>
					<div class="item-group" id="analytics-<?php echo $id;?>">
						<div class="google">
							<?php 
							$args['siteID'] = $id;
							$args['clientReportAnalyticsDate']['periodDays'] = $periodDays = ceil(abs(((strtotime($toDate) - strtotime($fromDate))/(60*60*24))));
							$args['clientReportAnalyticsDate']['date'] = array(
								'd'		=> date('d', strtotime($toDate)),
								'm'		=> date('m', strtotime($toDate)),
								'Y'		=> date('Y', strtotime($toDate))
							);
							$args['clientReportAnalyticsDate']['startDate'] = date('Y-m-d', strtotime($fromDate));
							$args['clientReportAnalyticsDate']['endDate'] = date('Y-m-d', strtotime($toDate));

							$notShowGAInfoArray = array('ga:bounceRate', 'ga:newVisits', 'ga:visitors');
							$GAPD = googleAnalyticsGetProfileData($args);
							if(!empty($GAPD) && is_array($GAPD)) {					
								foreach($GAPD as $gaDataName => $periodArray) {
									if($gaDataName != 'total') {
										if( is_array($periodArray)){
											foreach($periodArray as $period => $dataArray) {
												$site['googleAnalytics'][$gaDataName][$period] = $dataArray;	
											}
										}
									} else {
										foreach($periodArray as $period => $gaDataArray) {
											foreach($gaDataArray as $gaType => $gaValue) {
												if (in_array($gaType, $notShowGAInfoArray)) {
													continue;
												}
												$floatVal = floatval ($gaValue);
												$val = round($floatVal, 2);
												
												if($gaType == 'ga:percentNewVisits' || $gaType == 'ga:bounceRate') {
													$val = $val.'%';							
												}
												if($period == 'currentPeriod') {
													$site['googleAnalytics'][L($gaType)]['success'] = $val;
												}
												$site['googleAnalytics'][$gaDataName][$gaType][$period] = $val;
											}
										}
									}
								}
							}

							$content = '';
								$gaCount = 0;
								$chartPrepared = 0;
								foreach($site['googleAnalytics'] as $gaDataName => $periodArray) {
									if (in_array('ga:'.$gaDataName, $notShowGAInfoArray)) {
										continue;
									}
									if($gaCount == 0) {
										$gaCount++;
										continue;
									}
									$currentPeriodValue = ($site['googleAnalytics']['total']['ga:'.$gaDataName]['currentPeriod']) * 1;
									$previousPeriodValue = ($site['googleAnalytics']['total']['ga:'.$gaDataName]['previousPeriod']) * 1;
									
									if($gaDataName == 'visits') {
										$chartPrepared =1;
										$howManyWeek = count($periodArray['currentPeriod']) / 7;
										$howManyWeekRemainder = count($periodArray['currentPeriod']) % 7;
										if($howManyWeekRemainder) {
											$howManyWeek++;
										}
										$gaDescription= '';
										$chart_api_url = 'https://chart.googleapis.com/chart?cht=lc&chs=700x350&chxt=x,y&chco=7ABED7,D3D3D3&chls=3|3&chds=a&chma=40,40,40,40&chm=B,EBF5F9,0,1,0|B,F8F8F8,1,2,0&chxl=0:';
										for($weekI = 1; $weekI <= $howManyWeek; $weekI++) {
											$chart_api_url .= '|'.iwp_human_number($weekI). ' week ';
										}
										unset($howManyWeek, $howManyWeekRemainder);
										$chart_api_url .= '&chd=t:'.implode(',', $periodArray['currentPeriod']).'|'.implode(',', $periodArray['previousPeriod']);
										
										$max_number = max(max($periodArray['currentPeriod']),max($periodArray['previousPeriod']));
										$range = 1000;
										
										if($max_number < $range) {
											$range = $max_number;
										}

										$chart_api_url .= '&chxr=1,0,'.$max_number.','.$range;
										unset($max_number, $range);
										$content .= '
											<div class="google-image">
												<img src="'.$chart_api_url.'" width="100%" />
											</div>										
										';
									}

									if($chartPrepared){
										$greay_bottom_line = 'grey3-left-line';
										if($gaDataName == 'visits' ) {
												$greay_bottom_line = '';
										}
										if(L(strtolower($gaDataName))){
											if(($gaCount%2)==0){
												$itemClass = "no-br";
											}else{
												$itemClass = " ";
											}
										$content .= '
											<div class="item '.$itemClass.'" >
												<h3>'._e2(strtolower($gaDataName), $lang).': <span class="g-count">'.$currentPeriodValue.'</span></h3>
												<p>'._e2('prev_period' , $lang).' - <span class="g-count">'.$previousPeriodValue.'</span></p>
											</div>';
										}
									}
									$gaCount++;
								}
								echo $content;
								?>
								<div class="clearfix"></div>
						</div>
					</div>
				</div>
				<?php }?>

				<?php if( $site['malwareScanningSucuri'] ){ $malwareScanningSucuri = $site['malwareScanningSucuri']; ?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_8;?> /></span>
						<h2><?php _e( 'Scanned for Malware', $lang );?> <span class="count"><?php echo $malwareScanningSucuri;?></span> <?php _e('times', $lang);?></h2>
					</div>
					<div class="item-group" id="malware-<?php echo $id;?>">
					</div>
				</div>
				<?php }?>

				<?php if( isset($site['uptimeMonitor']) ){ $uptimeMonitor = $site['uptimeMonitor']; ?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_9;?> /></span>
						<h2><?php _e( 'Website Uptime', $lang );?> <span class="count"><?php echo round($uptimeMonitor);?>%</span></h2>
					</div>
				</div>
				<?php } 

				if( isset($site['googlePageSpeed']) ){ $googlePageSpeed = $site['googlePageSpeed']; ?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_9;?> /></span>
						<h2><?php _e( 'Google Page Speed', $lang );?> <span class="count"><?php echo round($googlePageSpeed);?>%</span></h2>
					</div>
				</div>
				<?php } 

				unset($data['other_data'][$id][L('WPManintenance')]);
				unset($data['other_data'][$id][L('malwareScanningSucuri')]);
				unset($data['other_data'][$id][L('posts')]);
				unset($data['other_data'][$id][L('links')]);
				unset($data['other_data'][$id][L('pages')]);
				unset($data['other_data'][$id][L('comments')]);
				unset($data['other_data'][$id][L('googlePageSpeed')]);
				unset($data['other_data'][$id][L('upTimeMonitor')]);
				if( $data['other_data'][$id] ){ ?>
				<div class="section">
					<div class="section-head">
						<span class="icon"><img src=data:image/png;base64,<?php echo $cr_designerIcon_9;?> /></span>
						<h2><?php _e( 'Other Data', $lang );?> <span class="count"><?php echo count($data['other_data'][$id]);?></span></h2>
						<a href="javascript:void();" class="readmore" data-toggle="otherdata-<?php echo $id;?>">+</a>
					</div>
					<div class="item-group" id="otherdata-<?php echo $id;?>">
						<?php foreach($data['other_data'][$id] as $key => $val){ ?>
							<div class="item">
								<p class="item-name"><?php echo $key;?>: <span><?php echo $val;?></span></p>
							</div>
						<?php }?>
					</div>
				</div>
				<?php }?>
				<div class="clearfix"></div>
				</div>
			</div>
		<?php }
		$siteNum++; }?>
			<div class="footer">
				<div class="container">
					<div class="footer-top left">
						<h4><?php echo $data['template']['footer']['name']['text'];?></h4>
						<p><?php echo $data['template']['footer']['address']['text'];?></p>
					</div>
					<div class="footer-bottom right">
						<img src=data:image;base64,<?php echo $footerSrc; ?> class="bottom-tree" />
						<h2><?php echo $data['template']['footer']['heading']['text'];?></h2>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>

		<script type="text/javascript" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
		<script>
		function dateToYMD(date) {
			var d = date.getDate();
			var m = date.getMonth() + 1;
			var y = date.getFullYear();
			return (d <= 9 ? '0' + d : d).toString() + (m<=9 ? '0' + m : m).toString() + y.toString();
		}
		$( function() {
			$( ".calender" ).datepicker({
				numberOfMonths: 1,
				minDate: new Date('<?php echo $fromDate;?>'), 
				maxDate: new Date('<?php echo $toDate;?>'),
				beforeShowDay: function(date) {
					var className = dateToYMD( date );
			        return [true, 'cls_' + className, ''];
			   }
			});
		} );
		</script>
		<script type="text/javascript">
			$(function(){
				$(".section .readmore").click(function(){
					if( $(this).hasClass('open') ){
						$('.item-group').hide();
						$(this).removeClass('open');
					}else{
						$('.readmore').removeClass('open');
						$('.item-group').hide();
						$(this).addClass('open');
						var toggle = $(this).attr("data-toggle");
						$("#"+toggle).toggle();
					}
				});
			});
		</script>
	</body>
</html>
<?php }?>