<?php   
if( !isset($d) ){
	die('Could not run without data');
}else{
	$data = $d['data'];
	$dateRange = $data['dateRange'];
	$dateRangeArray = explode('-',$dateRange);
	$fromDate = date("Y-m-d", strtotime($dateRangeArray[0]));
	$toDate = date("Y-m-d", strtotime($dateRangeArray[1]));
	$detailed = unserialize(base64_decode($data['detailed']));

	$lang = $data['template']['language'];
	$arrow_1 = base64_encode(file_get_contents(APP_ROOT.'/addons/clientReporting/images/arrow-1.png'));
	if (!empty($data['template']['logoSrc'])) {
		$log_src = base64_encode(file_get_contents(APP_ROOT.'/uploads/'.$data['template']['logoSrc']));
	}
	$bannerSrc_url = trim(str_replace(APP_URL, '', $data['template']['bannerSrc']),'/');
	$bannerSrc = base64_encode(file_get_contents(APP_ROOT.'/'.$bannerSrc_url));


?>
<!DOCTYPE html>
<html lang="en-us">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<link href="https://fonts.googleapis.com/css?family=Lora:400,700|Montserrat:300,400,700|Open+Sans:300,400,700" rel="stylesheet">
		<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
		<script>
		function dateToYMD(date) {
			var d = date.getDate();
			var m = date.getMonth() + 1;
			var y = date.getFullYear();
			return (d <= 9 ? '0' + d : d).toString() + (m<=9 ? '0' + m : m).toString() + y.toString();
		}
		$( function() {
			$( ".calender" ).datepicker({
				numberOfMonths: 1,
				minDate: new Date('<?php echo $fromDate;?>'), 
				maxDate: new Date('<?php echo $toDate;?>'),
				beforeShowDay: function(date) {
					var className = dateToYMD( date );
			        return [true, 'cls_' + className, ''];
			   }
			});
		} );
		</script>
		<style type="text/css">

			body{ background:#e1e1e1; }
			hr{ 
				border: none;
				border-bottom: 1px solid #e8e8e8;
				margin: 50px 0;
			}
			.container {
			    background: #FFFFFF;
			    margin: 0 auto;
			    width: 1180px;
			    padding: 50px;
			}
			.sites-count {
			    font-family: "Lora";
			    font-weight: bold;
			    font-size: 14px;
			    font-style: italic;
			    color: rgba(3, 3, 3, 0.34);
			}
			.sitename{
				text-align: right;
			}
			.sitename a{
				font-family: "Lora";
				font-weight: normal;
				font-size: 18px;
				font-style: italic;
				color: #bababa;
				text-decoration: none;
				word-wrap: break-word;
			}
			.banner{}
			.banner h1{
				font-family: "<?php echo $data['template']['reportTitle']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['reportTitle']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['reportTitle']['style']['font-size'];?>;
				color: <?php echo $data['template']['reportTitle']['style']['color'];?>;
			}
			.banner h4{
				font-family: "<?php echo $data['template']['reportDate']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['reportDate']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['reportDate']['style']['font-size'];?>;
				color: <?php echo $data['template']['reportDate']['style']['color'];?>;
				font-style: italic;
			}
			.section{}
			.section h2{
				font-family: "<?php echo $data['template']['body']['title']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['title']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['body']['title']['style']['font-size'];?>;
				color: <?php echo $data['template']['body']['title']['style']['color'];?>;
			}
			.section h2 .count{
				font-family: "<?php echo $data['template']['body']['titlecount']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['titlecount']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['body']['titlecount']['style']['font-size'];?>;
				color: <?php echo $data['template']['body']['titlecount']['style']['color'];?>;
			}
			.section .item p{
				font-family: "<?php echo $data['template']['body']['content']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['content']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['body']['content']['style']['font-size'];?>;
				color: <?php echo $data['template']['body']['content']['style']['color'];?>;
				/*text-transform: capitalize;*/
			}
			.section .item p small{
				font-family: "<?php echo $data['template']['body']['content']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['content']['style']['font-weight'];?>;
				font-size: 12px;
				color: <?php echo $data['template']['body']['content']['style']['color'];?>;
				text-transform: capitalize;
			}
			.section .item h3{
				font-family: "<?php echo $data['template']['body']['content']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['content']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['body']['content']['style']['font-size'];?>;
				color: <?php echo $data['template']['body']['content']['style']['color'];?>;
				text-transform: capitalize;
			}
			.section .item ul{
				padding: 0px;
				margin: 0px;
				list-style: none;
			}
			.section .item ul li{
				font-family: "<?php echo $data['template']['body']['content']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['body']['content']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['body']['content']['style']['font-size'];?>;
				color: <?php echo $data['template']['body']['content']['style']['color'];?>;
				line-height: 2.2;
				/*text-transform: capitalize;*/
			}
			.footer{}
			.footer .footer-top{}
			.footer .footer-top h3{
				font-family: "<?php echo $data['template']['clientNote']['heading']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['clientNote']['heading']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['clientNote']['heading']['style']['font-size'];?>;
				color: <?php echo $data['template']['clientNote']['heading']['style']['color'];?>;
			}
			.footer .footer-top p{
				font-family: "<?php echo $data['template']['clientNote']['content']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['clientNote']['content']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['clientNote']['content']['style']['font-size'];?>;
				font-style: italic;
				color: <?php echo $data['template']['clientNote']['content']['style']['color'];?>;
				line-height: 2;
			}
			.footer .footer-bottom h2{
				font-family: "<?php echo $data['template']['footer']['heading']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['footer']['heading']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['footer']['heading']['style']['font-size'];?>;
				color: <?php echo $data['template']['footer']['heading']['style']['color'];?>;

			}
			.footer .footer-bottom h4{
				font-family: "<?php echo $data['template']['footer']['name']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['footer']['name']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['footer']['name']['style']['font-size'];?>;
				color: <?php echo $data['template']['footer']['name']['style']['color'];?>;
			}
			.footer .footer-bottom p{
				font-family: "<?php echo $data['template']['footer']['address']['style']['font-family'];?>";
				font-weight: <?php echo $data['template']['footer']['address']['style']['font-weight'];?>;
				font-size: <?php echo $data['template']['footer']['address']['style']['font-size'];?>;
				font-style: italic;
				color: <?php echo $data['template']['footer']['address']['style']['color'];?>;
			}

			.clearfix{
				clear: both;
			}
			.clearfix::after {
			    clear: both;
			    display: block;
			    content: ' ';
			}
			.banner{
				border-bottom: 1px solid #e8e8e8;
				margin-bottom: 100px;
			}
			.left{ float: left; }
			.right{ float: right; }
			.banner{
				padding: 50px 0;
				text-align: center;
			}
			.section .item {
			    border-right: 1px solid #e7e7e7;
			    padding-right: 50px;
			    padding-left: 50px;
			    width: 275px;
			    display: table-cell;
			}
			.section.plugin-update .item {
				min-height: 150px;
			}
			.footer{
				text-align: center;
			}
			.footer .footer-top{
				margin-top: 100px;
				border-bottom: 1px solid #e8e8e8;
				padding: 0px 0 80px 0;
				margin-bottom: 50px;
			}
			i.arrow {
			    display: inline-block;
			    width: 19px;
			    height: 20px;
			    color: #13a086;
			    font-size: 15px;
			    text-align: center;
			    background: url(data:image;base64,<?php echo $arrow_1;?>);
			    text-indent: -9999px;
			    background-repeat: no-repeat;
			    background-position: center center;
			    margin: 0 15px;
			}
			div.calender{
			    width: 382px;
			}
			.ui-datepicker-calendar {
			}
			.ui-datepicker-calendar tr{}
			.ui-datepicker-calendar th {
			    font-family: "Montserrat";
			    font-weight: 400;
			    font-size: 12px;
			    color: rgba(68, 68, 68, 0.54);
			    text-align: center;
			    padding: 15px;
			    text-transform: uppercase;
			}
			.ui-datepicker-calendar td{
				font-family: "Montserrat";
				font-weight: 400;
				font-size: 14px;
				color: #635318;
				text-align: center;
				padding: 15px;
				text-decoration: none;
			}
			.ui-datepicker-calendar td a {
			    font-family: "Montserrat";
			    font-weight: 400;
			    font-size: 18px;
			    color: rgba(68, 68, 68, 0.87);
			    text-align: center;
			    text-decoration: none;
			}
			.ui-datepicker-prev, .ui-datepicker-next {
				font-family: "Montserrat";
				font-weight: 400;
				font-size: 14px;
				color: rgba(68, 68, 68, 0.53);
				text-decoration: none;
				cursor: pointer;
			}
			.ui-datepicker-title {
			    font-family: "Montserrat";
			    font-weight: 700;
			    font-size: 14px;
			    color: rgba(68, 68, 68, 0.53);
			    text-align: center;
			    text-transform: uppercase;
			    padding: 15px 0;
			}
			.ui-datepicker-prev{
				float: left;
			}
			.ui-datepicker-next{
				float: right;
			}
			a.ui-state-disabled {
				display: none;
			}
			span.date {
			    font-size: 12px;
			}
			.calender-notes {
			    position: absolute;
			    top: 120px;
			    left: 532px;
			}
			.calender-notes p {
			    font-family: "Montserrat";
			    font-weight: 400;
			    font-size: 18px;
			    color: #636363;
			    position: relative;
			}
			.calender-notes p.files::after{ 
				border: 2px solid #13A086; 
				content: ' ';
				display: block;
				width: 11px;
				height: 11px;
				border-radius: 22px;
				position: absolute;
				left: -25px;
				top: 3px;
			}
			.calender-notes p.dbs::after{ 
				border: 2px solid #B75EC6; 
				content: ' ';
				display: block;
				width: 11px;
				height: 11px;
				border-radius: 22px;
				position: absolute;
				left: -25px;
				top: 3px;
			}
			.calender-notes p.files_db::after{ 
				border: 2px solid #3D93D3; 
				content: ' ';
				display: block;
				width: 11px;
				height: 11px;
				border-radius: 22px;
				position: absolute;
				left: -25px;
				top: 3px;
			}
			.item.no-br{
				border-right: none;
			}
			.section .item:last-child {
				border-right: none;
			}

			@media only screen and (max-width: 1026px) {
				body{
					margin: 0px;
					padding: 0px;
				}
				.container {
				    width: 100%;
				    padding: 0px;
				}
				.content {
				    padding: 25px;
				}
				.banner img {
				    width: 100%;
				}
				.section .item {
					border-right: none;
					padding-right: 0;
					padding-left: 0;
				}
				.section .item {
				    width: 100%;
				    display: block;
				}
				.calender-notes {
				    position: inherit;
				    top: 0;
				    left: 40px;
				    width: 250px;
				}
				.sites-count.right {
				    padding-right: 15px;
				}
				.section h2 {
				    font-size: 25px;
				}
				div.calender {
				    width: 100%;
				}
				.ui-datepicker-calendar td, .ui-datepicker-calendar th{
					padding: 8px;
				}
			}
			.google-image img {
			    max-width: 100%;
			}
		</style>
	</head>
	<body>
		<div class="container">
			<div class="header clearfix">
				<div class="left">
					<div class="logo">
						<?php if($data['template']['logoSrc']){ ?>
						<a href="#">
							<img src=data:image;base64,<?php echo $log_src ?> alt="" height="60">
						</a>
						<?php }?>
					</div>
				</div>
				<div class="right sites-count">
					<p><?php if(count($detailed) > 1){ echo count($detailed); _e( 'Sites', $lang ); } ?></p>
				</div>
			</div>
			<div class="banner">
				<img src=data:image;base64,<?php echo $bannerSrc; ?> alt="Logo">
				<h1><?php echo $data['template']['reportTitle']['text'];?></h1>
				<h4><?php 
					echo date($data['template']['dateFormat'], strtotime($fromDate) ); 
					echo " - ";
					echo date($data['template']['dateFormat'], strtotime($toDate) ); 
				?></h4>
			</div>
			<?php 
			$siteNum = 1;
			foreach($detailed as $id => $site ){
			$siteData = getSiteData($id,'',true);
			$siteName = str_replace(array('http://www.', 'https://www.', 'http://', 'https://'), '', $siteData['URL']);		
			if(!empty($site)){
			?>
			<div class="content">
				<div class="sitename">
					<a href="#"><span><?php _e('Site', $lang );?><?php if(count($detailed)>1)echo $siteNum;?>:</span> <?php echo $siteName;?></a>
				</div>

				<?php if( $site['updated']){ ?>
				<div class="update">
					<?php if( $site['updated']['core-updated']){ $coreUpdated = $site['updated']['core-updated']; ?>
					<div class="section clearfix">
						<h2><?php _e( 'Wordpress Updates', $lang );?> <span class="count"><?php echo $coreUpdated['count'];?></span></h2>
						<?php 
						$coreArray = clientReportingformatPluginUpdateArray($coreUpdated['details'],'from');
						ksort($coreArray);
						$pIndex = 1;
						foreach( $coreArray as $coreKey => $coreValue ){ ?>
						<div class="item <?php if($pIndex == 3){?>no-br<?php }?>">
							<p>v<?php echo $coreValue[0]['from'];?> <i class="arrow">=></i> v<?php echo $coreValue[0]['to'];?> <span class="date"><?php echo date($data['template']['dateFormat'], strtotime($coreValue[0]['date']) ); ?></span></p>
						</div>
						<?php if($pIndex == 3){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
					</div>
					<?php }?>

					<?php if( $site['updated']['plugins-updated']){ $pluginsUpdated = $site['updated']['plugins-updated']; ?>
					<div class="section plugin-update clearfix">
						<h2><?php _e( 'Plugin Updates', $lang );?> <span class="count"><?php echo $pluginsUpdated['count'];?></span></h2>
						<?php 
						$pluginArray = clientReportingformatPluginUpdateArray($pluginsUpdated['details'],'pluginname');
						ksort($pluginArray);
						$pIndex = 1;
						foreach( $pluginArray as $pluginKey => $pluginValue ){?>
						<div class="item <?php if($pIndex == 3){?>no-br<?php }?>">
							<p><?php echo $pluginValue[0]['pluginname'];?></p>
							<ul>
								<?php foreach($pluginValue as $pKey => $pVal){ ?>
								<li>v<?php echo $pVal['from'];?> <i class="arrow">=></i> v<?php echo $pVal['to'];?> <span class="date"><?php echo date($data['template']['dateFormat'], strtotime($pVal['date']) ); ?></li>
								<?php }?>
							</ul>
						</div>
						<?php if($pIndex == 3){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
					</div>
					<?php }?>

					<?php if( $site['updated']['themes-updated']){ $themesUpdated = $site['updated']['themes-updated']; ?>
					<div class="section clearfix">
						<h2><?php _e( 'Theme updates', $lang );?> <span class="count"><?php echo $themesUpdated['count'];?></span></h2>
						<?php 
						$themeArray = clientReportingformatPluginUpdateArray($themesUpdated['details'],'themename');						
						ksort($themeArray);
						$pIndex = 1;
						foreach( $themeArray as $themeKey => $themeValue ){?>
						<div class="item <?php if($pIndex == 3){?>no-br<?php }?>">
							<p><?php echo $themeValue[0]['themename'];?></p>
							<ul>
								<?php foreach($themeValue as $pKey => $pVal){ ?>
								<li>v<?php echo $pVal['from'];?> <i class="arrow">=></i> v<?php echo $pVal['to'];?> <span class="date"><?php echo date($data['template']['dateFormat'], strtotime($pVal['date']) ); ?></li>
								<?php }?>
							</ul>
						</div>
						<?php if($pIndex == 3){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
						<?php $pIndex++; }?>
					</div>
					<?php }?>
				</div>
				<?php }?>

				<?php if( $site['backups'] ){ ?>
				<style type="text/css">
					<?php
					$b_count_file = $b_count_db = $b_count_dbfile = 0;
					 foreach( $site['backups']['details'] as $detail ){ 
					 $className = date('dmY', strtotime($detail['date'])); 
					 if($detail['type'] == "Files & DB"){
					 	$clr = '#3d93d3';	
					 	$b_count_dbfile++;
					 }else if($detail['type'] == "Files"){
					 	$clr = '#13a086';
					 	$b_count_file++;
					 }else if($detail['type'] == "DB"){
					 	$clr = '#c072cd';
					 	$b_count_db++;
					 }
					 if ($className == $tempClassName && $detail['type'] == "DB") {
					 	continue;
					 }
					 $tempClassName = $className;
					 ?>
						#calender-<?php echo $id;?> .cls_<?php echo $className;?> a{
							color: <?php echo $clr;?> !important;
						}
					<?php }?>
				</style>
				<div class="section" style="position: relative;">
					<h2><?php _e( 'Backups', $lang );?> <span class="count"><?php echo $site['backups']['count'];?></span></h2>
					<div class="item-group calender" id="calender-<?php echo $id;?>"></div>
					<div class="calender-notes">
						<p class="files"><?php _e('Files', $lang);?> - <?php echo $b_count_file;?></p>
						<p class="dbs"><?php _e('Database', $lang);?> - <?php echo $b_count_db;?></p>
						<p class="files_db"><?php _e('Files and Database', $lang);?> - <?php echo $b_count_dbfile;?></p>
					</div>
				</div>
				<?php }?>

				<?php if( $site['WPManintenance'] ){ $WPManintenance = $site['WPManintenance']; 
					$countM = 0;
					foreach( $WPManintenance as $mKeyC => $mValueC ){
						$countM = $countM + $mValueC;
					}
				?>
				<div class="section clearfix">
					<h2><?php _e( 'Optimized by Removing', $lang );?> <span class="count"><?php echo $countM;?></span></h2>
					<?php 
					$pIndex = 1;
					foreach( $WPManintenance as $mKey => $mValue ){ ?>
					<div class="item <?php if($pIndex == 3){?>no-br<?php }?>">
						<p><?php _e(optByRemoveLabel($mKey), $lang);?>: <?php echo $mValue;?></p>
					</div>
					<?php if($pIndex == 3){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
					<?php $pIndex++; }?>
				</div>
				<?php }?>

				<?php if( $site['managed'] ){ $managed = $site['managed']; 
					$countM = 0;
					foreach( $managed as $mKeyC => $mValueC ){
						$countM = $countM + $mValueC;
					}
				?>
				<div class="section clearfix">
					<h2><?php _e( 'Managed', $lang );?> <span class="count"><?php echo $countM;?></span></h2>
					<?php 
					$pIndex = 1;
					foreach( $managed as $mKey => $mValue ){ ?>
					<div class="item <?php if($pIndex == 3){?>no-br<?php }?>">
						<p><?php _e(optByRemoveLabel($mKey), $lang);?>: <?php echo $mValue;?></p>
					</div>
					<?php if($pIndex == 3){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
					<?php $pIndex++; }?>
				</div>
				<?php }?>

				<?php if( $site['ithemesec'] ){ $ithemesec = $site['ithemesec']['details']; 
					$countM = 0;
					foreach( $ithemesec as $mKeyC => $mValueC ){
						$countM = $countM + $mValueC;
					}
				?>
				<div class="section clearfix">
					<h2><?php _e( 'ithemesec', $lang );?> <span class="count"><?php echo $countM;?></span></h2>
					<?php 
					$pIndex = 1;
					foreach( $ithemesec as $mKey => $mValue ){ ?>
					<div class="item <?php if($pIndex == 3){?>no-br<?php }?>">
						<p><?php _e(($mKey), $lang);?>: <?php echo $mValue;?></p>
					</div>
					<?php if($pIndex == 3){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
					<?php $pIndex++; }?>
				</div>
				<?php }?>

				<?php if( $site['wordfence'] ){ $wordfence = $site['wordfence']['details']; 
					$countM = 0;
					foreach( $wordfence as $mKeyC => $mValueC ){
						if ($mKeyC == 'wordfence_humans' || $mKeyC == 'wordfence_registered_users' || $mKeyC == 'wordfence_logins_logouts' ) {
							unset($wordfence[$mKeyC]);
						}
						$countM = $countM + $mValueC;
					}
				?>
				<div class="section clearfix">
					<h2><?php _e( 'wordfence', $lang );?> <span class="count"><?php echo $countM;?></span></h2>
					<?php 
					$pIndex = 1;
					foreach( $wordfence as $mKey => $mValue ){ ?>
					<div class="item <?php if($pIndex == 3){?>no-br<?php }?>">
						<p><?php _e(($mKey), $lang);?>: <?php echo $mValue;?></p>
					</div>
					<?php if($pIndex == 3){ $pIndex = 0; ?><div class="clearfix"></div> <?php }?>
					<?php $pIndex++; }?>
				</div>
				<?php }?>

				<?php if( $site['googleAnalytics'] ){ ?>
				<div class="section clearfix">
					<h2><?php _e( 'Google Analytics', $lang );?></h2>
					<?php 
					$args['siteID'] = $id;
					$args['clientReportAnalyticsDate']['periodDays'] = $periodDays = ceil(abs(((strtotime($toDate) - strtotime($fromDate))/(60*60*24))));
					$args['clientReportAnalyticsDate']['date'] = array(
						'd'		=> date('d', strtotime($toDate)),
						'm'		=> date('m', strtotime($toDate)),
						'Y'		=> date('Y', strtotime($toDate))
					);
					$args['clientReportAnalyticsDate']['startDate'] = date('Y-m-d', strtotime($fromDate));
					$args['clientReportAnalyticsDate']['endDate'] = date('Y-m-d', strtotime($toDate));

					$notShowGAInfoArray = array('ga:bounceRate', 'ga:newVisits', 'ga:visitors');
					$GAPD = googleAnalyticsGetProfileData($args);
					if(!empty($GAPD) && is_array($GAPD)) {					
						foreach($GAPD as $gaDataName => $periodArray) {
							if($gaDataName != 'total') {
								if( is_array($periodArray)){
									foreach($periodArray as $period => $dataArray) {
										$site['googleAnalytics'][$gaDataName][$period] = $dataArray;	
									}
								}
							} else {
								foreach($periodArray as $period => $gaDataArray) {
									foreach($gaDataArray as $gaType => $gaValue) {
										if (in_array($gaType, $notShowGAInfoArray)) {
											continue;
										}
										$floatVal = floatval ($gaValue);
										$val = round($floatVal, 2);
										
										if($gaType == 'ga:percentNewVisits' || $gaType == 'ga:bounceRate') {
											$val = $val.'%';							
										}
										if($period == 'currentPeriod') {
											$site['googleAnalytics'][L($gaType)]['success'] = $val;
										}
										$site['googleAnalytics'][$gaDataName][$gaType][$period] = $val;
									}
								}
							}
						}
					}

					$content = '';
						$gaCount = 0;
						$chartPrepared = 0;
						foreach($site['googleAnalytics'] as $gaDataName => $periodArray) {
							if (in_array('ga:'.$gaDataName, $notShowGAInfoArray)) {
								continue;
							}
							if($gaCount == 0) {
								$gaCount++;
								continue;
							}
							$currentPeriodValue = ($site['googleAnalytics']['total']['ga:'.$gaDataName]['currentPeriod']) * 1;
							$previousPeriodValue = ($site['googleAnalytics']['total']['ga:'.$gaDataName]['previousPeriod']) * 1;
							
							if($gaDataName == 'visits') {
								$chartPrepared =1;
								$howManyWeek = count($periodArray['currentPeriod']) / 7;
								$howManyWeekRemainder = count($periodArray['currentPeriod']) % 7;
								if($howManyWeekRemainder) {
									$howManyWeek++;
								}
								$gaDescription= '';
								$chart_api_url = 'https://chart.googleapis.com/chart?cht=lc&chs=700x350&chxt=x,y&chco=7ABED7,D3D3D3&chls=3|3&chds=a&chma=40,40,40,40&chm=B,EBF5F9,0,1,0|B,F8F8F8,1,2,0&chxl=0:';
								for($weekI = 1; $weekI <= $howManyWeek; $weekI++) {
									$chart_api_url .= '|'.iwp_human_number($weekI). ' week ';
								}
								unset($howManyWeek, $howManyWeekRemainder);
								$chart_api_url .= '&chd=t:'.implode(',', $periodArray['currentPeriod']).'|'.implode(',', $periodArray['previousPeriod']);
								
								$max_number = max(max($periodArray['currentPeriod']),max($periodArray['previousPeriod']));
								$range = 1000;
								
								if($max_number < $range) {
									$range = $max_number;
								}

								$chart_api_url .= '&chxr=1,0,'.$max_number.','.$range;
								unset($max_number, $range);
								$content .= '
									<div class="google-image">
										<img src="'.$chart_api_url.'" />
									</div>										
								';
							}

							if($chartPrepared){
								$greay_bottom_line = 'grey3-left-line';
								if($gaDataName == 'visits' ) {
										$greay_bottom_line = '';
								}
								if(L(strtolower($gaDataName))){
								$content .= '
									<div class="item">
										<h3>'._e2(strtolower($gaDataName), $lang).': <span class="g-count">'.$currentPeriodValue.'</span></h3>
										<p><small>'._e2('prev_period', $lang).' - <span class="g-count">'.$previousPeriodValue.'</span></small></p>
									</div>';
								}
							}
							$gaCount++;
						}

						echo $content;
						?>
				</div>
				<?php }?>

				<?php if( $site['malwareScanningSucuri'] ){ $malwareScanningSucuri = $site['malwareScanningSucuri']; ?>
				<div class="section">
					<h2><?php _e( 'Scanned for Malware', $lang );?> <span class="count"><?php echo $malwareScanningSucuri;?></span> <?php _e('times', $lang);?></h2>
				</div>
				<?php }?>

				<?php 
				if( isset($site['uptimeMonitor']) ){ $uptimeMonitor = $site['uptimeMonitor']; ?>
				<div class="section">
					<h2><?php _e( 'Website Uptime', $lang );?> <span class="count"><?php echo round($uptimeMonitor);?>%</span></h2>
				</div>
				<?php }

				if( isset($site['googlePageSpeed']) ){ $googlePageSpeed = $site['googlePageSpeed']; ?>
				<div class="section">
					<h2><?php _e( 'Google Page Speed', $lang );?> <span class="count"><?php echo round($googlePageSpeed);?>%</span></h2>
				</div>
				<?php }

				unset($data['other_data'][$id][L('WPManintenance')]);
				unset($data['other_data'][$id][L('malwareScanningSucuri')]);
				unset($data['other_data'][$id][L('posts')]);
				unset($data['other_data'][$id][L('links')]);
				unset($data['other_data'][$id][L('pages')]);
				unset($data['other_data'][$id][L('comments')]);
				unset($data['other_data'][$id][L('upTimeMonitor')]);
				unset($data['other_data'][$id][L('googlePageSpeed')]);

				if( $data['other_data'][$id] ){ ?>
				<div class="section">
				<h2><?php _e( 'Other Data', $lang );?> <span class="count"><?php echo count($data['other_data'][$id]);?></span></h2>
				<?php foreach($data['other_data'][$id] as $key => $val){ ?>
					<div class="item">
						<p class="item-name"><?php _e($key, $lang);?>: <span><?php echo $val;?></span></p>
					</div>
				<?php }?>
				<div class="clearfix"></div>
				</div>
				<?php }?>
			</div>
			<hr/>
			<?php }?>
			<?php $siteNum++; }?>

			<div class="footer">
				<div class="footer-top">
					<h3><?php echo $data['template']['clientNote']['heading']['text'];?></h3>
					<p><?php echo $data['template']['clientNote']['content']['text'];?></p>
				</div>
				<div class="footer-bottom">
					<h2><?php echo $data['template']['footer']['heading']['text'];?></h2>
					<h4><?php echo $data['template']['footer']['name']['text'];?></h4>
					<p><?php echo $data['template']['footer']['address']['text'];?></p>
				</div>
			</div>
		</div>
	</body>
</html>
<?php }?>