<?php

/*
slug: duoSecurity
version: 1.0.5
*/


class addonDuoSecurity{
	
	private static $version = '1.0.5';

	public static function version(){
		return self::version;
	}

	public static function init(){
		require_once(APP_ROOT."/addons/duoSecurity/controllers/func.php");	
		panelRequestManager::addFunctions('getDuoSettings');
		regHooks('errorMsgTemplate','securitySettingsUpdate', 'headHTMLFiles');
	}

	public static function deactivate(){
		if('authDuo'==  getOption('loginAuthType')) {
			updateOption('loginAuthType',  'authNone');
			addNotification($type='N', $title='TWO-FACTOR AUTHENTICATION IS NOW OFF', $message='Since you de-activated the Duo Security addon, 2-factor authentication has been turned off. You can enable 2FA via email under Settings &rarr; Security.', $state='U', $callbackOnClose='', $callbackReference='');
		}
	}

	public static function update(){
		if(version_compare(getOldAddonVersion('duoSecurity'), '1.0.5beta1', '<')){
			$deleteFiles = array('/addons/duoSecurity/initHTMLHead.php' => array('type' => 'f') );
			fileSystemRemoveFiles($deleteFiles);
		}
	}
}