<?php

/*
slug: fileEditor
version: 1.0.5
*/


class addonFileEditor{
	
	private static $version = '1.0.5';

	public static function version(){
		return self::version;
	}

	public static function init(){
		require_once(APP_ROOT."/addons/fileEditor/controllers/func.php");	
		require_once(APP_ROOT."/addons/fileEditor/controllers/manageClientsFileEditor.php");	
		panelRequestManager::addFunctions('fileEditorUploader');
		regHooks('addonMenus','responseProcessors','taskTitleTemplate', 'headHTMLFiles');
	}

	public static function update(){
		if(version_compare(getOldAddonVersion('fileEditor'), '1.0.2beta1', '<')){
			$deleteFiles = array('/addons/fileEditor/initHTMLHead.php' => array('type' => 'f') );
			fileSystemRemoveFiles($deleteFiles);
		}
	}
}