<?php

/*
slug: googlePageSpeed
version: 1.0.12
*/


class addonGooglePageSpeed{
	
	private static $version = '1.0.12';

	public static function version(){
		return self::version;
	}

	public static function init(){
		require_once(APP_ROOT."/addons/googlePageSpeed/controllers/func.php");	
		panelRequestManager::addFunctions('googlePageSpeedGrantAccess','googlePageSpeedGetAPIKeys','googlePageSpeedSaveAPIKeysAndRedirect','googlePageSpeedGetData');
		regHooks('addonMenus', 'headHTMLFiles');
	}

	public static function update(){
		
		if(version_compare(getOldAddonVersion('googlePageSpeed'), '1.0.0', '<')){
			//from v1.0.0 Google API Lib is kept common in base app, so deleting common API files here
			
			$deleteFiles = array(
				'/addons/googlePageSpeed/lib/authHelper.php' => array('type' => 'f'),
				'/addons/googlePageSpeed/lib/storage.php' => array('type' => 'f'),
				'/addons/googlePageSpeed/lib/src' => array('type' => 'd'),
				);
			fileSystemRemoveFiles($deleteFiles);
		}

		if(version_compare(getOldAddonVersion('googlePageSpeed'), '1.0.10beta1', '<')){
			$deleteFiles = array('/addons/googlePageSpeed/initHTMLHead.php' => array('type' => 'f') );
			fileSystemRemoveFiles($deleteFiles);
		}
		return true;
	}

}