<?php

/*
slug: googleSafeBrowsing
version: 1.0.0
*/

class addongoogleSafeBrowsing{
	
	private static $version = '1.0.0';

	public static function version(){
		return self::version;	
	}
	
	public static function init(){
		require_once(APP_ROOT."/addons/googleSafeBrowsing/controllers/func.php");
		panelRequestManager::addFunctions('getGoogleSafeBrowsingPastHistory','googleSafeBrowsingScanAllSites','googleSafeBrowsingAutoScan','googleSafeBrowsingGetPastResultHTML','googleSafeBrowsingAPI');
		regHooks('addonMenus', 'cronRun', 'headHTMLFiles');
	}
	
	public static function install(){
		$Q1 = DB::doQuery("CREATE TABLE IF NOT EXISTS `?:google_safe_browsing` (
		  `taskID` int(10) unsigned NOT NULL AUTO_INCREMENT,
		  `time` bigint(10) unsigned NOT NULL ,
  		  `no_of_scanned` int(20) unsigned DEFAULT NULL,
  		  `no_of_affected` int(20) unsigned DEFAULT NULL,
  		  PRIMARY KEY (`taskID`)
		)".DB::getSQLTableEnv().";");

		$Q2 = DB::doQuery("CREATE TABLE IF NOT EXISTS `?:google_safe_browsing_additional_data` (
		  `ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
		  `taskID` int(10) unsigned NOT NULL,
		  `siteID` int(10) unsigned NOT NULL,
		  `URL` varchar(255) NOT NULL DEFAULT '',
  		  `time` bigint(20) unsigned DEFAULT NULL,
 		  `result` varchar(255) NOT NULL DEFAULT '',
 		  `rawResult` longtext NOT NULL DEFAULT '',
  		  PRIMARY KEY (`ID`)
		)".DB::getSQLTableEnv().";");

		if($Q1 && $Q2){
			return true;	
		}
		return false;
	}
}

?>