<?php

function manageUsersAddonMenus(&$menus){
	//$menus[] = '<li><a class="navLinks optionSelect" page="userManagement">Users</a></li>';
	$menus['manage']['subMenus'][] = array('page' => 'userManagement', 'displayName' => 'Users');
}

function manageUsersResponseProcessors(&$responseProcessor){
	$responseProcessor['manageUsers']['add'] = 'manageUsersAdd';
	$responseProcessor['manageUsers']['get'] = 'manageUsersGet';
	$responseProcessor['manageUsers']['changeRole'] = $responseProcessor['manageUsers']['changePassword'] = $responseProcessor['manageUsers']['delete'] = 'manageUsersUpdate';
	
}

function manageUsersTaskTitleTemplate(&$template){
	$template['manageUsers']['add']['']	= "Create user in <#sitesCount#> site<#sitesCountPlural#>";
	$template['manageUsers']['get']['']	= "Load users from <#sitesCount#> site<#sitesCountPlural#>";
	$template['manageUsers']['changeRole']['']	= "Change role for <#detailedActionCount#> user<#typePlural#> in <#sitesCount#> site<#sitesCountPlural#>";
	$template['manageUsers']['changePassword']['']	= "Change password for <#detailedActionCount#> user<#typePlural#> in <#sitesCount#> site<#sitesCountPlural#>";
	$template['manageUsers']['delete']['']	= "Delete <#detailedActionCount#> user<#typePlural#> in <#sitesCount#> site<#sitesCountPlural#>";
}

function manageUsersGet(){
	
	$actionID = Reg::get('currentRequest.actionID');
		$where = array(
					'query' =>  "type = ':type' AND paramID = ':paramID'",
					'params' => array(
						':type' => 'getUsers',
						':paramID' => $actionID
					)
				);
	$userDatas = DB::getFields("?:temp_storage", "data", $where);
	
	DB::delete("?:temp_storage", $where);
		
	if(empty($userDatas)){
		return array();
	}
	$finalData = array();
	foreach($userDatas as $data){
		$finalData = array_merge_recursive($finalData, (array)unserialize($data));	
	}
	arrayMergeRecursiveNumericKeyHackFix($finalData);
	
	return $finalData;
}

function manageUsersHeadHTMLFiles(&$headFiles){
	$addonDetails['version'] = getAddonVersion('manageUsers');
	$addonDetails['files'] = array(
		array('css' => array('href' => 'addons/manageUsers/css/manage_users_styles.css')),
		array('js' => array('href' => 'addons/manageUsers/js/functions.js')),
		array('js' => array('href' => 'addons/manageUsers/js/init.js')),
		array('js' => array('href' => 'addons/manageUsers/js/load.js')),
	);
	$headFiles['manageUsers'] = $addonDetails;
}