$(function () {
	
	stagingSettings = '<li>Staging</li>';
	
    staging_settings_content = '<div class="settings settingsItem " id="stagingTab" style="border: 0px; padding: 0px; "><div class="tr"> <div class="ftp_group hide_in_site_details" style="width:80%"><div class="checkbox generalSelect" id="update_in_staging_switch" style="width: 100%; margin: 0px auto;">Show [ Update All in Staging ] link in updates section</div></div></div> <div class="tr"> <div class="padding steps_container" style="font-size:12px; border: 0px;">' + getFtpSetttingsDiv() + '<div class="clear-both"></div> </div> </div>  </div><div class="th_sub rep_sprite finalClonePageData cloneTestConnectionTh stagingTestConnection" style="border-top:1px solid #c6c9ca; border-bottom:0; position:relative"> <div class="test_conn_cont float-right" style="position: relative;"> <div class="test_conn staging_settings" id="cloneTestConnection">Test connection</div> </div> </div> <div class="th_sub rep_sprite" ><div class="success rep_sprite_backup float-left" id="saveSuccess" style="display:none">Saved successfully!</div><div class="btn_action float-right"><a class="rep_sprite" id="saveSettingsBtn" page="stagingTab">Save Changes</a></div></div>';
	
	$(".stagingTestConnection #cloneTestConnection").live('click',function(){
		$("#cloneTestConnection").removeClass('successftp');
		$(".conn_test_error_cont").remove();
		doCloneTestConnection({divObj: $(this), type: 'staging'});

	});
	
	$("#fillDetails.staging").live('click', function(){
		fillCpanelDetailsInit({divObj: $(this), reqFunc: 'autoFillInstallCloneCommonCpanel'});
	});
		
	$(".open_staging_settings").live('click',function(){
		$("#modalDiv").dialog("close");
		openSettingsPage('Staging');
	});
	
	$(".site_toggle.FTPConnectionType").live('click',function(){
		$(".staging_modal .sub_form").hide();
		return false;
	});
	
	$(".create_staging_site").live('click',function(){
		stagingLoadStagingModal($(this).attr('sid'));
		$('#loadingDiv').show();
		$('#stage_this_site').addClass('disabled');
		$(".staging_modal .domain_target_folder_form").show();
		initiateFillingFtpSettings($(this).attr('sid'));
		return false;
	});
	
	$(".edit_staging_settings").live('click',function(){
		stagingLoadStagingModal($(this).attr('sid'), 1);
		stagingFillStagingModalForEdit($(this).attr('sid'));
		return false;
	});
	
	$("#stagingDomainServer").live('click',function(){
		$('.browseFileError').hide();
		$('#loadingDiv').show();
		$('#stage_this_site').addClass('disabled');
		stagingModifyStagingModalDiv('stagingDomainServer');
		initiateFillingFtpSettings($(this).attr('sid'));
		return false;
	});
	
	$("#stagingCustomServer").live('click',function(){
		$('.browseFileError').hide();
		stagingModifyStagingModalDiv('stagingCustomServer');
		return false;
	});
	
	$("#stagingDefaultServer").live('click',function(){
		$('.browseFileError').hide();
		$('#loadingDiv').show();
		$('#stage_this_site').addClass('disabled');
		stagingModifyStagingModalDiv('stagingDefaultServer');
		stagingInitiateFillingMainStagingFtpSettingsInModal();
		return false;
	});
	
	$(".remove_staging").live('click',function(){
		var thisSiteID = $(this).attr('sid');
		var stagingType = $(this).attr("stage_type");
		var stagingUrl = $(this).attr("surl");
		stagingShowStagingConfirmModal({siteID: thisSiteID, url: stagingUrl, createOrRemove: 'remove', title: 'REMOVE STAGING SITE', desc: 'Are you sure you want to remove the staging site? ', footer: 'This will remove the staging site from your panel and also deletes the staging site folder & Database on your server.', confirm:'Remove'}, stagingType, '');
		return false;
	});
	
	$(".stagingCopyToLive").live('click',function(){
		var thisSiteID = $(this).attr('sid');
		var stagingType = $(this).attr("stage_type");
		var stagingOrigType = $(this).attr("stage_original_type");
		var stagingUrl = $(this).attr("surl");
		stagingShowStagingConfirmModal({siteID: thisSiteID, url: stagingUrl, createOrRemove: 'create', title: 'COPY TO STAGING NOW', desc: 'Are you sure you want to overwire all the data?', footer: 'Staging site will be overwritten.', confirm:'Copy'}, stagingType, stagingOrigType);
		return false;
	});
	
	$("#stage_this_site, #confirm_staging").live('click',function(){
		var thisSiteID = $(this).attr('sid');
		var stagingType = $(this).attr("stage_type");
		var stagingOrigType = $(this).attr("stage_original_type");
		var create_or_remove = $(this).attr("create_or_remove");
		
		if (create_or_remove == 'remove'){
			stagingInitiateStagingDelete(thisSiteID, stagingType);
		} else {
			stagingPerformStagingProcess(thisSiteID, '', stagingType, stagingOrigType);
		}
		return false;
	});
	
	$(".update_group_in_staging").live('click',function(){
		var thisSiteID = $(this).closest(".ind_row_cont").attr("siteid");
		
		if(iwpIsEmpty(site[thisSiteID].stagingFtpDetails)){
			stagingShowNoStagingProfileWarningModal(thisSiteID);
			return false;
		}
		stagingCurrentUpdate = this;
		setTimeout(function(){
			stagingShowStagingUpdateOption(thisSiteID, 'group');
		}, 1000);
	});
	
	$(".update_single_in_staging").live('click',function(){
		var thisSiteID = $(this).closest(".item_ind").attr('sid');
		
		if(iwpIsEmpty(site[thisSiteID].stagingFtpDetails)){
			stagingShowNoStagingProfileWarningModal(thisSiteID);
			return false;
		}
		stagingCurrentUpdate = this;
		stagingShowStagingUpdateOption(thisSiteID, 'single');
	});

	$("#singleUpdateInNewStage").live('click', function(){
		stagingSingleUpdateInNewStaging(stagingCurrentUpdate, this);
	});

	$("#singleUpdateInExistingStage").live('click', function(){
		stagingSinglestagingUpdateInExistingStaging(stagingCurrentUpdate);
	});

	$("#groupUpdateInNewStage").live('click', function(){
		stagingGroupUpdateInNewStaging(stagingCurrentUpdate, this);
	});
	
	$("#groupUpdateInExistingStage").live('click', function(){
		stagingGroupstagingUpdateInExistingStaging(stagingCurrentUpdate);
	});

	$("#update_in_staging_switch").live('click',function(){
		$("#loadingDiv").show();
		var status = 0;
		var tempArray ={};
		if ($("#update_in_staging_switch").hasClass('active')) {
			status = 1;
		}
		tempArray['requiredData'] = {};
		tempArray['requiredData']["stagingProcessUpdateInStagingSwitchSettings"] = {};
		tempArray['requiredData']['stagingProcessUpdateInStagingSwitchSettings']['activeStatus'] = status;
		doCall(ajaxCallPath,tempArray,"stagingProcessUpdateInStagingSwitchSettings","json","none");
	});

	$(".addExistingStaging").live('click',function() {
		stagingLoadAddStagingSite($(this).attr('sid'));
		$(".add_site #adminURL,.add_site #username,.add_site #activationKey").addClass("cp_creds");
	});

	$(".addStagingButton").live('click',function() {
		var contentType='';
		$("#addSiteErrorMsg").remove();
		var  tempArray={};
		tempArray['args']={};
		tempArray['args']['params']={};
		
		var addsiteWebsite=$("#adminURL","#modalDiv").val();
		
		var addsiteUsername=$("#username",".add_site.form_cont").val();
		var addsiteGroupText =$("#groupText",".add_site.form_cont").val();
		var addsiteActivationKey =$("#activationKey",".add_site.form_cont").val();
		var addSiteConnectURL =$(".connectURLClass.active",".add_site.form_cont").attr('def');
		if($(".cTypeRadio.active").hasClass('customTxt')){
			if($(".customTxtVal").val()=='custom type'){
				contentType='';
			}else{
				contentType=$(".customTxtVal").val();
			}
		}else{
			if($(".cTypeRadio.active").text()=='application/x-www-form-urlencoded'){
				contentType='';
			}else{
				contentType=$(".cTypeRadio.active").text();
			}
		}


		tempArray['action']='addSite';
		tempArray['args']['params']['URL_b64encoded']=$.base64('btoa',addsiteWebsite, true);
		tempArray['args']['params']['activationKey']=addsiteActivationKey;
		tempArray['args']['params']['username']=addsiteUsername;
		tempArray['args']['params']['siteName']=$("#addSiteSiteName").val();
		tempArray['args']['params']['callOpt']={};
		tempArray['args']['params']['isStaging']=1;
		if($(this).hasClass('advanced')){
			tempArray['args']['params']['callOpt']['contentType']=contentType;
			tempArray['args']['params']['connectURL']=addSiteConnectURL;
			tempArray['args']['params']['advancedCUCT']=0;
		}else{
			tempArray['args']['params']['callOpt']['contentType']='';
			tempArray['args']['params']['connectURL']='default';
			tempArray['args']['params']['advancedCUCT']=1;
		}

		if($("#addSiteAuthUsername").val()!="username")
		{
			tempArray['args']['params']['httpAuth']={};
			tempArray['args']['params']['callOpt']={};
			tempArray['args']['params']['httpAuth']['username']=$("#addSiteAuthUsername").val();
			tempArray['args']['params']['httpAuth']['password']=$("#addSiteAuthUserPassword").val();
			
		}
		var checkForm = validateForm("stagingFtpForm");
		if(checkForm != false && checkForm.hostUserName != undefined ){
			thisReqVar = checkForm;
		} else {
			return false;
		}
	
		tempArray['args']['params']['saveExisingSiteFtpDetails'] = {};
		tempArray['args']['params']['saveExisingSiteFtpDetails'] = thisReqVar;
		tempArray['args']['params']['saveExisingSiteFtpDetails']['siteID']=$(this).attr('sid');
		tempArray['args']['params']['saveExisingSiteFtpDetails']['sourceSiteID']=$(this).attr('sid');
		tempArray['args']['params']['saveExisingSiteFtpDetails']['toIWP']=1;

		tempArray['requiredData']={};
		tempArray['requiredData']['getSitesUpdates']=1;
		tempArray['requiredData']['getClientUpdateAvailableSiteIDs']=1;
		tempArray['requiredData']['getGroupsSites']=1;
		tempArray['requiredData']['getRecentPluginsStatus']=1;
		tempArray['requiredData']['getRecentThemesStatus']=1;
		tempArray['requiredData']['getSites']=1;
		tempArray['requiredData']['getSitesList']=1;
		tempArray['requiredData']['stagingGetStagingBaseIDs']=1;
		
		tempArray['requiredData']['checkIsAddonSuiteMiniLimitExceeded']=1;
		tempArray['requiredData']['getAddonSuiteMiniLimit']=1;
		tempArray['requiredData']['getAddonSuiteMiniActivity']=1;
		
		$(this).addClass('disabled');
		$(this).prepend('<div class="btn_loadingDiv left"></div>');
		doCall(ajaxCallPath,tempArray,"processAddStagingSite","json","none");
		
	});

	$("#readdStagingSite").live('click',function(){
		stagingLoadReaddSiteModal($(this).attr('sid'));
	});

	 $(".stagingBackupSelection").live('click',function(){
        $(".stagingBackupSelection").removeClass('active');
        $(this).addClass('active');
        if ($("#stagingFromLink").hasClass('active')) {
        	$(".staging_backup_dropdown").select2("destroy");
        	$(".staging_backup_dropdown").hide();
        	$(".staging_backup_link").show();
        }else if($("#stagingFromList").hasClass('active')){
        	$(".staging_backup_dropdown").show();
        	$(".staging_backup_link").hide();
        	var tempArray ={};
        	tempArray['requiredData'] = {};
        	tempArray['requiredData']["stagingBackupList"] = {};
        	tempArray['requiredData']['stagingBackupList'][0] = $(this).attr('siteid');;
        	doCall(ajaxCallPath,tempArray,"stagingProcessBackupSelectionList","json","none");
        	$(".staging_backup_dropdown").select2({  
				width:'415px'
				
			});
        }else{
        	$(".staging_backup_dropdown").select2("destroy");
        	$(".staging_backup_dropdown").hide();
        	$(".staging_backup_link").hide();
        }
    });
});