
function stagingFormArrayStagingDelete(data){
	formArrayVar[data.actionResult.actionID]={};
	formArrayVar[data.actionResult.actionID]['function']="stagingDelete";
}

function stagingFormArrayStagingForClone(data){
	formArrayVar[data.actionResult.actionID]={};
	formArrayVar[data.actionResult.actionID]['function']="stagingForClone";
}

function stagingShowNoStagingProfileWarningModal(thisSiteID){
	var html = '<div class="dialog_cont remove_site do_staging">'+
					'<div class="th rep_sprite"> <div class="title droid700">STAGING SITE IS NOT CREATED YET</div> <a class="cancel rep_sprite_backup">cancel</a></div>'+
					'<div style="padding:20px;">' + 
						'<div style="text-align:center;" id="removeSiteCont">First create a staging site to do this action.<a class="create_staging_site" sid="'+thisSiteID+'">Click here</a> to create a new one.'+
						'</div>'+
					'</div>'+
					'<div class="clear-both"></div>'+
					'<div class="th_sub rep_sprite" style="border-top:1px solid #c6c9ca;" id="removeSiteButtons">'+
					'</div>'+
				'</div>';
	
	$("#modalDiv").dialog("close");
	$("#modalDiv").dialog("destroy");
	$('#modalDiv').html(html).dialog({width:'auto', modal:true,position: 'center' });
}

function stagingShowStagingUpdateOption(thisSiteID, type){
var html = '<div class="dialog_cont remove_site do_staging"><div class="th rep_sprite"> <div class="title droid700">UPDATE IN STAGING</div> <a class="cancel rep_sprite_backup">cancel</a></div><div style="padding: 20px;text-align: center;line-height: 22px;">Do you want to update in the existing staging site or <br>copy the live site to staging and then update in the freshly staged site?<br><br><span>(Last staged on <span>'+site[thisSiteID].stagingFtpDetails[Object.keys(site[thisSiteID].stagingFtpDetails)[0]].humanReadTime+')</span></span></div><div class="clear-both"></div><div class="th_sub rep_sprite" style="border-top:1px solid #c6c9ca;"><div class="btn_action float-right"><a id="'+type+'UpdateInNewStage" class="rep_sprite" sid="'+thisSiteID+'" stage_original_type="'+Object.keys(site[thisSiteID].stagingFtpDetails)+'" style="background: #4EA1DB;border: 1px #7D8B94 solid;text-shadow: none;">Stage and Update</a></div><div class="btn_action float-right"><a id="'+type+'UpdateInExistingStage" style="color: #6C7277;font-size:11px;text-shadow: none;background-position: 0 -143px;border: 1px solid #b7bbbe;" class="rep_sprite " sid="'+thisSiteID+'">Update in existing staging site</a></div></div></div>';
	$("#modalDiv").dialog("close");
	$("#modalDiv").dialog("destroy");
	$('#modalDiv').html(html).dialog({width:'auto', modal:true,position: 'center' });
}

function stagingShowStagingConfirmModal(thisSiteObj, stagingType, stagingOrigType){
	var html = '<div class="dialog_cont remove_site do_staging">'+
					'<div class="th rep_sprite"> <div class="title droid700">'+thisSiteObj.title+'</div> <a class="cancel rep_sprite_backup">cancel</a></div>'+
					'<div style="padding:20px;">' + 
						'<div style="text-align:center;" id="removeSiteCont">'+thisSiteObj.desc+''+
						'<div class="site">'+thisSiteObj.url+'</div>'+
						'<span style="line-height: 1.5;">'+thisSiteObj.footer+'</span>'+
						'</div>'+
					'</div>'+
					'<div class="clear-both"></div>'+
					'<div class="th_sub rep_sprite" style="border-top:1px solid #c6c9ca;" id="removeSiteButtons">'+
						'<div class="warning rep_sprite_backup">This action cannot be undone.</div>'+
						'<div class="btn_action float-right"><a class="rep_sprite" id="confirm_staging" create_or_remove="'+thisSiteObj.createOrRemove+'" sid="'+thisSiteObj.siteID+'" stage_type="'+stagingType+'" stage_original_type="'+stagingOrigType+'">'+thisSiteObj.confirm+'</a></div>'+
						'<span class="float-right cancel" id="no_confirm_staging">Don\'t '+thisSiteObj.confirm+'</span>'+
					'</div>'+
				'</div>';
	
	$("#modalDiv").dialog("close");
	$("#modalDiv").dialog("destroy");
	$('#modalDiv').html(html).dialog({width:'auto', modal:true,position: 'center' });
}

function stagingProcessStagingStatus(data){
	if(typeof data.data != 'undefined' && typeof data.data.getStagingStatus != 'undefined' && !iwpIsEmpty(data.data.getStagingStatus)){
		if(data.data.getStagingStatus.status == 'completed'){
			clearInterval(getStagingStatusInterval);
			$("#modalDiv").dialog("destroy");
			//refreshing panel
			var tempArray={};
			tempArray['args']={};
			tempArray['args']['siteIDs']={};
			tempArray['args']['siteIDs'][0]=data.data.getStagingStatus.siteID;
			tempArray['args']['params']={};
			tempArray['args']['params']['forceRefresh']=1;
			$("#reloadStats").addClass('disabled');
			$("#reloadStats").closest('div').addClass('disabled');
			$("#reloadStats").prepend('<div class="btn_loadingDiv"><div>');
			tempArray['action']='getStats';
			tempArray['requiredData']={};
			tempArray['requiredData']['getSites']=1;
			tempArray['requiredData']['getSitesUpdates']=1;
			tempArray['requiredData']['getSitesList']=1;
			doCall(ajaxCallPath,tempArray,"refreshStats","json","none");
		}
	}
	else{
		clearInterval(getStagingStatusInterval);
	}
}

function stagingGetSiteToggleStagingButtonDiv(siteID){
	var html = '';
	var thisSiteStagingFtpDets = site[siteID]['stagingFtpDetails'];
	if(!(iwpIsEmpty(thisSiteStagingFtpDets)) && !iwpIsEmpty(site[siteID].isStaging)){
		$.each(thisSiteStagingFtpDets, function(k, v){
			html = '<li class="restrictToggleSite"><a class="link " target="_blank" href="' + v['newSiteURL'] + '" sid="'+siteID+'">View staging site</a><a class="link stagingCopyToLive"  stage_type="stagingCopyToLive" stage_original_type="' + k + '" surl="'+v.newSiteURL+'" sid="'+siteID+'">Copy live to staging</a><a  class="link adminPopout"  sid="'+stagingSites[siteID].siteID+'">Open admin in a new tab</a><a class="link edit_staging_settings" stage_type="' + k + '" sid="'+siteID+'">Edit Staging details</a><a class="link readd_staging_settings" stage_type="' + k + '" sid="'+siteID+'" id ="readdStagingSite">Readd Staging </a><a class="link remove remove_staging" surl="'+v.newSiteURL+'" stage_type="' + k + '" sid="'+siteID+'">Remove staging site</a><i class="fa fa-clone site_hover_fa"></i></li>';
		});
	}
	else{
		html = '<li class="restrictToggleSite"><a class="link create_staging_site" sid="'+siteID+'">Create staging site</a><i class="fa fa-clone site_hover_fa"></i></li><li class="restrictToggleSite"><a class="link addExistingStaging" sid="'+siteID+'">Add existing staging site</a><i class="fa fa-staging site_hover_fa"></i></li>';
	}
	
	return html;
}

function stagingFillStagingModalForEdit(siteID){
	var thisSiteStagingFtpDets = site[siteID]['stagingFtpDetails'];
	var thisStageType = '';
	var singleDets = {};
	
	if((iwpIsEmpty(thisSiteStagingFtpDets))){
		return false;
	}
	
	$.each(thisSiteStagingFtpDets, function(k, v){
		thisStageType = k;
		singleDets = v;
	});
	
	$(".site_toggle.FTPConnectionType").removeClass("active");
	$("#"+thisStageType).addClass('active');
	
	stagingModifyStagingModalDiv(thisStageType);
	populateProfileDropDown_IC_Common({ data: { stagingGetStagingFtpDetails: singleDets } });
	
}

function stagingModifyStagingModalDiv(id){
	if(id == 'stagingDefaultServer'){
		$(".ftp_no_settings_warning").hide();
		$("#customStagingTestConnection").hide();
		$(".staging_modal .default_target_folder_form").show();
		$("#stage_this_site").attr("stage_type", "stagingDefaultServer");
	}
	else if(id == 'stagingCustomServer'){
		$('#stage_this_site').removeClass('disabled');
		$(".ftp_no_settings_warning").hide();
		$("#customStagingTestConnection").show();
		$("#stage_this_site").attr("stage_type", "stagingCustomServer");
		$('.stagingCustomServer_form').find('#hostName').val('');
		$('.stagingCustomServer_form').find('#hostPort').val('21');
		$('.stagingCustomServer_form').find('#hostUserName').val('');
		$('.stagingCustomServer_form').find('#hostPassword').val('');
		$('.stagingCustomServer_form').find('#remoteFolder').val('');
		$('.stagingCustomServer_form').find('#newSiteURL').val('');
		$('.stagingCustomServer_form').find('#dbHost').val('localhost');
		$('.stagingCustomServer_form').find('#dbName').val('');
		$('.stagingCustomServer_form').find('#dbUser').val('');
		$('.stagingCustomServer_form').find('#dbPassword').val('');
		$('.stagingCustomServer_form').find('#use_ftp').addClass('active');
		$(".staging_modal .stagingCustomServer_form").show();
	}
	else if(id == 'stagingDomainServer'){
		$(".ftp_no_settings_warning").hide();
		$("#customStagingTestConnection").hide();
		$(".staging_modal .domain_target_folder_form").show();
		$("#stage_this_site").attr("stage_type", "stagingDomainServer");
	}
	$("#stagingFtpForm #update_in_staging_switch").parent(".ftp_group").hide();
	$("#stagingFtpForm #openAutoFillCpanel").hide();
}

function stagingLoadStagingModal(siteID, editSite ){
	var html = '';
	
	var subHtml = {};
	var siteName = site[siteID].name;
	var shortSiteName = '';
	if (siteName.length > 16) {
		shortSiteName = jQuery.trim(site[siteID].name).substring(0, 16)+ "...";
	} else{
		shortSiteName = siteName;
	}
	if (editSite) {
		subHtml['modalHeader'] = '<div class="th rep_sprite"> <div class="title droid700">EDIT STAGING SITE DETAILS</div> <a class="cancel rep_sprite_backup">cancel</a></div>';
	}else{
		subHtml['modalHeader'] = '<div class="th rep_sprite"> <div class="title droid700">CREATE NEW STAGING SITE</div> <a class="cancel rep_sprite_backup">cancel</a></div>';
	}
	
	subHtml['selectType'] = '<div class="ftp_group" style="width:100%">'+
		'<div class="radioConnType" style="width: 72%;margin: 10px auto;">'+
			'<div class="label" style="width: 47%; margin: 16px auto 10px;">Where do you want to create the staging site?</div>'+
			'<div class="c_radio site_toggle FTPConnectionType active" sid="'+siteID+'" id="stagingDomainServer" style="margin-left:-10px;" title="'+site[siteID].name+'""> Stage on '+shortSiteName+'\'s server </div>'+
			'<div class="c_radio site_toggle FTPConnectionType" id="stagingDefaultServer"> Stage on my staging server </div>'+
			'<div class="c_radio site_toggle FTPConnectionType" id="stagingCustomServer"> Stage to a custom FTP </div><div class="clear-both"></div>'+
		'<span style="color: green;margin-top: 5px; margin-left:18px;"> (Recommended) </span></div>'+
	'</div>';
	
	subHtml['domainTargetFolderForm'] = '<div class="domain_target_folder_form sub_form steps_container" style="border:none; width:90%; margin:5px auto; display:none;"><form id="stagingFtpForm" class="inner_cont">'+ getTargetFolderDiv(editSite) +'</form><span class="staging_backup" style="float:left;padding-left: 70px;padding-bottom: 10px;padding-top: 23px"></span><span style="float:left;padding-left: 3px;padding-top: 26px">This will create a new manual backup and will delete backups older than the last 5.</span><div class="clear-both"></div></div>';
	
	subHtml['defaultTargetFolderForm'] = '<div class="default_target_folder_form sub_form steps_container" style="border:none; display:none; width:90%; margin:5px auto;"><form id="stagingFtpForm" class="inner_cont"><div class="label" style="width: 20%;margin: 0px auto;font-weight:700;">SELECT BACKUP</div><div class="radioConnType" style="width: 62%;margin: 0px auto;"><div class="c_radio stagingBackupSelection active" id="stagingBackupSelectionNone" style="margin-left:-10px;"> NONE </div><div class="c_radio stagingBackupSelection " id="stagingFromLink" > BACKUP FROM LINK </div><div class="c_radio stagingBackupSelection " id="stagingFromList" siteID='+siteID+' > BACKUP FROM EXISTING LIST </div><select class="staging_backup_dropdown float-left" id="staging_backup_select" style="width: 204px;display:none;"><option value="">No backups available</option></select><input name="" type="text" class="formVal staging_backup_link" placeholder="http://backupdomain.com/backup_filename.zip" style="width: 407px !important;display:none;"><div class="clear-both"></div></div>'+ getTargetFolderDiv(editSite) +'</form><span class="staging_backup" style="float:left;padding-left: 70px;padding-bottom: 10px;padding-top: 23px"></span><span style="float:left;padding-left: 3px;padding-top: 26px">This will create a new manual backup and will delete backups older than the last 5.</span><div class="clear-both"></div></div>';
	
	subHtml['ftpSettingsForm'] = '<div class="stagingCustomServer_form sub_form steps_container" style="display: none !important; border: none;">'+ stagingGetFtpSetttingsDefault(editSite) +'<div class="clear-both"></div>';
	
	subHtml['modalFooter']  = '<div class="th rep_sprite" style="border-top:1px solid #c6c9ca; height: 35px;"><div class="btn_action float-right"> <div style="display:none; position: absolute;margin-left: -149px !important;" id="customStagingTestConnection" class="rep_sprite finalClonePageData cloneTestConnectionTh th_sub stagingTestConnection"><div class="test_conn customStagingSetting" id="cloneTestConnection">Test connection</div> </div>'+
	'<a class="rep_sprite" sid="'+ siteID +'" id="stage_this_site" stage_type="stagingDomainServer" style="color: #6c7277;" >Create staging site</a>'+
	'</div><span class="staging_warning" style="float: left;padding: 12px;padding-left: 32px;">Target folder will be emptied before creating staging </span></div>';
	
	html = '<div class="dialog_cont staging_modal">' + getAppendedForEach(subHtml) + '</div>';
	
	$("#modalDiv").dialog("close");
	$("#modalDiv").dialog("destroy");
	$('#modalDiv').html(html).dialog({width:'auto', modal:true, position: 'top', resizable: false, open: function(event, ui) {bottomToolBarHide(); },close: function(event, ui) {bottomToolBarShow(); } });
}

function stagingReplaceUpdateButtonWithStagingButton(flag){
	if(iwpIsEmpty(stagingUpdateInStagingSetting) || stagingUpdateInStagingSetting == 0) {
		return false;
	}

	$($("#siteViewUpdateContent").find(".update_single")).each(function(k, v){
		if (!$(this).parent('.actions').find('.update_single_in_staging').length){
			$(this).after('<a class="float-left update_single_in_staging" style="width: 118px;" selector="'+$(this).attr("selector")+'" parent="'+$(this).attr("parent")+'">Update in staging</a>');
		}
	});
	if (typeof flag != undefined && !flag && ($('.row_summary').attr('view') == 'sites' || $('.row_summary').attr('view') == 'hiddenUpdates' || $('.row_summary').attr('view') == 'WPVulns')) {
		$($("#siteViewUpdateContent").find(".update_all_group:not(.rep_sprite)")).each(function(k, v){
			if (!$(this).parent('.row_action').find('update_group_in_staging').length && !$(this).parent('.row_action').hasClass('update_group_in_staging')) {
				$(this).after('<a class="update_group_in_staging needConfirm action float-right" selector="'+$(this).attr("selector")+'" parent="'+$(this).attr("parent")+'"><span class="statusSpan">Update All in Staging</span></a>');
			}
		});
	} else if ($('.row_summary').attr('view') == 'sites' || $('.row_summary').attr('view') == 'hiddenUpdates' || $('.row_summary').attr('view') == 'WPVulns'){
		$($('.ind_row_cont[siteid='+flag+']').find(".update_group:not(.rep_sprite)")).each(function(k, v){
			if (!$(this).parent('.row_action').find('update_group_in_staging').length && !$(this).parent('.row_action').hasClass('update_group_in_staging')) {
				$(this).after('<a class="update_group_in_staging needConfirm action float-right" selector="'+$(this).attr("selector")+'" parent="'+$(this).attr("parent")+'"><span class="statusSpan">Update All in Staging</span></a>');
			}
		});
	}
	
	
	$(".row_detailed .rh .row_name").css({"width": "55%"});
	if($('.row_summary').attr('view') == 'sites' || $('.row_summary').attr('view') == 'hiddenUpdates' || $('.row_summary').attr('view') == 'WPVulns'){
		$(".row_detailed .rd .row_updatee_ind .item_ind.active .item ").css({"width": "55%"});
	} else{
		$(".row_detailed .rd .row_updatee_ind .item_ind.active .item ").css({"width": "65%"});
	}
	if ($('.row_summary').attr('view') == 'sites'){
		$("#siteViewUpdateContent .row_summary .row_name").css({"width": "42%"});
	}
	if ($('.row_summary').attr('view') == 'WPVulns') {
		$("#siteViewUpdateContent .row_summary .row_name").css({"width": "42%"});
	}
	if ($('.row_summary').attr('view') == 'hiddenUpdates') {
		$("#siteViewUpdateContent .row_summary .row_name").css({"width": "42%"});
	}
	if($('.row_summary').attr('view') == 'sites'){
		$(".th_sub.rep_sprite .label").first().css({"margin-right": "10%"});
	}if($('.row_summary').attr('view') == 'WPVulns'){
		$(".th_sub.rep_sprite .label").first().css({"margin-right": "10%"});
	}
	if($('.row_summary').attr('view') == 'hiddenUpdates'){
		$(".th_sub.rep_sprite .label").first().css({"margin-right": "10%"});
	}


}


function stagingGetFtpSetttingsDefault(editSite){
	var ftpHtml = '';

	var FTPHeader = '<div class="left_col" style="padding: 0 4% 1%;"><div class="sub_title">FTP DETAILS</div>';

	var FTPHost = '<div class="float-left" style="width: 46%; margin-right:20px"><div class="label">FTP HOST</div><input name="" type="text" id="hostName" class="formVal fileTreeVal required" style="height: 20px !important;width: 100% !important;"></div>';

	var FTPPort = '<div class="float-left" style="width: 46%;"><div class="label">FTP PORT</div><input name="" type="text" id="hostPort" value="21" class="formVal fileTreeVal required" style="height: 20px !important;width: 100% !important;"></div>';
	var FTPUsername = '<div class="float-left" style="width:46%; margin-right:20px"><div class="label">FTP USERNAME</div><input name="" type="text" id="hostUserName" class="formVal fileTreeVal required" style="height: 20px !important;width: 100% !important;"></div>';

	var FTPPassword = '<div class="float-left" style="width:46%; position: relative;"><div class="label">FTP PASSWORD</div><a class="show_password" style="position: absolute;right: -12px;top: 25px;">Show</a><input name="" type="text" id="hostPassword" class="formVal fileTreeVal required passwords" style="padding: 3px 41px 3px 5px;"></div>';

	var FTPOptions = '<div class="radioConnType"><div class="label float-left radio_label" style="margin-top: 7px; margin-right: 28px;">Connection Type</div><div class="c_radio FTPConnectionType" id="use_ftp" style="margin-left:-10px;"> FTP </div><div class="c_radio FTPConnectionType" id="hostSSL"> FTP SSL </div><div class="c_radio FTPConnectionType" id="use_sftp"> SFTP</div><div class="clear-both"></div></div>';

	var FTPMode = '<div class="checkbox generalSelect label active" id="hostPassive" style="margin-left: 113px;">Use passive mode</div><br><br>';

	var FTPErrorMesg = '<div class="errorMsg browseFileError" style="margin:0px; line-height: 20px;padding: 4px 4px;text-align:left;display:none">Could not connect to the server. Please check the credentials.</div>';
	if (editSite) {
		var FTPTargetFolder = '<div class="sub_title">TARGET FOLDER</div> <div class="staging_path" style="padding-bottom: 17px; color: #737987;">Changing the path will not delete old staging site</div>';
	} else{
		var FTPTargetFolder = '<div class="sub_title">TARGET FOLDER</div>';
	}

	var FTPFileTree = '<div style="position:relative; padding-bottom: 40px;" id="cloneTargetArea"><div style="border-left: 1px dashed rgb(183, 190, 192); position: absolute; left: -15px; top: 32px; height: 120px;"></div> <div style="border-top: 1px dashed rgb(183, 190, 192); position: absolute; width: 15px; left: -15px; height: 44px; top: 31px;"></div> <div style="border-top: 1px dashed rgb(183, 190, 192); position: absolute; width: 15px; left: -15px; height: 44px; top: 103px;"></div> <div style="border: 1px dashed rgb(183, 190, 192); position: absolute; left: -25px; color: rgb(147, 152, 162); padding: 6px; border-radius: 5px; top: 151px;">These 2 should point to the same folder</div><div class="placedBackupAraea" style="display:none"><div class="label">Placed Backup File name</div><input name="" type="text" id="placedBackup" value="" class="formVal required" style=""></div><div class="label">SELECT YOUR TARGET FOLDER</div><div style="position:relative;" class="targetFolderArea"><div style="border: 1px solid #b7bec0 ; border-radius: 3px; margin-bottom:20px;width: 348px;"><div class="browseFilesIC" id="browseFiles_IC_staging"></div><input type="text" style="float:left;border: 0!important; width: 63%!important; margin: 0;" name="" id="remoteFolder" class="formVal required"><div class="clear-both"></div></div><div style="margin-top:-17px;margin-bottom: 12px;font-size:11px; color: #9398a2;"><label for="remoteFolder">To create a new folder, enter the new folder named after the parent folder</label></div><div class="fileTreeClass addScroll" id="fileTreeContainer" style="display:none">click here to select the folder</div></div><div class="label">FULL URL TO THE TARGET FOLDER</div><input name="" type="text" id="newSiteURL" class="formVal required" placeholder="http://yourdomain.com/path" style="color:#AAA;  width: 95% !important;"><div style="text-transform:none; font-size:11px;margin-top: -16px; color: #9398a2;">Example:<strong>http://</strong>yourdomain.com/path/to/<span style="font-weight:700;">targetFolder</span></div></div></div>';

	var dbHeader ='<div class="right_col"><div class="sub_title">DATABASE DETAILS</div>'

	var dbHost = '<div class="float-left" style="width:45%; margin-right:20px"><div class="label">DB HOST</div><input name="" type="text" id="dbHost" value="localhost" class="formVal required" style="height: 20px !important;width: 100% !important;"></div>'

	var dbName = '<div class="float-left" style="width:49%;"><div class="label">DB NAME</div><input name="" type="text" id="dbName" class="formVal required" style="height: 20px !important;width: 100% !important;"></div>'

	var dbUser = '<div class="float-left" style="width:45%; margin-right:20px"><div class="label">DB USERNAME</div><input name="" type="text" id="dbUser" class="formVal required" style="height: 20px !important;width: 100% !important;"></div>'

	var dbPassword ='<div class="float-left" style="width:49%; position: relative;"><div class="label">DB PASSWORD</div><a class="show_password" style="position: absolute;right: -12px;top: 25px;">Show</a><input name="" type="text" id="dbPassword" class="formVal required passwords" style="padding: 3px 41px 3px 5px;"></div> </div>'

	var HTMLContent = FTPHeader + FTPHost + FTPPort + FTPUsername + FTPPassword + FTPOptions + FTPMode + FTPErrorMesg + FTPTargetFolder + FTPFileTree + dbHeader + dbHost + dbName + dbUser + dbPassword; 
	ftpHtml = '<form class="inner_cont" id="stagingFtpForm" >' +HTMLContent + '<span class="staging_backup" style="float:left;padding-left: 26px;padding-bottom: 20px;padding-top: 4px">This will create a new manual backup and will delete backups older than the last 5.</span></div></form>';
	testConnectionDefault = '<div class="rep_sprite finalClonePageData cloneTestConnectionTh" style="position: absolute;margin-left: -149px !important;"> <div> <div class="test_conn staging_settings" id="cloneTestConnection">Test connection</div> </div> </div>'; 
	return ftpHtml;
}

function stagingInitiateFillingMainStagingFtpSettings(){
	stagingGetMainStagingFtpDetails();
}

function stagingInitiateFillingMainStagingFtpSettingsInModal(){
	stagingGetMainStagingFtpDetailsInModal();
}

function stagingInitiateFillingStagingFtpSettings(siteID){
	stagingGetStagingFtpDetails(siteID);
}

function stagingGetStagingFtpDetails(siteID){
	var tempArray = {};
	tempArray['requiredData'] = {};
	tempArray['requiredData']['stagingGetStagingFtpDetails'] = {};
	tempArray['requiredData']['stagingGetStagingFtpDetails']['siteID'] = siteID;
	doCall(ajaxCallPath,tempArray,"stagingPopulateStagingFtpSettings","json","none");
}

function stagingGetMainStagingFtpDetailsInModal(){
	var tempArray = {};
	tempArray['requiredData'] = {};
	tempArray['requiredData']['stagingGetMainStagingFtpDetails'] = {};
	tempArray['requiredData']['stagingGetMainStagingFtpDetails'] = 1;
	doCall(ajaxCallPath,tempArray,"stagingPopulateDefaultStagingFtpSettings","json","none");
}

function stagingGetMainStagingFtpDetails(){
	var tempArray = {};
	tempArray['requiredData'] = {};
	tempArray['requiredData']['stagingGetMainStagingFtpDetails'] = {};
	tempArray['requiredData']['stagingGetMainStagingFtpDetails'] = 1;
	doCall(ajaxCallPath,tempArray,"stagingPopulateStagingFtpSettings","json","none");
}

function stagingPopulateDefaultStagingFtpSettings(data){
	$(".ftp_no_settings_warning").remove();
	if(iwpIsEmpty(data) || iwpIsEmpty(data.data) || iwpIsEmpty(data.data.stagingGetMainStagingFtpDetails)){
		//show warning
		var html = '<div class="ftp_no_settings_warning" style="padding:20px;"><div style="text-align:center; " class="site" ><div style="line-height: 18px; color: rgb(169, 42, 42); padding: 3px 5px; border-radius: 3px; border: 1px solid rgb(197, 136, 136); background: rgb(239, 222, 222);overflow: hidden;text-overflow: ellipsis; width:50%; display: inline-block;" class="err_span">FTP details were not entered for staging server</div></div><div style="padding: 20px; text-align: center;">To use it for the staging site, <span sid="'+$("#stagingDomainServer").attr("sid")+'" class="open_staging_settings"><a>Add FTP details now</a></span></div></div>';
		
		$(".default_target_folder_form.sub_form").hide().after(html);
		$("#stage_this_site").addClass("disabled");
	}
	else{
		populateProfileDropDown_IC_Common(data);
		$('#stage_this_site').removeClass('disabled');
	}
	$('#loadingDiv').hide();
}

function stagingPopulateStagingFtpSettings(data){
	populateProfileDropDown_IC_Common(data);
	$('#loadingDiv').hide();
	$('#stage_this_site').removeClass('disabled');
	$('#saveSettingsBtn').removeClass('disabled');
}

function stagingInitiateStagingDelete(siteID, stagingType){
	var tempArray={};
	tempArray['action']='stagingDeleteSite';
	
	tempArray['args']={};
	tempArray['args']['params']={};
	tempArray['args']['params']['isStaging'] = 1;
	tempArray['args']['params']['stagingType'] = stagingType;
	
	if(iwpIsEmpty(stagingType)){
		return false;
	}
	
	var stagingCreds = getSaveFtpReqVar();

	tempArray['args']['params'][stagingType] = {};
	tempArray['args']['params'][stagingType] = stagingCreds;

	tempArray['args']['siteIDs']=siteID;
	$("#modalDiv").dialog("destroy");
	tempArray['requiredData'] = {};
	tempArray['requiredData']['getSites']=1;
	if (stagingCreds != false) {
		doCall(ajaxCallPath,tempArray,'stagingFormArrayStagingDelete','json',"none");
	}
}

function stagingPerformStagingProcess(siteID, toBeUpdated, stagingType, stagingOrigType){
	var tempArray={};
	
	tempArray['args']={};
	tempArray['args']['params']={};
	if (($('#stagingBackupSelectionNone').hasClass('active') && stagingType != 'stagingDomainServer') || stagingOrigType == 'stagingDefaultServer' || stagingOrigType == 'stagingCustomServer') {
		tempArray['action']='installCloneBackupNow';
		tempArray['args']['params']['config']={};
		var backupExcludeFiles='';
		tempArray['args']['params']['config']['excludeFileSize'] = 0;
		tempArray['args']['params']['config']['fail_safe_check_files'] = 0;
		tempArray['args']['params']['config']['fail_safe_check_DB'] = 0;
		tempArray['args']['params']['config']['mechanism'] = 'multiCall';
		tempArray['args']['params']['config']['exclude']=backupExcludeFiles;
	}else if(stagingType == 'stagingDomainServer'){
		var backupFile='';
		tempArray['action']='installCloneCommonNewSite';
		if ($('#stagingFromLink').hasClass('active')) {
			backupFile = $('.staging_backup_link').val();
		}
		if ($('#stagingFromList').hasClass('active')) {
			backupFile = $('#staging_backup_select').val();
		}
		tempArray['args']['params']['backupURL']=backupFile;
		tempArray['args']['params']['siteID']=siteID;
		tempArray['args']['params']['isFromBackup']=1;
		tempArray['args']['params']['isSameServerStaging'] = 1;
	}else {
		var backupFile='';
		tempArray['action']='installCloneCommonNewSite';
		if ($('#stagingFromLink').hasClass('active')) {
			backupFile = $('.staging_backup_link').val();
		}
		if ($('#stagingFromList').hasClass('active')) {
			backupFile = $('#staging_backup_select').val();
		}
		tempArray['args']['params']['backupURL']=backupFile;
		tempArray['args']['params']['siteID']=siteID;
		tempArray['args']['params']['isFromBackup']=1;
	}
	
	if(typeof toBeUpdated != 'undefined' && toBeUpdated != ''){
		tempArray['args']['params']['toBeUpdated']={};
		tempArray['args']['params']['toBeUpdated']=toBeUpdated;
	}
	tempArray['args']['params']['isStaging'] = 1;
	tempArray['args']['params']['stagingType'] = stagingType;
	
	if(iwpIsEmpty(stagingType)){
		return false;
	}

	var stagingCreds = getSaveFtpReqVar();
	tempArray['args']['params'][stagingType] = {};
	tempArray['args']['params'][stagingType] = stagingCreds;
	tempArray['args']['siteIDs']=siteID;
	if (stagingCreds != false) {
		doCall(ajaxCallPath,tempArray,'stagingFormArrayStagingForClone','json',"none");
		$("#stage_this_site").addClass("disabled");
		$("#modalDiv").dialog("close");
	}
}

function stagingProcessSaveStagingSettings(data){
	settingsData['data']['getSettingsAll']['settings']['mainStagingFtpDetails'] = data.data.getSettingsAll.settings.mainStagingFtpDetails;
	$("#saveSettingsBtn").removeClass("disabled");
	$(".btn_loadingDiv").remove();
	$("#saveSuccess").show();
    setTimeout(function () { $("#saveSuccess").hide();},1000);

}

function stagingProcessUpdateInStagingSwitchSettings(data){
	$("#loadingDiv").hide();
	$("#saveSettingsBtn").removeClass('disabled');
	stagingUpdateInStagingSetting = data.data.stagingProcessUpdateInStagingSwitchSettings;
}

function stagingLoadAddStagingSite(gSiteID)
{
	
	var content='';
	var extra='';
	var googleHtml='';
	var googleWMHtml='';

	content=content+'<div class="dialog_cont add_site"> <div class="th rep_sprite " id="addSiteSprite"> <div class="title droid700">ADD A EXISTING STAGING WORDPRESS SITE</div> <a class="cancel rep_sprite_backup">cancel</a></div> <div class="add_site form_cont " style="border:0;"> <div class="tr"> <div class="tl ">wp-admin URL</div> <div class="td"> <input name="" type="text" id="adminURL" class="onEnter" onenterbtn=".addSiteButton" /> </div> <div class="clear-both"></div> </div>  <div class="tr"> <div class="tl ">Admin Username</div> <div class="td"> <input name="" type="text" id="username" class="onEnter" onenterbtn=".addSiteButton" /> </div> <div class="clear-both"></div> </div> <div class="tr websiteURLCont" style="display:none"> <div class="tl">Website URL</div> <div class="td"> <input name="website" type="text" id="websiteURL" class="onEnter" onenterbtn=".addSiteButton" placeholder="http://" /> </div> <div class="clear-both"></div> </div><div class="tr activationKeyDiv" > <div class="tl ">Activation Key</div> <div class="td"> <input name="" type="text" id="activationKey" class="onEnter" onenterbtn=".addSiteButton" /> <div style="color: #737987;line-height: 16px;">The Activation Key will be displayed every time you activate the IWP Client Plugin on your website.</div> </div> <div class="clear-both"></div> </div> ';
	//<option value="AL">Alabama</option> <option value="WY">Wyoming</option>
	content=content+'<div class="tr" style="margin-top: 25px; margin-bottom: 15px;"> <div class="tl"></div> <div class="td"><span class="toggle_link"><span class="addSiteToggleAction advancedContentTypeAction">Advanced</span></span></div> <div class="clear-both"></div> </div> <div class="tr siteNameItem addSiteToggleDiv" style="display:none"> <div class="tl">Site Alias</div> <div class="td"> <input name="" type="text" class="siteName" id="addSiteSiteName" placeholder="site alias" style="color:#AAAAAA"/></div><div class="clear-both"></div></div>  <div class="tr advancedContentTypeItem addSiteToggleDiv" style="display:none"> <div class="tl">CONTENT TYPE</div> <div class="td"> <div class="c_radio cTypeRadio active">application/x-www-form-urlencoded</div> <div class="c_radio cTypeRadio">multipart/form-data</div> <div class="c_radio cTypeRadio">text/plain</div> <div class="c_radio cTypeRadio customTxt"> <input name="" type="text" style="width:200px; height:10px; margin-top: -4px;" class="customTxtVal" placeholder="custom type"> </div> </div> <div class="clear-both"></div> <div class="tl">CONNECT USING</div> <div class="td"> <ul class="btn_radio_slelect float-left" style="margin-left:10px;"> <li><a class="rep_sprite optionSelect connectURLClass active" def="default">Default</a></li> <li><a class="rep_sprite optionSelect connectURLClass" def="siteURL">Site URL</a></li> <li><a class="rep_sprite optionSelect connectURLClass"  def="adminURL">wp-admin URL</a></li> </ul> </div> <div class="clear-both"></div> </div> <div class="tr assignGroupItem addSiteToggleDiv"> <div class="tl two_liner">New Group<br /> <span style="text-transform:none; font-size:12px;">(separate by comma)</span></div> <div class="td"> <input name="" type="text" placeholder="eg. group1, group2" id="groupText" style="color:#AAAAAA"/> </div> <div class="clear-both"></div> </div> '+extra+'</div> <div class="clear-both"></div> <div class="th_sub rep_sprite"><span class="rep_sprite_backup info float-left" id="clientPluginDescription" style="padding: 11px 10px 9px 4px;width: 416px;">The IWP Client Plugin should be installed on the sites before adding them.</span> <div class="btn_action float-right "><a class="rep_sprite addStagingButton" sid = "'+gSiteID+'">Add Staging Site</a></div> </div> <div class="clear-both"></div> </div>';
	$("#modalDiv").dialog("close");
	$("#modalDiv").dialog("destroy");
	
	$('#modalDiv').html(content).dialog({width:'auto', modal:true,position: 'center',resizable: false,open: function(event, ui) {bottomToolBarHide(); },close: function(event, ui) {bottomToolBarShow(); } });
	$(".assignGroupItem").hide();
	
	$(".dialog_cont #gg").css("visibility", "visible");
	$(".dialog_cont #gg").css("top", "auto");
	if(typeof isStaging!='undefined' && isStaging == 1){
		addFtpButtonInSiteDetails(gSiteID, 1);
	}
	$(".ftpDetailsToggleAction").click();
	
}

function processAddStagingSite(data){
	$(".addSiteButton").removeClass('disabled');
	$(".addStagingButton").removeClass('disabled');
	$("#modalDiv .btn_loadingDiv").remove();
	
	isAddonSuiteMiniLimitExceeded = data.data.checkIsAddonSuiteMiniLimitExceeded;
	addonSuiteMiniLimit = data.data.getAddonSuiteMiniLimit;	
	addonSuiteMiniActivity = data.data.getAddonSuiteMiniActivity;
	if(data.actionResult==false) return(false);
	
	var errdata=data.actionResult.detailedStatus[0];
	if(errdata.status!='success')
	{
		if(errdata.error=='main_plugin_connection_error')
		{
			var webURL=$("#adminURL").val();
			webURL= webURL.Trim();
			if(webURL.charAt( webURL.length-1 )!="/")
			webURL = webURL+"/";
			var search_wpadmin = webURL.search("wp-admin");
			if(search_wpadmin > 0)
			{
				var plink=webURL+'plugin-install.php?tab=search&type=term&s=InfiniteWP&plugin-search-input=Search+Plugins';
			}
			else
			{
				var plink=webURL+'wp-admin/plugin-install.php?tab=search&type=term&s=InfiniteWP&plugin-search-input=Search+Plugins';
			}
			var errorMsg='Yikes! It appears IWP plugin has not been installed in this site. Click here to <a href="'+plink+'" target="_blank">Install</a> it.<br>OR<br>If you have already installed IWP Plugin, deactivate and activate it now.';
		}
		else
		var errorMsg=errdata.errorMsg;
		if(errdata.error=="404" || errdata.error=="402" || errdata.error=="403")
		errorMsg+='<br><a href="'+supportURL+'support/solutions/articles/212260-402-403-404-error-while-adding-site/'+GAHelpTracking+'" target="_blank">Try this possible solution</a>';
		var errContent='<span id="addSiteErrorMsg"><span class="fail_icon"></span>'+errorMsg+'</span>';
		$("#addSiteSprite").after(errContent);
	}
	else
	{
		$("#modalDiv").dialog("close");
		
		resetVars(data);
		refreshStats(data,1);
		$("#bottom_sites_cont").show();
		$(".showFooterSelector").addClass("pressed");
		var lastKey=getLastKey(data.data.getSites);
		
		//for tweeting
		var this_count = getPropertyCount(data.data.getSites);
		if(this_count >= 3 && threeSitesTweetStatus != "done"){
			showTweetDialog("three_sites");
		}
		
		$("#bottomToolBarSelector #bottom_left .nano").nanoScroller({ scroll: 'bottom' });
		$("#bottomToolBarSelector #bottom_left .bottomSites#s"+lastKey).effect("highlight", {}, 3000);
	}
	if(typeof data.data.getRecentPluginsStatus != 'undefined')
		pluginsStatus = data.data.getRecentPluginsStatus; 
	if(typeof data.data.getRecentThemesStatus != 'undefined')
		themesStatus = data.data.getRecentThemesStatus; 
	if(typeof data.data.stagingGetStagingBaseIDs != 'undefined')
		stagingSites = data.data.stagingGetStagingBaseIDs; 
	clientUpdateNotificationPush(data,1)
}

function stagingLoadReaddSiteModal(siteID){
	var content='';
	content='<div class="dialog_cont readd_site"> <div class="th rep_sprite"> <div class="title droid700">RE-ADD WEBSITE</div> <a class="cancel rep_sprite_readd">cancel</a></div> <div style="padding:20px;"><div style="text-align:center;" id="readdSiteCont">Are you sure you want to re-add this website?<div class="site">'+stagingSites[siteID].URL+'</div><div class="readdAuthKey_wrapper form_cont"><div class="tr"> <div class="tl ">Activation Key</div> <div class="td"> <input name="" type="text" id="readdAuthKey" class="onEnter cp_creds" onenterbtn="#readdSiteConfirm"> </div> <div class="clear-both"></div> </div></div></div></div> <div class="clear-both"></div> <div class="th_sub rep_sprite" style="border-top:1px solid #c6c9ca;" id="readdSiteButtons"><div class="response rep_sprite_readd"></div>  <div class="btn_action float-right"><a class="rep_sprite" id="readdSiteConfirm" sid="'+stagingSites[siteID].siteID+'">Re-add site</a></div> </div></div> </div>';
	$('#modalDiv').html(content).dialog({width:'auto',modal:true,position: 'center'});
}

function stagingProcessBackupSelectionList(data){
	var HTML = data.data.stagingBackupList;
	if(typeof HTML != 'undefined' && HTML != ""){
		$(".staging_backup_dropdown").select2("destroy");
		$('.staging_backup_dropdown').html(HTML);
		$(".staging_backup_dropdown").select2({  
				width:'415px'
				
			});
	}
}