<?php 

class manageClientsYoastWpSeo{
	public static function yoastSEOGetInfoProcessor($siteIDs,$params){
		$type = "yoastWpSeo";
		$action =$params['action'];
		$requestAction = "get_seo_info";
		$historyAdditionalData = array();
		$historyAdditionalData[] = array('uniqueName' => 'yseoGetInfo', 'detailedAction' => 'getTitlesAndDescription');
		$events=1;
		foreach ($siteIDs as $siteID) {
			$siteData = getSiteData(intval($siteID));
			$PRP = array();
			$PRP['requestAction'] 	= $requestAction;
			$PRP['requestParams'] 	= array('type'=>$params['type'],'status'=>$params['status']);
			$PRP['siteData'] 		= $siteData;
			$PRP['type'] 			= $type;
			$PRP['action'] 			= $action;
			$PRP['directExecute'] 	= false;
			$PRP['events'] 			= $events;
			$PRP['sendAfterAllLoad'] = true;
			$PRP['historyAdditionalData'] 	= $historyAdditionalData;
			prepareRequestAndAddHistory($PRP);
		}
	}

	public static function yoastSEOGetInfoResponseProcessor($historyID, $responseData){

		responseDirectErrorHandler($historyID, $responseData);
		$response = array();
		if(isset($responseData['success'])){
			$historyData = DB::getRow("?:history", "type, actionID, siteID", "historyID=".$historyID);
			$actionID = $historyData['actionID'];
			$siteID = $historyData['siteID'];
			$response['_'.$siteID] = $responseData['success'];

			DB::insert("?:temp_storage", array('type' => 'yoastWpSeo', 'paramID' => $actionID, 'time' => time(), 'data' =>  serialize($response)));
			DB::update("?:history_additional_data", array('status'=>'success'), "historyID=".$historyID."");
			return;
		}
	}

	public static function yoastSEOSaveInfoProcessor($siteID,$params){
		$type = "yoastWpSeo";
		$action =$params['action'];
		$requestAction = "save_seo_info";
		$historyAdditionalData = array();
		$historyAdditionalData[] = array('uniqueName' => 'yseoSaveInfo', 'detailedAction' => 'saveTitlesAndDescription');
		$events=1;
		$siteData = getSiteData(intval($siteID));
		$PRP = array();
		$PRP['requestAction'] 	= $requestAction;
		$PRP['requestParams'] 	= array('data'=>$params['reqdData']);
		$PRP['siteData'] 		= $siteData;
		$PRP['type'] 			= $type;
		$PRP['action'] 			= $action;
		$PRP['directExecute'] 	= false;
		$PRP['events'] 			= $events;
		$PRP['sendAfterAllLoad'] = true;
		$PRP['historyAdditionalData'] 	= $historyAdditionalData;
		prepareRequestAndAddHistory($PRP);

	}
	public static function yoastSEOSaveInfoResponseProcessor($historyID,$responseData){
		
		responseDirectErrorHandler($historyID, $responseData);
		$response = array();
		if(isset($responseData['success'])){
			$historyData = DB::getRow("?:history", "type, actionID, siteID", "historyID=".$historyID);
			$actionID = $historyData['actionID'];
			$siteID = $historyData['siteID'];
			$response['_'.$siteID] = $responseData['success'];

			DB::insert("?:temp_storage", array('type' => 'yoastWpSeo', 'paramID' => $actionID, 'time' => time(), 'data' =>  serialize($response)));
			DB::update("?:history_additional_data", array('status'=>'success'), "historyID=".$historyID."");
			return;
		}
			
	}

}

manageClients::addClass('manageClientsYoastWpSeo');